<?php
header("content-type:text/html; charset=utf-8");
$thisDir=str_replace('\\','/',dirname(__FILE__));
$moduleId=2;
require("{$thisDir}/../common.inc.php");
extract($_POST);
$error='';
$statusList=array('正常','借出','正在维修','报废');
$otherStatus=array('使用中','库存','故障');
if(!$userObj->checkModuleOperation($td_online['userNick'],$moduleId,$action)){
	exit("你没有指定模块指定管理方式{$action}的管理权限");
}else if($action=='checkBrandNameExists' || $action=='addBrand'){//添加资产和检测资产名称是否已经存在
	$v=str_replace(array(' ','　'),array('',''),$v);
	if(isNull($v)){
		$error='请输入品牌的名称';
	}else{
		$row=getone("select id from {$td_config['pre']}brand where brandName='{$v}'",false);
		if(is_array($row)){
			$error='品牌名称已经存在';
		}else if($action=='checkBrandNameExists'){
			$error='新的品牌名称可以使用';
		}else{
			$py=getPY($v);
			myupdate("insert into {$td_config['pre']}brand(wordKey,brandName) values('{$py}','{$v}')");
			$error=mysql_errno()?$td_msg[7]:$td_msg[30];
		}
	}
	exit($error);
}else if($action=='editBrandName'){//编辑品牌的名称
	$v=str_replace(array(' ','　'),array('',''),$v);
	if(isNull($v)){
		$error='请输入品牌的名称';
	}else if(!is_numeric($id)){
		$error=$td_msg[42];
	}else{
		$row=getone("select id from {$td_config['pre']}brand where brandName='{$v}' and id<>{$id}",false);
		if(is_array($row)){
			$error="品牌名称[{$v}]已在其它品牌中使用，修改后保存。";
		}else{
			$py=getPY($v);
			myupdate("update {$td_config['pre']}brand set wordKey='{$py}',brandName='{$v}' where id={$id}");
			$error=mysql_errno()?$td_msg[7]:$td_msg[30];
		}
	}
	exit($error);
}else if($action=='deleteBrandName'){//删除指定ID的品牌名称
	if(!is_numeric($id)){
		$error=$td_msg[42];
	}else{
		myupdate("delete from {$td_config['pre']}brand where id={$id}");
		$error=mysql_errno()?$td_msg[7]:$td_msg[30];
	}
	exit($error);
}else if($action=='checkAssetNameExists' || $action=='addAssetName'){//添加资产和检测资产名称是否已经存在
	$v=str_replace(array(' ','　'),array('',''),$v);
	if(isNull($v)){
		$error='请输入资产的名称';
	}else{
		$row=getone("select id from {$td_config['pre']}assetname where assetName='{$v}'",false);
		if(is_array($row)){
			$error='资产名称已经存在';
		}else if($action=='checkAssetNameExists'){
			$error='新的资产名称可以使用';
		}else{
			$py=getPY($v);
			myupdate("insert into {$td_config['pre']}assetname(wordKey,assetName) values('{$py}','{$v}')");
			$error=mysql_errno()?$td_msg[7]:$td_msg[30];
		}
	}
	exit($error);
}else if($action=='editAssetName'){//编辑资产的名称
	$v=str_replace(array(' ','　'),array('',''),$v);
	if(isNull($v)){
		$error='请输入资产的名称';
	}else if(!is_numeric($id)){
		$error=$td_msg[42];
	}else{
		$row=getone("select id from {$td_config['pre']}assetname where assetName='{$v}' and id<>{$id}",false);
		if(is_array($row)){
			$error="资产名称[{$v}]已在其它资产中使用，修改后保存。";
		}else{
			$py=getPY($v);
			myupdate("update {$td_config['pre']}assetname set wordKey='{$py}',assetName='{$v}' where id={$id}");
			$error=mysql_errno()?$td_msg[7]:$td_msg[30];
		}
	}
	exit($error);
}else if($action=='deleteAssetName'){//删除指定ID的资产名称
	if(!is_numeric($id)){
		$error=$td_msg[42];
	}else{
		myupdate("delete from {$td_config['pre']}assetname where id={$id}");
		$error=mysql_errno()?$td_msg[7]:$td_msg[30];
	}
	exit($error);
}else if($action=='getAssetNameSelect'){//由拼音字母，查询对应的资产名称SELECT
	if(!preg_match("/[a-z]{1}/i",$id)){
		$error='未输入拼音字母';
	}else{
		$v=stripslashes($v);
		$query->query("select * from {$td_config['pre']}assetname where wordKey='{$id}'",1,true);
		$error.=<<<html
		<select name="assetSelect" id="assetSelect" onChange="{$v}"><option value="-1">---请选择---</option>
html;
		foreach($query->row as $q){
			$error.=<<<html
			<option value="{$q['assetName']}">{$q['assetName']}</option>
html;
		}
		$error.="</select>";
	}
	exit($error);
}else if($action=='getBrandNameSelect'){//由拼音字母，查询对应的品牌名称SELECT
	if(!preg_match("/[a-z]{1}/i",$id)){
		$error='未输入拼音字母';
	}else{
		$v=stripslashes($v);
		$query->query("select * from {$td_config['pre']}brand where wordKey='{$id}'",1,false);
		$error.=<<<html
		<select name="brandSelect" id="brandSelect" onChange="{$v}"><option value="-1">---请选择---</option>
html;
		foreach($query->row as $q){
			$error.=<<<html
			<option value="{$q['brandName']}">{$q['brandName']}</option>
html;
		}
		$error.="</select>";
	}
	exit($error);
}else if($action=='getAssetTypeSelect'){//由拼音字母，查询对应的资产分类SELECT
	if(!preg_match("/[a-z]{1}/i",$id)){
		$error='未输入拼音字母';
	}else{
		$v=stripslashes($v);
		$error.=<<<html
		<select name="typeNo" id="typeNo" onChange="{$v}"><option value="-1">---默认分类---</option>
html;
		foreach($ws_catList as $w){
			if(strtolower($id)==strtolower($w['wordKey'])){
				$error.=<<<html
				<option value="{$w['id']}">{$w['catName']}</option>
html;
			}
		}
		$error.="</select>";
	}
	exit($error);
}else if($action=='checkAssetTypeExists' || $action=='checkTypeNoExists'){//检测给出的资产分类名称或资产分类编号是否已经存在
	if(isNull($v)){
		$error='请输入资产分类的名称或编号';
	}else{
		$where=$action=='checkTypeNoExists'?" where typeNo='{$v}'":" where typeName='{$v}'";
		$row=getone("select id from {$td_config['pre']}assettype {$where}",false);
		if(is_array($row)){
			$error='指定的'.($action=='checkTypeNoExists'?'编号':'分类名称').'已经存在，请更换';
		}else{
			$error='指定的'.($action=='checkTypeNoExists'?'编号':'分类名称').'不存在';
		}
	}
	exit($error);
}else if($action=='addAssetType'){//保存新的资产分类名称
	if(isNull($v)){
		$error='请输入资产分类的名称和编号后再保存';
	}else{
		$v=jsonToArray($v);
		if(count($v)!=2){
			$error=$td_msg[0];
		}else{
			$row=getone("select id from {$td_config['pre']}assettype where typeNo='{$v['typeNo']}' or typeName='{$v['typeName']}'",false);
			if(is_array($row)){
				$error='指定的分类名称或分类编号已经存在，保存被取消';
			}else{
				$wordKey=getPY($v['typeName']);
				myupdate("insert into {$td_config['pre']}assettype(typeNo,typeName,wordKey) values('{$v['typeNo']}','{$v['typeName']}','{$wordKey}')");
				$error=mysql_errno()?$td_msg[7]:$td_msg[30];
			}
		}
	}
	exit($error);
}else if($action=='editAssetTypeName' || $action=='editAssetTypeNo'){//修改资产分类名称或编号
	if(!is_numeric($id)){
		$error=$td_msg[42];
	}else if(isNull($v)){
		$error='请输入资产分类的名称和编号后再保存';
	}else{
		$where=$action=='editAssetTypeNo'?" where typeNo='{$v}'":" where typeName='{$v}'";
		$row=getone("select id from {$td_config['pre']}assettype {$where}",false);
		if(is_array($row)){
			$error='指定的分类名称或分类编号已经存在，保存被取消';
		}else{
			if($action=='editAssetTypeNo'){
				myupdate("update {$td_config['pre']}assettype set typeNo='{$v}' where id={$id}");
			}else{
				myupdate("update {$td_config['pre']}assettype set typeName='{$v}' where id={$id}");
			}
			$error=mysql_errno()?$td_msg[7]:$td_msg[30];
		}
	}
	exit($error);
}else if($action=='addAsset' || $action=='editAsset'){//保存新的资产或者修改已经存在的资产
	if(!preg_match("/[a-z0-o]/i",$no)){
		$error='资产编号错误';
	}else if(preg_match("/[\s]{1,}/",$assetName)){
		$error="资产名称中不能含有空格";
	}else if(!is_numeric($school) || (int)($school)<1){
		$error='请选择资产所在的学校';
	}else if(!is_numeric($unitId) || (int)($unitId)<1){
		$error=$td_msg[60];
/*
	}else if(preg_match("/[\s]{1,}/",$sellCompany)){
		$error='产品销售商的名称中不能含有空格';
	}else if(preg_match("/[\s]{1,}/",$seller)){
		$error='产品销售商负责人姓名中不能含有空格';
	}else if(preg_match("/[\s]{1,}/",$sellTelephone)){
		$error='产品销售商的联系电话中不能含有空格';
	}else if(preg_match("/[\s]{1,}/",$buyer)){
		$error='资产购买人的姓名中不能含有空格';
	}else if(!preg_match($zz_date,$buyTime)){
		$error='资产的购买日期填写格式错误';
*/
	}else if($action=='editAsset' && !is_numeric($id)){
		$error=$td_msg[42];
	}else{
		$amount=(!is_numeric($amount) || (float)($amount)<=0)?0.0:(float)($amount);
		$price=(!is_numeric($price) || (float)($price)<=0)?0.0:(float)($price);
		$returned=(!is_numeric($returned) || (int)($returned)!=1)?0:1;
		$image=uploadImage('image',$fileType="",$path="");
		$image=is_array($image)?$image[0]:'';
		if($action=='addAsset'){//添加新资产
			
			$recordCount=(!is_numeric($recordCount) || (int)($recordCount)<1)?1:((int)($recordCount)>500?500:(int)($recordCount));
			for($i=1; $i<=$recordCount; $i++){
				//资产编号重复性检测
				$row=getone("select id from {$td_config['pre']}asset where no='{$no}'",false);
				if(is_array($row)){
					while(true){
						$no=date("YmdHis").mt_rand(1000,9999);
						$row=getone("select id from {$td_config['pre']}asset where no='{$no}'",false);
						if(!is_array($row)){
							break;
						}
					}
				}
				
				$sql="insert into {$td_config['pre']}asset(no,status,typeNo,schoolId,unitId,roomNo,useUser,repeated,units,amount,remaining,returned,assetName,model,sn,barcode,company,brandName,madeTime,price,sellCompany,seller,buyer,buyTime,sellTelephone,sellAddress,serStart,serEnd,image,userNick,inTime,ip,memo) values('{$no}',1,{$typeNo},{$school},{$unitId},'{$roomNo}','{$useUser}',{$repeated},'{$units}',{$amount},{$amount},{$returned},'{$assetName}','{$model}','{$sn}','{$barcode}','{$company}','{$brandName}','{$madeTime}',{$price},'{$sellCompany}','{$seller}','{$buyer}','{$buyTime}','{$sellTelephone}','{$sellAddress}','{$serStart}','{$serEnd}','{$image}','{$td_online['userNick']}','{$td_config['dateTime']}','{$td_config['ip']}','{$content}')";
				$id=myupdate($sql);
				if(!is_numeric($id)){
					break;
				}
				$no=date("YmdHis").mt_rand(1000,9999);
			}
			if(!is_numeric($id)){
				$error=$td_msg[7];
			}else{
				$error=$td_msg[30];
			}
			journalIn("添加新资产{$assetName}，共添加{$recordCount}条记录，添加时间 {$td_config['dateTime']}。操作结果：{$error}");
		}else{//编辑已存在的资产
			$row=getone("select assetName,no from {$td_config['pre']}asset where id={$id}",false);
			if(is_array($row)){
				$image=isNull($image)?'':"image='{$image}',";
				$sql="update {$td_config['pre']}asset set typeNo={$typeNo},schoolId={$school},unitId={$unitId},roomNo='{$roomNo}',useUser='{$useUser}',repeated={$repeated},units='{$units}',amount={$amount},returned={$returned},assetName='{$assetName}',model='{$model}',sn='{$sn}',barcode='{$barcode}',company='{$company}',brandName='{$brandName}',madeTime='{$madeTime}',price={$price},sellCompany='{$sellCompany}',seller='{$seller}',buyer='{$buyer}',buyTime='{$buyTime}',sellTelephone='{$sellTelephone}',sellAddress='{$sellAddress}',serStart='{$serStart}',serEnd='{$serEnd}',{$image}editUser='{$td_online['userNick']}',editTime='{$td_config['dateTime']}',ip='{$td_config['ip']}',memo='{$content}' where id={$id}";
				myupdate($sql);
				if(mysql_errno()){
					$error=$td_msg[7];
				}else{
					myupdate("update {$td_config['pre']}borrow set assetName='{$assetName}' where assetId={$id}");
					$error=$td_msg[30];
				}
			}else{
				$error=$td_msg[38];
			}
			journalIn("编辑资产{$row['assetName']}，ID号{$id},资产编号{$row['no']}。操作结果：{$error}");
		}
	}
	parentUrlGo('',$error);
}else if($action=='deleteAsset'){//删除资产
	exit('当前系统配置禁止删除资产信息');
	if(!is_numeric($id)){
		$error=$td_msg[42];
	}else{
		$row=getone("select * from {$td_config['pre']}asset where id={$id}",false);
		if(is_array($row) && $row['status']=='1'){
			myupdate("delete from {$td_config['pre']}asset where id={$id}");
			$error=$td_msg[30];
		}else{
			$error=$td_msg[38].'或者资产处于不可编辑状态';
		}
	}
	journalIn("删除ID号{$id}的资产{$row['assetName']}，当前总数量{$row['amount']}，单价{$row['price']}/{$row['units']}。操作结果：{$error}");
	exit($error);
}else if($action=='borrowOut'){//资产借出
	if(!is_numeric($id)){
		$error=$td_msg[42];
	}else if(!is_numeric($outAmount) || (float)($outAmount)<=0){
		$error='资产借出数量值不合法';
	}else if(!isset($schoolId) || !is_numeric($schoolId) || $schoolId=='-1'){
		$error='资产借入人所在的学校错误';
	}else if(!isset($preUnit) || !is_numeric($preUnit) || $preUnit=='-1'){
		$error='资产借入人所在的部门错误';
	}else if(isNull($room)){
		$error='未填写资产借入人所在的办公室位置';
	}else if(!$userObj->existsUserNick($outUser)){
		$error='未指定资产借出人工号或工号不存在';
	}else if(!$userObj->existsUserNick($inUser)){
		$error='未指定资产借入人工号或工号不存在';
	}else if(isNull($borrowInPw) || isNull($borrowOutPw)){
		$error='未输入资产借出和借入人的签章密码';
	}else{
		$row=getone("select * from {$td_config['pre']}asset where id={$id}",false);
		if(!is_array($row)){
			$error=$td_msg[38];
		}else{
			$outAmount=(float)($outAmount);
			if($row['remaining']<$outAmount){
				$error='您输入的借出数量超出资产的剩余数量';
			}else if($row['returned']=='1' && ($agreedTime<$td_config['date'] || !preg_match($zz_date,$agreedTime))){
				$error='指定的资产借出后必须归还，但您输入的约定归还日期不正确。';
			}else if(!$userObj->checkModuleOperation($outUser,$moduleId,'borrowOut')){
				$error='您指定的借出人没有对资产的借出权限';
			}else if(!$userObj->checkModuleOperation($inUser,$moduleId,'borrowIn')){
				$error='您指定的借入人没有对资产的借入权限';
			}else{
				if(preg_match($zz_password,$borrowOutPw)){
					$user=getone("select badge,privateKey from {$td_config['pre']}user where userNick='{$outUser}'",false);
					$outConfirm=md5($borrowOutPw.$td_config['dateTime']);
					$conTime=$td_config['dateTime'];
					$borrowOutPw=md5($borrowOutPw.$user['privateKey']);
					if($user['badge']!=$borrowOutPw){
						$outConfirm='';
						$conTime='';
					}
				}
				if(preg_match($zz_password,$borrowInPw)){
					$user=getone("select badge,privateKey from {$td_config['pre']}user where userNick='{$inUser}'",false);
					$inConfirm=md5($borrowInPw.$td_config['dateTime']);
					$appPeriod=$td_config['dateTime'];
					$borrowInPw=md5($borrowInPw.$user['privateKey']);
					if($user['badge']!=$borrowInPw){
						$inConfirm='';
						$appPeriod='';
					}
				}
				if(isNull($outConfirm)){
					$error='资产借出人的签章密码错误';
				}else if(isNull($inConfirm)){
					$error='资产借入人的签章密码错误';
				}else{
					$sql="insert into {$td_config['pre']}borrow(assetId,assetName,no,outUser,outConfirm,conTime,inSchool,inUnit,inRoom,inUser,inConfirm,appPeriod,units,outAmount,inAmount,returned,agreedTime,outTime,userNick,inTime,ip) values(
					{$id},'{$row['assetName']}','{$row['no']}','{$outUser}','{$outConfirm}','{$conTime}',{$schoolId},{$preUnit},'{$room}','{$inUser}','{$inConfirm}','{$appPeriod}','{$row['units']}',{$outAmount},0,{$row['returned']},'{$agreedTime}','{$td_config['dateTime']}','{$td_online['userNick']}','{$td_config['dateTime']}','{$td_config['ip']}')";
					myupdate($sql);
					if(mysql_errno()){
						$error=$td_msg[7];
					}else{
						//统计资产表中，当前资产的借出后情况
						$remaining=(float)($row['amount'])-(float)($outAmount);
						$status=$remaining==0?2:1;//如果剩余数量为0，则设置状态为借出
						$sql="update {$td_config['pre']}asset set status={$status},remaining={$remaining} where id={$id}";
						myupdate($sql);
						$error=$td_msg[30];
					}
				}
			}
		}
	}
	journalIn("录入资产借出［{$row['assetName']}］，ID号{$row['id']},资产编号{$row['no']}，借出人［{$outUser}］，借入人［{$inUser}］，借单ID［{$id}］。操作结果：{$error}");
	parentUrlGo('',$error);
}else if($action=='auditPrintOtherStatus'){//输出其它状态配置界面
	if(!is_numeric($id)){
		$error=$td_msg[42];
	}else{
		$row=getone("select * from {$td_config['pre']}asset where id={$id}",false);
		if(!is_array($row)){
			$error='指定的资产不存在';
		}else{
			$sList='';
			foreach($otherStatus as $k=>$o){
				$sList.=<<<html
				<input type="radio" name="os" value="{$k}">{$o}&nbsp;&nbsp;
html;
			}
			$error=<<<html
			<input type="hidden" name="assetId" id="assetId" value="{$id}" />
			当前的其它状态：{$otherStatus[$row['otherStatus']]}<br />
			配置其它状态为：{$sList}<br />
			<center><input type="button" name="setOther" id="setOther" value="保存" onclick="fastOperation('auditSaveOtherStatus',$('#assetId').val(),'');" /></center>
html;
		}
	}
	exit($error);
}else if($action=='auditSaveOtherStatus'){//保存对资产其它状态的配置
	if(!is_numeric($id)){
		$error=$td_msg[42];
	}else if(!is_numeric($v)){
		$error=$td_msg[0];
	}else{
		myupdate("update {$td_config['pre']}asset set otherStatus={$v} where id={$id}");
		$error=mysql_errno()?$td_msg[7]:$td_msg[30];
	}
	exit($error);
}else if($action=='auditscrapped'){//资产报废操作
	if(!is_numeric($id)){
		$error=$td_msg[42];
	}else if(isNull($content)){
		$error='请输入资产的报废原因';
	}else if(!preg_match($zz_password,$confirm)){
		$error=$td_msg[15];
	}else{
		$row=getone("select * from {$td_config['pre']}asset where id={$id}",false);
		if(!is_array($row)){
			$error=$td_msg[38];
		}else if($row['status']!='1'){
			$error='指定的资产处于不可编辑状态';
		}else{
			$user=getone("select privateKey,badge from {$td_config['pre']}user where userNick='{$td_online['userNick']}'",false);
			if(md5($confirm.$user['privateKey'])!=$user['badge']){
				$error=$td_msg[15];
			}else{
				$confirm=md5($confirm.$td_config['dateTime']);
				$sql="insert into {$td_config['pre']}invalid(assetId,adminNick,confirm,userNick,inTime,ip,memo) values({$id},'{$td_online['userNick']}','{$confirm}','{$td_online['userNick']}','{$td_config['dateTime']}','{$td_config['ip']}','{$content}')";
				myupdate($sql);
				if(mysql_errno()){
					$error=$td_msg[7].mysql_error();
				}else{
					myupdate("update {$td_config['pre']}asset set status=4 where id={$id}");
					$error=$td_msg[30];
				}
			}
		}
	}
	journalIn("指定ID号为{$id}的资产{$row['asset']}报废，资产编号：{$row['no']}。操作结果：{$error}");
	parentUrlGo('',$error);
}else if($action=='service'){//资产维修
	$serviceNick=$td_online['userNick'];
	if(!is_numeric($id)){
		$error=$td_msg[42];
	}else if(!preg_match($zz_password,$confirm)){
		$error=$td_msg[15];
	}else if(isNull($company)){
		$error='请输入维修单位的名称';
	}else if(!preg_match($zz_userNick,$serviceNick)){
		$error='送修人员的工号错误';
	}else if(isNull($serviceName)){
		$error='请输入维修单位的负责人姓名';
	}else if(isNull($telephone)){
		$error='请输入维修单位的联系电话';
	}else if(!preg_match($zz_date,$startTime)){
		$error='请正确输入资产维修的开始日期，'.$td_msg[46];
	}else{
		$row=getone("select id from {$td_config['pre']}user where userNick='{$serviceNick}'",false);
		if(!is_array($row)){
			$error='送修人员的工号不存在';
		}else{
			$row=getone("select * from {$td_config['pre']}asset where id={$id}",false);
			if(!is_array($row)){
				$error=$td_msg[38];
			}else if($row['status']!='1'){
				$error='指定的资产处于不可编辑状态';
			}else{
				$user=getone("select privateKey,badge from {$td_config['pre']}user where userNick='{$td_online['userNick']}'",false);
				if(md5($confirm.$user['privateKey'])!=$user['badge']){
					$error=$td_msg[15];
				}else{
					$confirm=md5($confirm.$td_config['dateTime']);
					$sql="insert into {$td_config['pre']}service(assetId,assetName,no,serviceNick,company,serviceName,telephone,startTime,adminNick,confirm,userNick,inTime,ip,memo) values({$id},'{$row['assetName']}','{$row['no']}','{$serviceNick}','{$company}','{$serviceName}','{$telephone}','{$startTime}','{$td_online['userNick']}','{$confirm}','{$td_online['userNick']}','{$td_config['dateTime']}','{$td_config['ip']}','{$content}')";
					myupdate($sql);
					if(mysql_errno()){
						$error=$td_msg[7].mysql_error();
					}else{
						myupdate("update {$td_config['pre']}asset set status=3 where id={$id}");
						$error=$td_msg[30];
					}
				}
			}
		}
	}
	journalIn("指定ID号为{$id}的资产{$row['asset']}处于维修状态，资产编号：{$row['no']}。操作结果：{$error}");
	parentUrlGo('',$error);
}else if($action=='getReturnedForm'){//输出资产归还操作界面
	if(!is_numeric($id)){
		echo $td_msg[42];
	}else{
		$row=getone("select * from {$td_config['pre']}borrow where id={$id}",false);
		if(!is_array($row)){
			echo'指定的资产借出记录不存在';
		}else{
			$returned=$row['returned']=='1'?'是':'否';
			echo<<<html
			<table width="95%" align="center" border="0" cellpadding="3" cellspacing="0">
			  <tr>
				<td width="120" align="right">资产编号：</td><td>{$row['no']}</td>
			  </tr>
			  <tr>
				<td align="right">资产名称：</td><td>{$row['assetName']}</td>
			  </tr>
			  <tr>
				<td align="right">是否必须归还：</td><td>{$returned}</td>
			  </tr>
			  <tr>
				<td align="right">借出时间：</td><td>{$row['outTime']}</td>
			  </tr>
			  <tr>
				<td align="right">借出数量：</td><td>{$row['outAmount']}{$row['units']}</td>
			  </tr>
			  <tr>
				<td align="right">归还数量：</td><td><input type="text" name="inAmount" id="inAmount" value="1" size="5" maxlength="5" /></td>
			  </tr>
			  <tr>
				<td align="right">归还时间：</td><td><input type="text" name="returnTime" id="returnTime" value="{$td_config['date']}" style="ime-mode:disabled;" onkeypress="return setMyTime(this,event);" />{$td_msg[46]}</td>
			  </tr>
			  <tr>
				<td align="right">签章密码：</td><td><input type="password" name="confirm" id="confirm" /></td>
			  </tr>
			</table>
			<center><input type="button" name="submit" id="submit" value=" 提 交 " onclick="fastOperation('borrowOutReturned',{$id},'');" /></center>
html;
		}
	}
}else if($action=='borrowOutReturned'){//保存资产归还数据
	if(!is_numeric($id)){
		$error=$td_msg[42];
	}else{
		$v=stripslashes($v);
		$v=jsonToArray($v);
		extract($v);
		$row=getone("select * from {$td_config['pre']}borrow where id={$id}",false);
		if(!is_array($row)){
			$error=$td_msg[32];
		}else if($row['status']=='1'){
			$error="指定的借出资产已于{$row['returnTime']}时间归还过了，不能重复归还。";
		}else if((float)($inAmount)<=0){
			$error='请正确输入归还的资产数量***';
		}else if(!preg_match($zz_date,$returnTime) || $returnTime<date("Y-m-d",strtotime($row['outtime']))){
			$error='资产归还日期格式错误';
		}else{
			$user=getone("select badge,privateKey from {$td_config['pre']}user where userNick='{$td_online['userNick']}'",false);
			if(md5($confirm.$user['privateKey'])!=$user['badge']){
				$error=$td_msg[15];
			}else{
				$inAmount=(float)($inAmount);
				$row['outAmount']=(float)($row['outAmount']);
				$confirm=md5($confirm.$td_config['dateTime']);
				if($inAmount!=$row['outAmount']){
					$inAmount=$inAmount+(float)($row['inAmount']);
					if($inAmount>$row['outAmount']){
						$inAmount=$row['outAmount'];
						$status=1;
					}else{
						$status=2;
					}
				}else{
					$status=1;
				}
				$sql="update {$td_config['pre']}borrow set status={$status},returnAdmin='{$td_online['userNick']}',returnConfirm='{$confirm}',returnTime='{$td_config['dateTime']}' where id={$id}";
				myupdate($sql);
				$asset=getone("select amount,remaining from {$td_config['pre']}asset where id={$row['assetId']}",false);
				if($inAmount>=(float)($asset['amount'])){
					$remaining=$asset['amount'];
				}else{
					$remaining=$asset['remaining']+$inAmount;
					if($remaining>(float)($asset['amount'])){
						$remaining=$asset['amount'];
					}
				}
				myupdate("update {$td_config['pre']}asset set status=1,remaining={$remaining} where id={$row['assetId']}");
				$error=$td_msg[30];
			}
		}
	}
	exit($error);
}else if($action=='getReturnedServices'){//输出维修资产归还操作界面
	if(!is_numeric($id)){
		echo $td_msg[42];
	}else{
		$row=getone("select * from {$td_config['pre']}service where id={$id}",false);
		if(!is_array($row)){
			echo'指定的资产维修记录不存在';
		}else{
			echo<<<html
			<table width="95%" align="center" border="0" cellpadding="3" cellspacing="0">
			  <tr>
				<td width="120" align="right">资产编号：</td><td>{$row['no']}</td>
			  </tr>
			  <tr>
				<td align="right">资产名称：</td><td>{$row['assetName']}</td>
			  </tr>
			  <tr>
				<td align="right">故障描述：</td><td>{$row['memo']}</td>
			  </tr>
			  <tr>
				<td align="right">维修日期：</td><td>{$row['startTime']}</td>
			  </tr>
			  <tr>
				<td align="right">维修结果：</td><td><textarea name="content" id="content" style="width:95%; height:120px;"></textarea></td>
			  </tr>
			  <tr>
				<td align="right">签章密码：</td><td><input type="password" name="confirm" id="confirm" /></td>
			  </tr>
			</table>
			<center><input type="button" name="submit" id="submit" value=" 提 交 " onclick="fastOperation('serviceReturned',{$id},'');" /></center>
html;
		}
	}
}else if($action=='serviceReturned'){//保存维修资产的归还
	if(!is_numeric($id)){
		$error=$td_msg[42];
	}else{
		$v=stripslashes($v);
		$v=jsonToArray($v);
		extract($v);
		$row=getone("select * from {$td_config['pre']}service where id={$id}",false);
		if(!is_array($row)){
			$error=$td_msg[32];
		}else if(isNull($content)){
			$error='请输入资产维修结果后再保存';
		}else if(!isNull($row['endTime'])){
			$error="指定的借出资产已于{$row['endTime']}时间归还过了，不能重复归还。";
		}else{
			$user=getone("select badge,privateKey from {$td_config['pre']}user where userNick='{$td_online['userNick']}'",false);
			if(md5($confirm.$user['privateKey'])!=$user['badge']){
				$error=$td_msg[15];
			}else{
				$confirm=md5($confirm.$td_config['dateTime']);
				$sql="update {$td_config['pre']}service set endTime='{$td_config['date']}',result='{$content}',endNick='{$td_online['userNick']}',endConfirm='{$confirm}' where id={$id}";
				myupdate($sql);
				myupdate("update {$td_config['pre']}asset set status=1 where id={$row['assetId']}");
				$error=$td_msg[30];
			}
		}
	}
	exit($error);
}else if($action=='addImportAsset'){//导入资产数据
	if($_FILES['importFile']['error']){
		$error=$td_msg[31];
	}else if(strtolower(mb_substr($_FILES['importFile']['name'],mb_strlen($_FILES['importFile']['name'],$td_config['charset'])-3,3,$td_config['charset']))!='xls'){
		$error='导入数据只能使用xls格式的EXCEL文件。';
	}else{
		$fileName=fileName(6).".xls";
		$filePath=$td_config['webRoot'].'/temp/'.$fileName;
		if(move_uploaded_file($_FILES['importFile']['tmp_name'],$filePath)){
			$fields=array(0=>'名称',1=>'分类编号',2=>'学校',3=>'部门ID',4=>'房间号',5=>'是否可重复利用',6=>'数量',7=>'单位',8=>'单价',9=>'是否必须归还',10=>'产品型号',11=>'产品串号',12=>'条形码',13=>'生产厂商',14=>'产品品牌',15=>'生产日期',16=>'销售商名称',17=>'销售负责人姓名',18=>'销售商电话',19=>'销售商地址',20=>'购买人姓名',21=>'购买日期',22=>'保修开始日期',23=>'保修终止日期',24=>'使用人',25=>'备注');
			$xlsConn=new COM("ADODB.Connection");
			$connStr="Driver={Microsoft Excel Driver (*.xls)}; DBQ={$filePath}; IMEX=1";
			$xlsConn->open($connStr);
			$sql="select * from [Sheet1$]";
			$rs=new COM("ADODB.Recordset");
			$rs=$xlsConn->Execute($sql);
			if($rs->Fields->count!=count($fields)){
				$error="EXCEL文件中字段数量不够，请严格按照示例中的格式整理资产数据。";
			}else{
				for($i=0; $i<count($fields); $i++){
					if(iconv("gbk","utf-8",$rs->Fields[$i]->name)!=$fields[$i]){
						$error="EXCEL文件中字段名称有错误，请严格按照示例中的格式整理资产数据。";
						break;
					}
				}
				if(isNull($error)){
					$v=array();
					$k=1;//因为EXCEL中第一行是字段名，所以真正的数据是从第2行开始的
					$errorNo='';
					while(!$rs->Eof){
						$k++;
						for($i=0; $i<$rs->Fields->count; $i++){
							$v[$i]=iconv("gbk",$td_config['charset'].'//IGNORE',$rs->Fields[$i]->value);
						}
						if(isNull($v[0]) || !is_numeric($v[2]) || !is_numeric($v[3]) || isNull($v[6]) || $v[6]<1 || isNull($v[9])){
							$errorNo.="{$k},";
							$rs->MoveNext();
							continue;
						}else{
							$v[1]=(isNull($v[1]) || !is_numeric($v[1]))?0:$v[1];
							$v[5]=(isNull($v[5]) || $v[5]=='是' || $v[5]=='1')?1:0;
							$v[6]=(int)($v[6]);
							$v[7]=isNull($v[7])?'个':$v[7];
							$v[8]=!is_numeric($v[8])?0.0:$v[8];
							$v[9]=(isNull($v[9]) || $v[9]=='是' || $v[9]=='1')?1:0;
							$v[15]=preg_match($zz_ExcelDate,$v[15])?date("Y-m-d",strtotime($v[15])):'';
							$v[21]=preg_match($zz_ExcelDate,$v[21])?date("Y-m-d",strtotime($v[21])):'';
							$v[22]=preg_match($zz_ExcelDate,$v[22])?date("Y-m-d",strtotime($v[22])):'';
							$v[23]=preg_match($zz_ExcelDate,$v[23])?date("Y-m-d",strtotime($v[23])):'';
							
							//由给出的某资产的数量，产生对应条数的记录，比如电脑数量是400，则产生400条数据相同的电脑记录，但编号不同
							$sql="insert into {$td_config['pre']}asset(no,status,typeNo,schoolId,unitId,roomNo,useUser,repeated,units,amount,remaining,returned,assetName,model,sn,barcode,company,brandName,madeTime,price,sellCompany,seller,buyer,buyTime,sellTelephone,sellAddress,serStart,serEnd,image,userNick,inTime,ip,memo) values";
							for($i=0; $i<$v[6]; $i++){
								$no=date("YmdHis").mt_rand(1000,9999);
								//资产编号重复性检测
								$row=getone("select id from {$td_config['pre']}asset where no='{$no}'",false);
								if(is_array($row)){
									while(true){
										$no=date("YmdHis").mt_rand(1000,9999);
										$row=getone("select id from {$td_config['pre']}asset where no='{$no}'",false);
										if(!is_array($row)){
											break;
										}
									}
								}
$sql.="('{$no}',1,{$v[1]},{$v[2]},{$v[3]},'{$v[4]}','{$v['24']}',{$v[5]},'{$v[7]}',1,1,{$v[9]},'{$v[0]}','{$v[10]}','{$v[11]}','{$v[12]}','{$v[13]}','{$v[14]}','{$v[15]}',{$v[8]},'{$v[16]}','{$v[17]}','{$v[20]}','{$v[21]}','{$v[18]}','{$v[19]}','{$v[22]}','{$v[23]}','','{$td_online['userNick']}','{$td_config['dateTime']}','{$td_config['ip']}','{$v[25]}'),";
							}
							$sql=trim($sql,',');
							myupdate($sql);
						}
						$rs->Movenext();
					}
					$rs->close();
					$xlsConn->close();
					$error=$td_msg[30];
					$error.=isNull($errorNo)?'':"。下列标识出的记录因数据有错误，未被导入，请注意修改后重新导入未成功导入的数据。发生错误的行号是：".$errorNo;
				}
			}
			@chmod($filePath,0777);
			unlink($filePath);
		}else{
			$error=$td_msg[31];
		}
	}
	parentUrlGo('',$error);
}else if($action=='zctcExec'){//输出资产调出界面
	if(!is_numeric($id)){
		$error=$td_msg[0];
	}else{
		$row=getone("select * from {$td_config['pre']}asset where status=1 and id={$id}",false);
		if(!is_array($row)){
			$error='指定的资产不存在，或者其不在正常状态下！';
		}else{
			$area=sys::getSchool($schoolList,$row['schoolId'],true);
			$area.='&nbsp;-&gt;&nbsp;'.sys::getUnit($adminUnit,$row['unitId'],true);
			$area.='&nbsp;-&gt;&nbsp;'.$row['roomNo'];
			$schoolSelect=sys::schoolSelect($schoolList,'sId','sId',"fastOperation('zctcExecGetUnit',this.value,'')");
			
			echo<<<html
			<center><strong>资产调出操作</strong></center>
			资产名称：{$row['assetName']}<br />
			所在位置：{$area}<br />
			使用人：{$row['useUser']}<br />
			调出到{$td_config['redStar']}：{$schoolSelect}&nbsp;&nbsp;<span id="zctcUnitSpan"></span><br />
			保存位置{$td_config['redStar']}：<input type="text" name="rNo" id="rNo" size="10" maxlength="20" /><br />
			使用人：<input type="text" name="userName" id="userName" size="10" maxlength="20" /><br />
			调出日期：<input type="text" name="forDate" id="forDate" size="10" maxlength="10" value="{$td_config['date']}" onclick="laydate();" onkeypress="return setMyTime(this,window.event);" /><br />
			调出原因：<textarea name="memo" id="memo" style="width:500px; height:60px;"></textarea><br />
			<center><input type="button" name="saveZctcAdd" id="saveZctcAdd" value="保存调出" onclick="fastOperation('zctcExecSave',{$id},'');" /></center>
html;
		}
	}
}else if($action=='zctcExecGetUnit'){//资产调出操作时，由学校ID获取学校里的部门列表框
	if(!is_numeric($id) || $id=='-1'){
		$error='不存在部门';
	}else{
		echo sys::unitSelect($adminUnit,"uId",'uId',"",$id,0,0);
	}
	exit($error);
}else if($action=='zctcExecSave'){//保存资产调出
	if(!is_numeric($id)){
		$error=$td_msg[42];
	}else{
		$v=jsonToArray($v);
		if(!isset($v['sId']) || !is_numeric($v['sId']) || (int)($v['sId'])<0 || !isset($v['uId']) || !is_numeric($v['uId']) || (int)($v['uId'])<0 || !isset($v['rNo']) || isNull($v['rNo']) ||!isset($v['userName']) || !isset($v['forDate']) || !td_check_date($v['forDate'])){
			$error=$td_msg[0];
		}else{
			$row=getone("select * from {$td_config['pre']}asset where status=1 and id={$id}",false);
			if(!is_array($row)){
				$error='指定的资产不存在，或者其不在正常状态下！';
			}else{
				myupdate("insert into {$td_config['pre']}zctc (no,assetName,oldSchoolId,oldUnitId,oldRoomNo,oldUser,schoolId,unitId,roomNo,userName,forDate,userNick,inTime,memo) values('{$row['no']}','{$row['assetName']}',{$row['schoolId']},{$row['unitId']},'{$row['roomNo']}','{$row['useUser']}',{$v['sId']},{$v['uId']},'{$v['rNo']}','{$v['userName']}','{$v['forDate']}','{$td_online['userNick']}','{$td_config['dateTime']}','{$v['memo']}')");
				myupdate("update {$td_config['pre']}asset set schoolId={$v['sId']},unitId={$v['uId']},roomNo='{$v['rNo']}',useUser='{$v['userName']}' where id={$id}");
				$error=mysql_errno()?$td_msg[7]:$td_msg[30];
			}
		}
	}
	exit($error);
}else if($action=='zctcSearchBecause'){//资产调出的原因
	if(!is_numeric($id)){
		$error=$td_msg[42];
	}else{
		$row=getone("select id,memo from {$td_config['pre']}zctc where id={$id}",false);
		if(is_array($row)){
			exit($row['memo']);
		}else{
			$error='没有找到指定的资产调出记录';
		}
	}
	exit($error);
}
?>