<?php
header("content-type:text/html; charset=utf-8");
$thisDir=str_replace('\\','/',dirname(__FILE__));
$moduleId=6;
require("{$thisDir}/../common.inc.php");
extract($_POST);
$error='';
if(!$userObj->checkModuleOperation($td_online['userNick'],$moduleId,$action)){
	exit("你没有指定模块指定管理方式{$action}的管理权限");
}else if($action==='stuCostSetGetGradSelect' || $action==='stuCostAddGetGradSelect'){//添加新收费项目时由选择的学生生成年级SELECT
	if(!is_numeric($id)){
		$error=$td_msg[0];
	}else{
		$error=$teachObj->gradeSelect($id,'gradeId','gradeId','',$checkedId=-1);
	}
	echo $error;
}else if($action=='stuCostSet'){//添加新的收费项目
	if(!isset($schoolId) || !is_numeric($schoolId) || (int)($schoolId)<0 || !is_numeric($gradeId) || (!preg_match($zz_number,$boyMeny) && !preg_match($zz_float,$boyMeny)) || (!preg_match($zz_number,$girlMeny) && !preg_match($zz_float,$girlMeny)) || isNull($costName) || isNull($nvoiceName)){
		$error=$td_msg[0];
	}else{
		$gradeId=(int)($gradeId)<0?-1:(int)($gradeId);
		$row=getone("select id from {$td_config['pre']}stucostset where schoolId={$schoolId} and gradeId={$gradeId} and costName='{$costName}'",false);
		if(is_array($row)){
			$error='相同的收费项目已经存在，本次新建收费项目的保存操作被取消。';
		}else{
			$isDefault=$isDefault=='1'?1:0;
			myupdate("insert into {$td_config['pre']}stucostset(schoolId,isDefault,costName,nvoiceName,gradeId,boyMeny,girlMeny,editUser,editTime,userNick,inTime,ip) values({$schoolId},{$isDefault},'{$costName}','{$nvoiceName}',{$gradeId},{$boyMeny},{$girlMeny},'{$td_online['userNick']}','{$td_config['dateTime']}','{$td_online['userNick']}','{$td_config['dateTime']}','{$td_config['ip']}')");
			$error=mysql_errno()?$td_msg[7]:$td_msg[30];
		}
	}
	parentUrlGo('',$error);
}else if($action=='stuCostSetEdit'){//编辑收费项目
	if(!isset($schoolId) || !is_numeric($schoolId) || (int)($schoolId)<0 || !is_numeric($gradeId) || (!preg_match($zz_number,$boyMeny) && !preg_match($zz_float,$boyMeny)) || (!preg_match($zz_number,$girlMeny) && !preg_match($zz_float,$girlMeny)) || isNull($costName) || !is_numeric($id)){
		$error=$td_msg[0];
	}else{
		$row=getone("select id from {$td_config['pre']}stucostset where schoolId={$schoolId} and gradeId={$gradeId} and costName='{$costName}' and id<>{$id}",false);
		if(is_array($row)){
			$error='相同的收费项目已经存在，本次新建收费项目的保存操作被取消。';
		}else{
			$isDefault=$isDefault=='1'?1:0;
			myupdate("update {$td_config['pre']}stucostset set schoolId={$schoolId},isDefault={$isDefault},costName='{$costName}',nvoiceName='{$nvoiceName}',gradeId={$gradeId},boyMeny={$boyMeny},girlMeny={$girlMeny},editUser='{$td_online['userNick']}',editTime='{$td_config['dateTime']}' where id={$id}");
			$error=mysql_errno()?$td_msg[7]:$td_msg[30];
		}
	}
	parentUrlGo('',$error);
}else if($action=='stuCostAddSetGetCostBySchoolId'){//根据选择的学校输出对应的收费项目
	if(isNull(id) || !is_numeric($id) || (int)($id)<0){//如果没有选择学校，则输出所有的收费项目到SELECT
		exit(financial::costSetSelect('','',"fastOperation('stuCostAddSetInfo','',this.value)",'',-1));
	}else{
		exit(financial::costSetSelect('','',"fastOperation('stuCostAddSetInfo','',this.value)",'',$id));
	}
}else if($action=='stuCostAddSetGetCostBySchoolIdNoInfo'){//根据选择的学校输出对应的收费项目，但不输出费用基本信息
	if(!isset($id) || !is_numeric($id) || intval($id)<0){//如果没有选择学校，则输出所有的收费项目到SELECT
		exit(financial::costSetSelect('financial','financial',"",'',-1));
	}else{
		exit(financial::costSetSelect('financial','financial',"",'',$id));
	}
}else if($action=='stuCostAddSetInfo'){//输出选定收费项目的信息
	$error='<script type="text/javascript">$("#costInfo").html("");';
	if(isNull($v) || !is_numeric($v) || (int)($v)<0){
		$error.='无效操作';
	}else{
		$costSet=financial::getCostSet($v,false);
		if(is_array($costSet)){
			$school=sys::getSchool($schoolList,$costSet['schoolId'],true);
			$grade=$costSet['gradeId']=='-1'?'全部':$costSet['gradeId'];
			if($grade!=='全部'){
				$grade=$teachObj->getGradeList($costSet['schoolId'],$costSet['gradeId']);
				$grade=isNull($grade['gradeName'])?$costSet['gradeId']:$grade['gradeName'];
			}
			$error.=<<<html
			$("#fpTitle").html('{$costSet['nvoiceName']}');
			$("#school").html('{$school}');
			$("#schoolId").val({$costSet['schoolId']});
			$("#costInfo").html("学校：<strong>{$school}</strong>，<strong>{$grade}</strong>年级，男生标准<strong>{$costSet['boyMeny']}</strong>，女生标准<strong>{$costSet['girlMeny']}</strong>。");
html;
		}else{
			$error.='无效操作';
		}
	}
	$error.='</script>';
	exit($error);
}else if($action=='stuCostAddCheckStuNo'){//检查指定学号的学生是否存在
	$id=jsonToArray($id);
	if(isNull($v)){
		$error='请输入交费学生的学号';
	}else if(!is_array($id) || count($id)==0){
		$error='请选择收费项目';
	}else if(!is_numeric($id['schoolId']) || !is_numeric($id['financial'])){
		$error='请选择收费项目-2';
	}else{
		$sql="select id,status,sex,sNo,sName,schoolId,gradeId,classId from {$td_config['pre']}student where sNo='{$v}'";
		$row=getone($sql,false);
		if(!is_array($row)){
			$error='指定学号的学生不存在，请检查输入是否正确！';
		}else if($row['schoolId']!=$id['schoolId']){
			$error='指定学号的学生不是当前收费项中学校的学生';
		}else if(!in_array(intval($row['status']),array(1,6,8,9,11,12,13))){
			$error='当前学生已经退学';
		}else{
			$costSet=financial::getCostSet($id['financial'],false);
			if(!is_array($costSet)){
				$error=$td_msg[0];
			}else if($costSet['gradeId']!='-1' && $costSet['gradeId']!=$row['gradeId']){
				$error='指定的学生与收费项目所对应的年级不一致';
			}else{
				$sum=0;//已交费总额
				$jm='';//本收费项目对此学生减免费用
				$xjf=$row['sex']=='男'?$costSet['boyMeny']:$costSet['girlMeny'];//需交费额
				$hxjf=0;//减去已交费用和减免费用后，还需要缴纳的费用
				$sql="select * from {$td_config['pre']}financial where costId={$id['financial']} and stuNo='{$v}'";
				$query->query($sql,1,false);
				if($query->recordCount>0){
					$jm=0;
					foreach($query->row as $q){
						if((float)($q['jmMeny'])>0){
							$jm+=$q['jmMeny'];
						}
						$sum+=$q['meny'];
					}
				}
				$grade=$teachObj->getGradeList($row['schoolId'],$row['gradeId']);
				$gradeName=isNull($grade['gradeName'])?$td_config['chNumber'][$row['gradeId']]:$grade['gradeName'];
				$jm=isNull($jm)?0:(float)($jm);
				$hxjf=(float)($xjf)-$jm-$sum;//计算出还需要缴纳的剩余费用
				echo'<script type="text/javascript">';
				echo<<<html
				$("#classId").html("{$gradeName}（{$row['classId']}）");
				$("#stuName").val('{$row['sName']}');
				$("#xjf").html("{$xjf}");//应交费
				$("#jm").html("{$jm}");//已经减免金额
				$("#yjf").html("{$sum}");//已经交费金额
				$("#hxjf").html("{$hxjf}");//还需要交费金额
				$("#meny").focus();
html;
				echo'</script>';
			}
		}
	}
	if(!isNull($error)){
		echo'<script type="text/javascript">';
		echo<<<html
		$("#classId").html("");
		$("#stuName").val('');
		$("#xjf").html("");//应交费
		$("#jm").html("");//已经减免金额
		$("#yjf").html("");//已经交费金额
		$("#hxjf").html("");//还需要交费金额
		$("#stuNo").focus();
html;
		echo'</script>';
	}
	exit($error);
}else if($action=='stuCostAdd'){//保存新的学生收费
	if(!isset($schoolId) || !is_numeric($schoolId) || (int)($schoolId)<0){
		$error='请选择学校后再保存';
	}else if(!isset($financial) || !is_numeric($financial) || (int)($financial)<1){
		$error='请选择收费项目';
	}else if(!isset($stuNo) || isNull($stuNo)){
		$error='请输入缴费学生的学号';
	}else if(!isset($meny) || !is_numeric($meny)){
		$error='请输入缴纳的费用';
	}else if(!isset($jmMeny) || !is_numeric($jmMeny) || (int)($jmMeny)<0){
		$error='请正确输入针对此学生的减免费用';
	}else if(mb_strlen($memo,$td_config['charset'])>100){
		$error='输入的备注内容超过了100个字符的限制';
	}else{
		$meny=(float)($meny);
		$jmMeny=(float)($jmMeny);
		$costSet=financial::getCostSet($financial,false);
		$jfDate=(isNull($jfDate) || !td_check_date($jfDate) || $jfDate>$td_config['date'])?$td_config['date']:$jfDate;
		if($costSet['schoolId']!=$schoolId){
			$error='您选择的学校与选择的收费项目不对应';
		}else{
			$stu=getone("select * from {$td_config['pre']}student where sNo='{$stuNo}'",false);
			if(!is_array($stu)){
				$error='指定学号的学生不存在';
			}else if($stu['schoolId']!=$schoolId){
				$error='指定学号的学生所在的学校与收费项目对应的学校不一致';
			}else if($costSet['gradeId']!='-1' && $costSet['gradeId']!=$stu['gradeId']){
				$error='指定的收费项目对应的年级与指定学号的学生所在的年级不一致';
			}else{
				$history=query("select * from {$td_config['pre']}financial where costId={$financial} and stuNo='{$stuNo}'",false);
				$xjf=$str['sex']=='男'?$costSet['boyMeny']:$costSet['girlMeny'];//需要交的原始费用
				$yjf=0;//已交费用
				$yjm=0;//已减免费用
				$hxjf=0;//还需要交费
				if(is_array($history)){//如果当前学生已有针对此收费项目的交费记录，则计算各费用值
					foreach($history as $h){
						$yjf+=(float)($h['meny']);
						if((float)($h['jmMeny'])>0){
							$yjm+=(float)($h['jmMeny']);
						}
					}
					$hxjf=(float)($xjf)-$yjf-$yjm;//得出还需要交纳的剩余费用
				}else{
					$hxjf=(float)($xjf);
				}
				if($hxjf==0){
					$error='该学生已经交清此收费项目中的所有费用，不需要再交费了。';
				}else if($meny>$hxjf){
					$error='您输入的交纳费用超过了该名学生还需要交纳的费用数量';
				}else if($jmMeny>$hxjf){
					$error='您输入的该学生减免费用数量超出了还需要交纳的费用数量';
				}else if($meny+$jmMeny>$hxjf){
					$error='您输入的该学生本次交纳费用加上本次交费时的减免费用大于了还需要交纳的费用数量';
				}else{
					$sql="insert into {$td_config['pre']}financial(status,schoolId,gradeId,classId,costId,stuNo,meny,jmMeny,jfDate,editUser,editTime,userNick,inTime,ip,memo) values(1,{$schoolId},{$stu['gradeId']},{$stu['classId']},{$financial},'{$stuNo}',{$meny},{$jmMeny},'{$jfDate}','{$td_online['userNick']}','{$td_config['dateTime']}','{$td_online['userNick']}','{$td_config['dateTime']}','{$td_config['ip']}','{$memo}')";
					$id=myupdate($sql);
					$error=mysql_errno()?$td_msg[7]:$td_msg[30];
					if(mysql_errno()){
						$error=$td_msg[7];
					}else{
						$error=$td_msg[30];
						echo'<script type="text/javascript">';
						echo<<<html
						parent.document.getElementById('printMain').innerHTML='{$td_config['date']}&nbsp;&nbsp;流水号&nbsp;&nbsp;{$id}';
						parent.document.getElementById('printConfirm').value='{$id}';
						parent.document.getElementById('xjf').innerHTML="";
						parent.document.getElementById('jm').innerHTML="";
						parent.document.getElementById('yjf').innerHTML="";
						parent.document.getElementById('hxjf').innerHTML="";
html;
						echo'</script>';
					}
				}
			}
		}
	}
	echo'<script type="text/javascript">';
	echo<<<html
	parent.document.getElementById('stuNo').value='';
	parent.document.getElementById('stuNoTs').innerHTML='';
	parent.document.getElementById('stuName').value='';
	parent.document.getElementById('stuSpan').innerHTML='';
	parent.document.getElementById('meny').value='';
	parent.document.getElementById('jmMeny').value='0';
	parent.document.getElementById('saveAdd').value=' 保 存 ';
	parent.document.getElementById('saveAdd').disabled='';
	alert("{$error}");
html;
	echo'</script>';
}else if($action=='stuCostAddPrintSumAdd'){//发票补打
	if(isNull($v)){
		$error=$td_msg[0];
	}else{
		myupdate("update {$td_config['pre']}financial set printSum=printSum+1 where id in({$v})");
		$error=mysql_errno()?$td_msg[7]:$td_msg[30];
	}
	exit($error);
}else if($action=='wageAdminGetCourseByUserNick'){//调整课时量时，获取指定教师所担任的课程
	$v=jsonToArray($v);
	extract($v);
	if(isNull($id) || !is_numeric($schoolId) || !is_numeric($gradeId)){
		$error=$td_msg[0];
	}else{
		$course=$teachObj->getCourseByTeacher($schoolId,$gradeId,$classId,$id);
		if(!is_array($course) || count($course)==0){
			$error='<select name="course" id="course"><option value="-1">没有担任课程</option></select>';
		}else{
			$select='<select name="courseName" id="courseName">';
			foreach($course as $c){
				$select.=<<<html
				<option value="{$c['courseName']}">{$c['courseName']}</option>
html;
			}
			$select.="</select>";
		}
	}
	if(isNull($error)){
		exit($select);
	}else{
		exit($error);
	}
}else if($action=='bzrCostAdminAdd'){//保存班主任新的学生收费
	if(!isset($schoolId) || !is_numeric($schoolId) || (int)($schoolId)<0){
		$error='请选择学校后再保存';
	}else if(!isset($financial) || !is_numeric($financial) || (int)($financial)<1){
		$error='请选择收费项目';
	}else if(!isset($stuNo) || isNull($stuNo)){
		$error='请输入缴费学生的学号';
	}else if(!isset($meny) || !is_numeric($meny)){
		$error='请输入缴纳的费用';
	}else if(!isset($jmMeny) || !is_numeric($jmMeny) || (int)($jmMeny)<0){
		$error='请正确输入针对此学生的减免费用';
	}else if(mb_strlen($memo,$td_config['charset'])>100){
		$error='输入的备注内容超过了100个字符的限制';
	}else{
		$meny=(float)($meny);
		$jmMeny=(float)($jmMeny);
		$costSet=financial::getCostSet($financial,false);
		if($costSet['schoolId']!=$schoolId){
			$error='您选择的学校与选择的收费项目不对应';
		}else{
			$stu=getone("select * from {$td_config['pre']}student where sNo='{$stuNo}'",false);
			$teacher=query("select * from {$td_config['pre']}classadmin where userNick='{$td_online['userNick']}'",true);
			if(!is_array($stu)){
				$error='指定学号的学生不存在';
			}else if($stu['schoolId']!=$schoolId){
				$error='指定学号的学生所在的学校与收费项目对应的学校不一致';
			}else if($costSet['gradeId']!='-1' && $costSet['gradeId']!=$stu['gradeId']){
				$error='指定的收费项目对应的年级与指定学号的学生所在的年级不一致';
			}else if($stu['schoolId']!=$teacher[0]['schoolId'] || $stu['classId']!=$teacher[0]['classId']){
				$error='指定的学生不在你所担任班主任的班级中';
			}else{
				$history=query("select * from {$td_config['pre']}financial where costId={$financial} and stuNo='{$stuNo}'",false);
				$xjf=$str['sex']=='男'?$costSet['boyMeny']:$costSet['girlMeny'];//需要交的原始费用
				$yjf=0;//已交费用
				$yjm=0;//已减免费用
				$hxjf=0;//还需要交费
				if(is_array($history)){//如果当前学生已有针对此收费项目的交费记录，则计算各费用值
					foreach($history as $h){
						$yjf+=(float)($h['meny']);
						if((float)($h['jmMeny'])>0){
							$yjm+=(float)($h['jmMeny']);
						}
					}
					$hxjf=(float)($xjf)-$yjf-$yjm;//得出还需要交纳的剩余费用
				}else{
					$hxjf=(float)($xjf);
				}
				if($hxjf==0){
					$error='该学生已经交清此收费项目中的所有费用，不需要再交费了。';
				}else if($meny>$hxjf){
					$error='您输入的交纳费用超过了该名学生还需要交纳的费用数量';
				}else if($jmMeny>$hxjf){
					$error='您输入的该学生减免费用数量超出了还需要交纳的费用数量';
				}else if($meny+$jmMeny>$hxjf){
					$error='您输入的该学生本次交纳费用加上本次交费时的减免费用大于了还需要交纳的费用数量';
				}else{
					$sql="insert into {$td_config['pre']}financial(status,isBzr,schoolId,gradeId,classId,costId,stuNo,meny,jmMeny,editUser,editTime,userNick,inTime,ip,memo) values(0,1,{$schoolId},{$stu['gradeId']},{$stu['classId']},{$financial},'{$stuNo}',{$meny},{$jmMeny},'{$td_online['userNick']}','{$td_config['dateTime']}','{$td_online['userNick']}','{$td_config['dateTime']}','{$td_config['ip']}','{$memo}')";
					$id=myupdate($sql);
					$error=mysql_errno()?$td_msg[7]:$td_msg[30];
					if(mysql_errno()){
						$error=$td_msg[7];
					}else{
						$error=$td_msg[30];
						echo'<script type="text/javascript">';
						echo<<<html
						parent.document.getElementById('printMain').innerHTML='{$td_config['date']}&nbsp;&nbsp;流水号&nbsp;&nbsp;{$id}';
						parent.document.getElementById('printConfirm').value='{$id}';
html;
						echo'</script>';
					}
				}
			}
		}
	}
	echo'<script type="text/javascript">';
	echo<<<html
	parent.document.getElementById('stuNo').value='';
	parent.document.getElementById('stuNoTs').innerHTML='';
	parent.document.getElementById('stuName').value='';
	parent.document.getElementById('stuSpan').innerHTML='';
	parent.document.getElementById('meny').value='';
	parent.document.getElementById('jmMeny').value='0';
	parent.document.getElementById('saveAdd').value=' 保 存 ';
	parent.document.getElementById('saveAdd').disabled='';
	alert("{$error}");
html;
	echo'</script>';
}else if($action=='stuCostAddPrintAdd'){//学生交费发票打印次数加　1
	echo $v;
	$v=preg_replace("/[\,]{1,}/",",",$v);
	if(isNull($v) || str_replace(",",'',$v)==''){
		return false;
	}else{
		$v=trim($v,',');
		$sql="update {$td_config['pre']}financial set printSum=printSum+1 where id in({$v})";
		myupdate($sql);
		echo mysql_error();
	}
	exit($sql);
}else if($action=='stuCostAddAuditBzr'){//财务人员审核班主任保存的学生交费信息
	if($v!='1' && $v!='2'){
		$error=$td_msg[0];
	}else if(!isset($id) || isNull($id)){
		$error=$td_msg[0].'_2';
	}else{
		$id=trim($id,',');
		$temp=str_replace(',','',$id);
		if(!preg_match($zz_number,$temp)){
			$error=$td_msg[0].'_3';
		}else{
			$sql="update {$td_config['pre']}financial set status={$v} where id in({$id})";
			myupdate($sql);
			$error=mysql_errno()?$td_msg[7]:$td_msg[30];
		}
	}
	echo'<script type="text/javascript">';
	echo<<<html
	alert('{$error}');
	if('{$error}'=='{$td_msg[30]}'){
		if(window.confirm('打印票据凭证吗？') && '{$v}'=='1'){
			$("#printBut").show();
			document.getElementById("printButA").click();
		}else{
			$("#printBut").hide();
		}
	}
html;
	echo'</script>';
}else if($action=='wageAdminSaveBaseWageList'){//保存批量修改基本工资
	$id=trim($id,',');
	$v=trim($v,',');
	$id=preg_replace("/\,{2,}/",',',$id);//ID传递的是用逗号隔开的职工工号
	$id=str_replace(" ","",$id);
	$id=str_replace("　","",$id);
	$temp_id=str_replace(',','',$id);
	$v=preg_replace("/\,{2,}/",',',$v);
	$v=str_replace(" ","",$v);
	$v=str_replace("　","",$v);
	$temp_v=str_replace(',','',$v);
	
	if(isNull($id)){
		$error=$td_msg[0];
	}else if(!preg_match("/^[a-zA-Z0-9_]*$/",$temp_id)){
		$error=$td_msg[0].'_2';
	}else if(isNull($v)){
		$error=$td_msg[0].'_3';
	}else if(!preg_match("/^[0-9\.]*$/",$temp_v)){
		$error=$td_msg[0].'_4';
	}else{
		$id=explode(',',$id);
		$v=explode(',',$v);
		foreach($id as $k=>$i){
			if(!isNull($i) && is_numeric($v[$k])){
				$row=getone("select * from {$td_config['pre']}wage where forUserNick='{$i}'",false);
				if(!is_array($row)){
					myupdate("insert into {$td_config['pre']}wage(forUserNick,status,baseWage,gl,zfbz,shfbz,hfbz,other,userNick,inTime,ip) values('{$i}',1,{$v[$k]},0,0,0,0,0,'{$td_online['userNick']}','{$td_config['dateTime']}','{$td_config['ip']}')");
				}else{
					myupdate("update {$td_config['pre']}wage set baseWage={$v[$k]},userNick='{$td_online['userNick']}',inTime='{$td_config['dateTime']}',ip='{$td_config['ip']}' where forUserNick='{$i}'");
				}
			}
		}
		$error=$td_msg[30];
	}
	exit($error);
}else if($action=='wageAdminSaveDjgzList'){//保存批量修改等级工资
	$id=trim($id,',');
	$v=trim($v,',');
	$id=preg_replace("/\,{2,}/",',',$id);//ID传递的是用逗号隔开的职工工号
	$id=str_replace(" ","",$id);
	$id=str_replace("　","",$id);
	$temp_id=str_replace(',','',$id);
	$v=preg_replace("/\,{2,}/",',',$v);
	$v=str_replace(" ","",$v);
	$v=str_replace("　","",$v);
	$temp_v=str_replace(',','',$v);
	
	if(isNull($id)){
		$error=$td_msg[0];
	}else if(!preg_match("/^[a-zA-Z0-9_]*$/",$temp_id)){
		$error=$td_msg[0].'_2';
	}else if(isNull($v)){
		$error=$td_msg[0].'_3';
	}else if(!preg_match("/^[0-9\.]*$/",$temp_v)){
		$error=$td_msg[0].'_4';
	}else{
		$id=explode(',',$id);
		$v=explode(',',$v);
		foreach($id as $k=>$i){
			if(!isNull($i) && is_numeric($v[$k])){
				$row=getone("select * from {$td_config['pre']}wage where forUserNick='{$i}'",false);
				if(!is_array($row)){
					myupdate("insert into {$td_config['pre']}wage(forUserNick,status,baseWage,djgz,gl,zfbz,shfbz,hfbz,other,userNick,inTime,ip) values('{$i}',1,0,{$v[$k]},0,0,0,0,0,'{$td_online['userNick']}','{$td_config['dateTime']}','{$td_config['ip']}')");
				}else{
					myupdate("update {$td_config['pre']}wage set baseWage={$v[$k]},userNick='{$td_online['userNick']}',inTime='{$td_config['dateTime']}',ip='{$td_config['ip']}' where forUserNick='{$i}'");
				}
			}
		}
		$error=$td_msg[30];
	}
	exit($error);
}else if($action=='wageAdminSaveGlWageList'){//保存批量修改工龄工资
	$id=trim($id,',');
	$v=trim($v,',');
	$id=preg_replace("/\,{2,}/",',',$id);//ID传递的是用逗号隔开的职工工号
	$id=str_replace(" ","",$id);
	$id=str_replace("　","",$id);
	$temp_id=str_replace(',','',$id);
	$v=preg_replace("/\,{2,}/",',',$v);
	$v=str_replace(" ","",$v);
	$v=str_replace("　","",$v);
	$temp_v=str_replace(',','',$v);
	
	if(isNull($id)){
		$error=$td_msg[0];
	}else if(!preg_match("/^[a-zA-Z0-9_]*$/",$temp_id)){
		$error=$td_msg[0].'_2';
	}else if(isNull($v)){
		$error=$td_msg[0].'_3';
	}else if(!preg_match("/^[0-9\.]*$/",$temp_v)){
		$error=$td_msg[0].'_4';
	}else{
		$id=explode(',',$id);
		$v=explode(',',$v);
		foreach($id as $k=>$i){
			if(!isNull($i) && is_numeric($v[$k])){
				$row=getone("select * from {$td_config['pre']}wage where forUserNick='{$i}'",false);
				if(!is_array($row)){
					myupdate("insert into {$td_config['pre']}wage(forUserNick,status,baseWage,gl,zfbz,shfbz,hfbz,other,userNick,inTime,ip) values('{$i}',1,0,{$v[$k]},0,0,0,0,'{$td_online['userNick']}','{$td_config['dateTime']}','{$td_config['ip']}')");
				}else{
					myupdate("update {$td_config['pre']}wage set gl={$v[$k]},userNick='{$td_online['userNick']}',inTime='{$td_config['dateTime']}',ip='{$td_config['ip']}' where forUserNick='{$i}'");
				}
			}
		}
		$error=$td_msg[30];
	}
	exit($error);
}else if($action=='wageAdminSaveZfbzWageList'){//保存批量修改住房补助
	$id=trim($id,',');
	$v=trim($v,',');
	$id=preg_replace("/\,{2,}/",',',$id);//ID传递的是用逗号隔开的职工工号
	$id=str_replace(" ","",$id);
	$id=str_replace("　","",$id);
	$temp_id=str_replace(',','',$id);
	$v=preg_replace("/\,{2,}/",',',$v);
	$v=str_replace(" ","",$v);
	$v=str_replace("　","",$v);
	$temp_v=str_replace(',','',$v);
	
	if(isNull($id)){
		$error=$td_msg[0];
	}else if(!preg_match("/^[a-zA-Z0-9_]*$/",$temp_id)){
		$error=$td_msg[0].'_2';
	}else if(isNull($v)){
		$error=$td_msg[0].'_3';
	}else if(!preg_match("/^[0-9\.]*$/",$temp_v)){
		$error=$td_msg[0].'_4';
	}else{
		$id=explode(',',$id);
		$v=explode(',',$v);
		foreach($id as $k=>$i){
			if(!isNull($i) && is_numeric($v[$k])){
				$row=getone("select * from {$td_config['pre']}wage where forUserNick='{$i}'",false);
				if(!is_array($row)){
					myupdate("insert into {$td_config['pre']}wage(forUserNick,status,baseWage,gl,zfbz,shfbz,hfbz,other,userNick,inTime,ip) values('{$i}',1,0,0,{$v[$k]},0,0,0,'{$td_online['userNick']}','{$td_config['dateTime']}','{$td_config['ip']}')");
				}else{
					myupdate("update {$td_config['pre']}wage set zfbz={$v[$k]},userNick='{$td_online['userNick']}',inTime='{$td_config['dateTime']}',ip='{$td_config['ip']}' where forUserNick='{$i}'");
				}
			}
		}
		$error=$td_msg[30];
	}
	exit($error);
}else if($action=='wageAdminSaveShfbzWageList'){//保存批量修改生活费补助
	$id=trim($id,',');
	$v=trim($v,',');
	$id=preg_replace("/\,{2,}/",',',$id);//ID传递的是用逗号隔开的职工工号
	$id=str_replace(" ","",$id);
	$id=str_replace("　","",$id);
	$temp_id=str_replace(',','',$id);
	$v=preg_replace("/\,{2,}/",',',$v);
	$v=str_replace(" ","",$v);
	$v=str_replace("　","",$v);
	$temp_v=str_replace(',','',$v);
	
	if(isNull($id)){
		$error=$td_msg[0];
	}else if(!preg_match("/^[a-zA-Z0-9_]*$/",$temp_id)){
		$error=$td_msg[0].'_2';
	}else if(isNull($v)){
		$error=$td_msg[0].'_3';
	}else if(!preg_match("/^[0-9\.]*$/",$temp_v)){
		$error=$td_msg[0].'_4';
	}else{
		$id=explode(',',$id);
		$v=explode(',',$v);
		foreach($id as $k=>$i){
			if(!isNull($i) && is_numeric($v[$k])){
				$row=getone("select * from {$td_config['pre']}wage where forUserNick='{$i}'",false);
				if(!is_array($row)){
					myupdate("insert into {$td_config['pre']}wage(forUserNick,status,baseWage,gl,zfbz,shfbz,hfbz,other,userNick,inTime,ip) values('{$i}',1,0,0,0,{$v[$k]},0,0,'{$td_online['userNick']}','{$td_config['dateTime']}','{$td_config['ip']}')");
				}else{
					myupdate("update {$td_config['pre']}wage set shfbz={$v[$k]},userNick='{$td_online['userNick']}',inTime='{$td_config['dateTime']}',ip='{$td_config['ip']}' where forUserNick='{$i}'");
				}
			}
		}
		$error=$td_msg[30];
	}
	exit($error);
}else if($action=='wageAdminSaveHfWageList'){//保存批量修改电话费补助
	$id=trim($id,',');
	$v=trim($v,',');
	$id=preg_replace("/\,{2,}/",',',$id);//ID传递的是用逗号隔开的职工工号
	$id=str_replace(" ","",$id);
	$id=str_replace("　","",$id);
	$temp_id=str_replace(',','',$id);
	$v=preg_replace("/\,{2,}/",',',$v);
	$v=str_replace(" ","",$v);
	$v=str_replace("　","",$v);
	$temp_v=str_replace(',','',$v);
	
	if(isNull($id)){
		$error=$td_msg[0];
	}else if(!preg_match("/^[a-zA-Z0-9_]*$/",$temp_id)){
		$error=$td_msg[0].'_2';
	}else if(isNull($v)){
		$error=$td_msg[0].'_3';
	}else if(!preg_match("/^[0-9\.]*$/",$temp_v)){
		$error=$td_msg[0].'_4';
	}else{
		$id=explode(',',$id);
		$v=explode(',',$v);
		foreach($id as $k=>$i){
			if(!isNull($i) && is_numeric($v[$k])){
				$row=getone("select * from {$td_config['pre']}wage where forUserNick='{$i}'",false);
				if(!is_array($row)){
					myupdate("insert into {$td_config['pre']}wage(forUserNick,status,baseWage,gl,zfbz,shfbz,hfbz,other,userNick,inTime,ip) values('{$i}',1,0,0,0,0,{$v[$k]},0,'{$td_online['userNick']}','{$td_config['dateTime']}','{$td_config['ip']}')");
				}else{
					myupdate("update {$td_config['pre']}wage set hfbz={$v[$k]},userNick='{$td_online['userNick']}',inTime='{$td_config['dateTime']}',ip='{$td_config['ip']}' where forUserNick='{$i}'");
				}
			}
		}
		$error=$td_msg[30];
	}
	exit($error);
}else if($action=='wageAdminSaveOtherWageList'){//保存批量修改其它费用补助
	$id=trim($id,',');
	$v=trim($v,',');
	$id=preg_replace("/\,{2,}/",',',$id);//ID传递的是用逗号隔开的职工工号
	$id=str_replace(" ","",$id);
	$id=str_replace("　","",$id);
	$temp_id=str_replace(',','',$id);
	$v=preg_replace("/\,{2,}/",',',$v);
	$v=str_replace(" ","",$v);
	$v=str_replace("　","",$v);
	$temp_v=str_replace(',','',$v);
	
	if(isNull($id)){
		$error=$td_msg[0];
	}else if(!preg_match("/^[a-zA-Z0-9_]*$/",$temp_id)){
		$error=$td_msg[0].'_2';
	}else if(isNull($v)){
		$error=$td_msg[0].'_3';
	}else if(!preg_match("/^[0-9\.]*$/",$temp_v)){
		$error=$td_msg[0].'_4';
	}else{
		$id=explode(',',$id);
		$v=explode(',',$v);
		foreach($id as $k=>$i){
			if(!isNull($i) && is_numeric($v[$k])){
				$row=getone("select * from {$td_config['pre']}wage where forUserNick='{$i}'",false);
				if(!is_array($row)){
					myupdate("insert into {$td_config['pre']}wage(forUserNick,status,baseWage,gl,zfbz,shfbz,hfbz,other,userNick,inTime,ip) values('{$i}',1,0,0,0,0,0,{$v[$k]},'{$td_online['userNick']}','{$td_config['dateTime']}','{$td_config['ip']}')");
				}else{
					myupdate("update {$td_config['pre']}wage set other={$v[$k]},userNick='{$td_online['userNick']}',inTime='{$td_config['dateTime']}',ip='{$td_config['ip']}' where forUserNick='{$i}'");
				}
			}
		}
		$error=$td_msg[30];
	}
	exit($error);
}else if($action=='wageAdminSaveEditBaseWage'){//保存批量修改指定职工的工资配置
	$v=jsonToArray($v);
	
	if(!preg_match($zz_userNick,$id)){
		$error=$td_msg[0];
	}else if(!is_array($v)){
		$error=$td_msg[0].'_1';
	}else{
		if(!is_numeric($v['baseWage']) || !is_numeric($v['gl']) || !is_numeric($v['zfbz']) || !is_numeric($v['shfbz']) || !is_numeric($v['hfbz']) || !is_numeric($v['other'])){
			$error=$td_msg[0].'_2';
		}else{
			$row=getone("select * from {$td_config['pre']}wage where forUserNick='{$id}'",false);
			if(!is_array($row)){
				myupdate("insert into {$td_config['pre']}wage(forUserNick,status,baseWage,djgz,gl,zfbz,shfbz,hfbz,other,userNick,inTime,ip) values('{$i}',1,{$v['baseWage']},{$v['djgz']},{$v['gl']},{$v['zfbz']},{$v['shfbz']},{$v['hfbz']},{$v['other']},'{$td_online['userNick']}','{$td_config['dateTime']}','{$td_config['ip']}')");
			}else{
				myupdate("update {$td_config['pre']}wage set baseWage={$v['baseWage']},djgz={$v['djgz']},gl={$v['gl']},zfbz={$v['zfbz']},shfbz={$v['shfbz']},hfbz={$v['hfbz']},other={$v['other']},userNick='{$td_online['userNick']}',inTime='{$td_config['dateTime']}',ip='{$td_config['ip']}' where forUserNick='{$id}'");
			}
			$error=mysql_errno()?$td_msg[7]:$td_msg[30];
		}
	}
	exit($error);
}else if($action=='wageAdminGetCourse'){//根据学校和年级的ID，输出开设课程的下拉列表框
	echo $teachObj->courseSelect($id,$v,'','','');
}else if($action=='wageAdminMainMenySaveList'){//保存批量修改指定课程的正课费用配置
	$id=trim($id,',');
	$v=trim($v,',');
	$id=preg_replace("/\,{2,}/",',',$id);//ID传递的是用逗号隔开的课程ID序列
	$id=str_replace(" ","",$id);
	$id=str_replace("　","",$id);
	$temp_id=str_replace(',','',$id);
	$v=preg_replace("/\,{2,}/",',',$v);
	$v=str_replace(" ","",$v);
	$v=str_replace("　","",$v);
	$temp_v=str_replace(',','',$v);
	
	if(isNull($id)){
		$error=$td_msg[0];
	}else if(!preg_match("/^[0-9]*$/",$temp_id)){
		$error=$td_msg[0].'_2';
	}else if(isNull($v)){
		$error=$td_msg[0].'_3';
	}else if(!preg_match("/^[0-9\.]*$/",$temp_v)){
		$error=$td_msg[0].'_4';
	}else{
		$id=explode(',',$id);
		$v=explode(',',$v);
		foreach($id as $k=>$i){
			if(!isNull($i) && is_numeric($v[$k])){
				myupdate("update {$td_config['pre']}course set mainMeny={$v[$k]} where id={$i}");
			}
		}
		$error=$td_msg[30];
	}
	exit($error);
}else if($action=='wageAdminFdMenySaveList'){//保存批量修改指定课程的辅导课费用配置
	$id=trim($id,',');
	$v=trim($v,',');
	$id=preg_replace("/\,{2,}/",',',$id);//ID传递的是用逗号隔开的课程ID序列
	$id=str_replace(" ","",$id);
	$id=str_replace("　","",$id);
	$temp_id=str_replace(',','',$id);
	$v=preg_replace("/\,{2,}/",',',$v);
	$v=str_replace(" ","",$v);
	$v=str_replace("　","",$v);
	$temp_v=str_replace(',','',$v);
	
	if(isNull($id)){
		$error=$td_msg[0];
	}else if(!preg_match("/^[0-9]*$/",$temp_id)){
		$error=$td_msg[0].'_2';
	}else if(isNull($v)){
		$error=$td_msg[0].'_3';
	}else if(!preg_match("/^[0-9\.]*$/",$temp_v)){
		$error=$td_msg[0].'_4';
	}else{
		$id=explode(',',$id);
		$v=explode(',',$v);
		foreach($id as $k=>$i){
			if(!isNull($i) && is_numeric($v[$k])){
				myupdate("update {$td_config['pre']}course set fdMeny={$v[$k]} where id={$i}");
			}
		}
		$error=$td_msg[30];
	}
	exit($error);
}else if($action=='wageAdminCourseMeny'){//保存批量修改指定课程课时费用的配置
	$v=jsonToArray($v);
	
	if(!is_numeric($id)){
		$error=$td_msg[0];
	}else if(!is_array($v)){
		$error=$td_msg[0].'_1';
	}else{
		if(!is_numeric($v['mainMeny']) || !is_numeric($v['fdMeny'])){
			$error=$td_msg[0].'_2';
		}else{
			$row=getone("select * from {$td_config['pre']}course where id='{$id}'",false);
			if(!is_array($row)){
				$error='指定的课程不存在';
			}else{
				myupdate("update {$td_config['pre']}course set mainMeny={$v['mainMeny']},fdMeny={$v['fdMeny']} where id='{$id}'");
			}
			$error=mysql_errno()?$td_msg[7]:$td_msg[30];
		}
	}
	exit($error);
}else if($action=='wageAdminGetCourseByGrade'){//由学校、年级获取开设课程
	$v=jsonToArray($v);
	extract($v);
	if(!isset($schoolId) || !is_numeric($schoolId) || $schoolId=='-1'){
		$error=$td_msg[0];
	}else if(!isset($gradeId) || !is_numeric($gradeId) || $gradeId=='-1'){
		$error=$td_msg[0].'_2';
	}else{
		$teachObj->getCourseSelect($schoolId,$gradeId,'','','','setCourse(this.value);','',2);
	}
	exit($error);
}else if($action=='wageAdminHcgz'){//合成工资
	if(!isset($id) || !is_numeric($id) || !isset($v) || !preg_match("/^[0-9]{4}\-[0-9]{1,2}$/",$v)){
		$error=$td_msg[0];
	}else if(!$userObj->kxAdmin() && $id!=$td_online['schoolId']){
		$error='您没有跨学校操作权限，不能合计其它学校的职工工资。';
	}else{
		$school=sys::getSchool($schoolList,$id,false);
		$y=(int)(date("Y"));
		$v=explode("-",$v);
		$v[0]=(int)($v[0]);
		$v[1]=(int)($v[1]);
		if(!is_array($school) || count($school)==0){//指定的学校不存在
			$error=$td_msg[0].'_2';
		}else if($v[0]<$y-1 || $v[0]>$y+1){//指定的日期错误
			$error=$td_msg[0].'_3';
		}else{
			$schoolId=$id;
			$v[1]=$v[1]<10?'0'.$v[1]:$v[1];
			$v="{$v[0]}-{$v[1]}";
			$row=getone("select * from {$td_config['pre']}wagemonth where schoolId={$schoolId} and dateMonth='{$v}'",false);
			if(is_array($row) && count($row)>0){//已经存在指定学校、指定日期的工资
				//查询出当前学校里的所有职工，并更新工资表里没有审核工资的数据
				$total=50;//每次更新的记录数量
				$row=getone("select count(*) as aCount from {$td_config['pre']}teachers where schoolId={$id} and status=1",false);
				if($row['aCount']==0){
					$error='没有职工';
				}else{
					$loopCount=ceil($row['aCount']/$total);
					for($i=0; $i<$loopCount; $i++){
						$k=$i*$total;
						$sql='';
						$query->query("select * from {$td_config['pre']}teachers where schoolId={$id} and status=1 limit {$k},{$total}",1,false);
						foreach($query->row as $q){
							$wage=getone("select * from {$td_config['pre']}wage where forUserNick='{$q['userNick']}'",false);
							if(is_array($wage)){
								$sql="update {$td_config['pre']}wagemonth set baseWage={$wage['baseWage']},djgz={$wage['djgz']},gl={$wage['gl']},zfbz={$wage['zfbz']},shfbz={$wage['shfbz']},hfbz={$wage['hfbz']},other={$wage['other']},courseMeny=0 where status=0 and forUserNick='{$wage['forUserNick']}' and schoolId={$schoolId} and dateMonth='{$v}';";
								myupdate($sql);
							}
						}
						$error.=$sql;
						$error.=mysql_error();
					}
				}
			}else{//指定学校、日期的工资不存在
				//查询出当前学校里的所有职工，并更新工资表里没有审核工资的数据
				$total=2;//每次更新的记录数量
				$row=getone("select count(*) as aCount from {$td_config['pre']}teachers where schoolId={$schoolId} and status=1",false);
				if($row['aCount']==0){
					$error='没有职工';
				}else{
					$loopCount=ceil($row['aCount']/$total);
					for($i=0; $i<$loopCount; $i++){
						$k=$i*$total;
						$sql='';
						$query->query("select * from {$td_config['pre']}teachers where schoolId={$schoolId} and status=1 limit {$k},{$total}",1,false);
						$sql="insert into {$td_config['pre']}wagemonth(status,isSend,schoolId,unitId,forUserNick,dateMonth,baseWage,djgz,gl,zfbz,shfbz,hfbz,other,courseMeny,userNick,inTime) values";
						foreach($query->row as $q){
							$row=getone("select * from {$td_config['pre']}wage where forUserNick='{$q['userNick']}'",false);
							if(!is_array($row) || count($row)==0){//如果指定人的基本工资不存在，则自动生成基本工资，赋值 0
								myupdate("insert into {$td_config['pre']}wage(forUserNick,status,baseWage,djgz,gl,zfbz,shfbz,hfbz,other,userNick,inTime,ip) values('{$i}',1,0,0,0,0,0,0,0,'{$td_online['userNick']}','{$td_config['dateTime']}','{$td_config['ip']}')");
								$sql.="(0,0,{$schoolId},{$q['unitId']},'{$q['userNick']}','{$v}',0,0,0,0,0,0,0,0,'{$td_online['userNick']}','{$td_config['dateTime']}'),";
							}else{
								$sql.="(0,0,{$schoolId},{$q['unitId']},'{$q['userNick']}','{$v}',{$row['baseWage']},{$row['djgz']},{$row['gl']},{$row['zfbz']},{$row['shfbz']},{$row['hfbz']},{$row['other']},0,'{$td_online['userNick']}','{$td_config['dateTime']}'),";
							}
						}
						if($sql=="insert into {$td_config['pre']}wagemonth(status,isSend,schoolId,forUserNick,dateMonth,baseWage,djgz,gl,zfbz,shfbz,hfbz,other,courseMeny,userNick,inTime) values"){
							continue;
						}
						$sql=trim($sql,",").";";
						myupdate($sql);
						$error=mysql_errno()?$td_msg[7]:$td_msg[30];
					}
					$error=mysql_errno()?$td_msg[7]:$td_msg[30];
				}
			}
		}
	}
	exit($error);
}else if($action=='wageAdminGetUnit'){//由学校ID，获取部门下拉列表框
	if(!is_numeric($id) || (int)($id)<0){
		$error=$td_msg[0];
	}else if(!preg_match("/^[a-zA-Z_]{1,20}$/",$v)){
		$error=$td_msg[0].'_2';
	}else{
		$error="部门：".sys::unitSelect($adminUnit,$v,$v,"",$id,0,0);
	}
	exit($error);
}else if($action=='wageAdminSaveKc'){//保存对指定职工的工资扣除操作
	if(!isset($id) || !$userObj->checkUserNick($id)){
		$error=$td_msg[0];
	}else{
		$v=jsonToArray($v);
		if(count($v)!=6 || !is_numeric($v['schoolId']) || !is_numeric($v['qjkc']) || !is_numeric($v['kgkc']) || !is_numeric($v['cdkc']) || !is_numeric($v['khkc']) || !is_numeric($v['otherKc']) || (int)($v['qjkc'])<0 || (int)($v['kgkc'])<0 || (int)($v['cdkc'])<0 || (int)($v['khkc'])<0 || (int)($v['otherKc'])<0){
			$error=$td_msg[0].'_2';
		}else{
			if(!$userObj->kxAdmin() && $v['schoolId']!=$td_online['schoolId']){
				$error='你没有跨学校管理的权限，你的管理权限仅限你所在的学校范围内。';
			}else{
				myupdate("update {$td_config['pre']}wagemonth set qjkc={$v['qjkc']},kgkc={$v['kgkc']},cdkc={$v['cdkc']},khkc={$v['khkc']},otherKc={$v['otherKc']} where forUserNick='{$id}'");
				$error=mysql_errno()?$td_msg[7]:$td_msg[30];
			}
		}
	}
	exit($error);
}else if($action=='wageAdminExeReviseMeny'){//课时调整时，计算课时费
	$v=jsonToArray($v);
	extract($v);
	if(!is_numeric($schoolId) || !is_numeric($gradeId) || ($ktlx!='1' && $ktlx!='2') || isNull($cName) || !is_numeric($id)){
		$error=$td_msg[0];
	}else if((int)($id)==0){
		$error='课时数量为0，无意义。';
	}else{
		$row=getone("select * from {$td_config['pre']}course where courseName='{$cName}' and schoolId={$schoolId} and gradeId={$gradeId}",false);
		if(!is_array($row)){
			$error='指定的课程不存在';
		}else{
			$meny=$ktlx=='1'?(float)($id)*$row['mainMeny']:(float)($id)*$row['fdMeny'];
		}
	}
	if(isNull($error)){
		exit($meny);
	}else{
		exit($error);
	}
}else if($action=='wageAdminKslRevise'){//调整指定教师的课时量
	if(!is_numeric($schoolId) || !is_numeric($gradeId) || !is_numeric($classId) || ($ktlx!='1' && $ktlx!='2') || !is_numeric($amount) || (float)($amount)==0 || !is_numeric($meny) || (float)($meny)==0 || ((float)($amount)>0 && (float)($meny)<0) || ((float)($amount)<0 && (float)($meny)>0) || isNull($courseName) || isNull($userNick)){
		$error=$td_msg[0];
	}else{
		$where=" where courseName='{$courseName}' and schoolId={$schoolId} and gradeId={$gradeId}";
		$where.=((int)($classId)>=0)?" and classId={$classId}":'';
		$course=getone("select * from {$td_config['pre']}course {$where}",false);
		if(!is_array($course)){
			$error='指定的课程不存在';
		}else{
			$teacher=getone("select * from {$td_config['pre']}teacher {$where} and userNick='{$userNick}' and status=1",false);
			if(!is_array($teacher)){
				$error='指定工号的职工没有担任指定学校、年级、班级、课程名称的课程';
			}else{
				$autoMeny=$ktlx=='1'?(float)($amount)*(float)($course['mainMeny']):(float)($amount)*(float)($course['fdMeny']);
				if((float)($autoMeny)!=(float)($meny)){
					$error='请勿外部提交数据'.$autoMeny.'****'.$meny;
				}else{
					$row=getone("select * from {$td_config['pre']}wagemonth where forUserNick='{$userNick}' and dateMonth='{$year}-{$month}'",false);
					if(!is_array($row)){
						$error="不存在{$year}-{$month}日期的工资合成，或此日期的工资合成结果不存在工号为{$userNick}的工资信息，请先生成工资合成，然后再进行课时调整。";
					}else{
						$sql="insert into {$td_config['pre']}wagekstz(forDateMonth,forUserNick,schoolId,gradeId,classId,courseName,amount,isMain,meny,userNick,inTime) values('{$year}-{$month}','{$userNick}',{$schoolId},{$gradeId},{$classId},'{$courseName}',{$amount},{$ktlx},{$meny},'{$td_online['userNick']}','{$td_config['dateTime']}')";
						myupdate($sql);
						$error=mysql_errno()?$td_msg[7]:$td_msg[30];
					}
				}
			}
		}
	}
	parentUrlGo('',$error);
}else if($action=='wageAdminKslReviseCourseAmount'){//修改课时调整数量
	if(!is_numeric($id) || !is_numeric($v) || (float)($v)==0){
		$error=$td_msg[0];
	}else{
		myupdate("update {$td_config['pre']}wagekstz set amount={$v} where id={$id}");
		$error=mysql_errno()?$td_msg[7]:$td_msg[30];
	}
	exit($error);
}else if($action=='wageAdminKslReviseMeny'){//修改课时调整时的课时费用数量
	if(!is_numeric($id) || !is_numeric($v) || (float)($v)==0){
		$error=$td_msg[0];
	}else{
		myupdate("update {$td_config['pre']}wagekstz set meny={$v} where id={$id}");
		$error=mysql_errno()?$td_msg[7]:$td_msg[30];
	}
	exit($error);
}else if($action=='wageAdminKslReviseDelete'){//删除课时调整
	if(!is_numeric($id)){
		$error=$td_msg[0];
	}else{
		myupdate("delete from {$td_config['pre']}wagekstz where id={$id}");
		$error=mysql_errno()?$td_msg[7]:$td_msg[30];
	}
	exit($error);
}

/*
	职工收费项目相关
*/
if($action=='workerSet' || $action=='workerSetEdit'){//保存职工收费项目
	if($action=='workerEdit' && !is_numeric($id)){
		$error=$td_msg[42];
	}else if(!isset($schoolId) || !is_numeric($schoolId) || (int)($schoolId)<0){
		$error='请正确选择收费项目针对的学校。';
	}else if(!isset($costName) || isNull($costName)){
		$error='请输入收费项目的名称。';
	}else if(!isset($nvoiceName) || isNull($nvoiceName)){
		$error='请输入收费项目对应的票据标题。';
	}else if(!isset($meny) || !is_numeric($meny) || (float)($meny)<=0){
		$error='收费项目的收费金额错误。';
	}else{
		$unitId=(!isset($preUnit) || !is_numeric($preUnit) || (int)($preUnit)<0)?-1:(int)($preUnit);
		$return=(!isset($return) || $return1=='1')?0:1;
		if($action=='workerSet'){
			$row=getone("select * from {$td_config['pre']}workercostset where schoolId={$schoolId} and costName='{$costName}'",false);
			if(is_array($row)){
				$error='指定学校已经存在当前的收费项目名称，同一学校的收费项目名称不能相同。';
			}else{
				$sql="insert into {$td_config['pre']}workercostset(schoolId,unitId,isReturn,costName,nvoiceName,meny,editUser,editTime,userNick,inTime,ip) values({$schoolId},{$unitId},{$return},'{$costName}','{$nvoiceName}',{$meny},'{$td_online['userNick']}','{$td_config['dateTime']}','{$td_online['userNick']}','{$td_config['dateTime']}','{$td_config['ip']}')";
				$id=myupdate($sql);
				$error=mysql_errno()?$td_msg[7]:$td_msg[30];
			}
		}else{
			$row=getone("select * from {$td_config['pre']}workercostset where id={$id}",false);
			if(!is_array($row)){
				$error='指定ID的收费项目不存在';
			}else{
				$row=getone("select * from {$td_config['pre']}workercostset where schoolId={$schoolId} and costName='{$costName}' and id<>{$id}",false);
				if(is_array($row)){
					$error='收费项目的名称已经被其它项目占用，本次保存操作被取消。';
				}else{
					$sql="update {$td_config['pre']}workercostset set schoolId={$schoolId},unitId={$unitId},isReturn={$return},costName='{$costName}',nvoiceName='{$nvoiceName}',meny={$meny},editUser='{$td_online['userNick']}',editTime='{$td_config['dateTime']}' where id={$id}";
					myupdate($sql);
					$error=mysql_errno()?$td_msg[7]:$td_msg[30];
				}
			}
		}
	}
	parentUrlGo('',$error);
}else if($action=='workerAppendGetCost'){//依据学校，输出可使用的职工收费项目
	if(!is_numeric($id)){
		$error=$td_msg[42];
	}else{
		$error=financial::selectWorkerCost($id,-1,'','',"fastOperation('workerAppendSetInfo',this.value,'')");
	}
	exit($error);
}else if($action=='workerAppendSetInfo'){//依据收费项目的ID，返回项目的基本信息
	$result='<script type="text/javascript">';
	if(!is_numeric($id)){
		$error=$td_msg[42];
	}else{
		$cost=financial::getWorkerCost($id,false);
		if(!is_array($cost)){
			$error='指定的职工收费项目不存在';
		}else{
			$school=sys::getSchool($schoolList,$cost['schoolId'],true);
			$unit=sys::getUnit($adminUnit,$cost['unitId'],true);
			$unit=$unit==false?'':'&nbsp;部门&nbsp;'.$unit;
			$result.=<<<html
			$("#fpTitle").html("{$cost['nvoiceName']}");
			$("#school").html("{$school}&nbsp;{$unit}");
			$("#schoolId").val("{$cost['schoolId']}");
html;
		}
	}
	$result.='</script>';
	if(isNull($error)){
		exit($result."收费标准：{$cost['meny']}&nbsp;元");
	}else{
		$result.="{$error}'";
		exit($result);
	}
}else if($action=='workerGetNoByName'){//根据姓名查工号
	if(isNull($v)){
		$error='姓名错误';
	}else if(!is_numeric($id)){
		$error='学校ID错误';
	}else{
		$where=" where userName='{$v}' and status=1";
		$where.=is_numeric($schoolId)?" and schoolId={$schoolId}":'';
		$row=query("select * from {$td_config['pre']}teachers {$where}",false);
		if(!is_array($row)){
			$error='指定的职工姓名不存在';
		}else{
			$error="<select name=\"uNick\" onchange=\"$('#userNick').focus();$('#userNick').val(this.value);\"><option value=\"-1\">---请选择---</option>";
			foreach($row as $r){
				$school=sys::getSchool($schoolList,$r['schoolId'],true);
				$unit=sys::getUnit($adminUnit,$r['unitId'],true);
				$error.=<<<html
				<option value="{$r['userNick']}">{$r['userNick']}--{$school}--{$unit}</option>
html;
			}
			$error.="</select>";
		}
	}
	exit($error);
}else if($action=='workerAppendCheckUserNick'){//检测输入的职工工号是否存在
	$id=jsonToArray($id);
	if(!isset($id['schoolId']) || !is_numeric($id['schoolId']) || (int)($id['schoolId'])<0 || !isset($id['financial']) || !is_numeric($id['financial']) || (int)($id['financial'])<0){
		$error=$td_msg[0];
	}else if(isNull($v)){
		$error='职工工号错误';
	}else{
		$row=getone("select * from {$td_config['pre']}teachers where userNick='{$v}' and schoolId={$id['schoolId']} and status=1",false);
		if(is_array($row)){
			$cost=financial::getWorkerCost($id['financial'],false);
			if(!is_array($cost)){
				$error='指定的收费项目不存在';
			}else{
				$sql="select * from {$td_config['pre']}workerfinancial where worker='{$v}' and schoolId={$id['schoolId']} and costId={$id['financial']}";
				$list=query($sql,false);
				//已交费用，共需交费用，还需交费用
				$yj=$sumMeny=$xj=0;
				$sumMeny=$cost['meny'];
				foreach($list as $l){
					$yj+=$l['meny'];
				}
				$xj=$sumMeny-$yj;
				$error="已交费&nbsp;{$yj}&nbsp;元，还需交&nbsp;<span id=\"hxjf\">{$xj}</span>&nbsp;元。";
				$error.='<script type="text/javascript">';
				$error.=<<<html
				$("#sNo").html("{$row['userNick']}");
				$("#sName").html("{$row['userName']}");
html;
				$error.='</script>';
			}
		}else{
			$error='在指定的学校中不存在指定的工号';
		}
	}
	exit($error);
}else if($action=='workerAppend'){//添加新的职工交费
	if(!is_numeric($schoolId) || (int)($schoolId)<0){
		$error='请正确选择交费职工所在的学校';
	}else if(!is_numeric($workerCost) || (int)($workerCost)<0){
		$error='请正确选择收费项目';
	}else if(isNull($userNick)){
		$error='请正确输入职工的工号';
	}else if(!is_numeric($meny) || (float)($meny)==0){
		$error='请正确输入职工交费的金额';
	}else{
		$cost=getone("select * from {$td_config['pre']}workercostset where schoolId={$schoolId} and id={$workerCost}",false);
		if(!is_array($cost)){
			$error='在指定的学校中没有找到对应的收费项目';
		}else{
			$user=getone("select * from {$td_config['pre']}teachers where status=1 and userNick='{$userNick}' and schoolId={$schoolId}",false);
			if(!is_array($user)){
				$error='指定的学校中不存在指定工号的职工，或者此职工的状态不在正常在岗状态。';
			}else{
				$overed=query("select * from {$td_config['pre']}workerfinancial where schoolId={$schoolId} and costId={$workerCost} and worker='{$userNick}'",false);
				$yjf=0;//已交费初始化为0
				if(is_array($overed) || count($overed)>0){
					foreach($overed as $o){
						$yjf+=$o['meny'];
					}
				}
				if($yjf==(float)($cost['meny'])){
					$error='此职工在此之前已经交清当前费用，不能再交纳此费用了，保存被取消。';
				}else if($yjf+(float)($meny)>(float)($cost['meny'])){
					$error='在此收费项目中，此职工之前已经交纳的费用，加上本次交纳的费用超出了实际应交费用，保存被取消。';
				}else{
					$memo=(isset($memo) && mb_strlen($memo,$td_config['charset'])>100)?mb_substr($memo,0,100,$td_config['charset']):'';
					$sql="insert into {$td_config['pre']}workerfinancial(status,returned,schoolId,unitId,costId,worker,meny,printSum,editUser,editTime,userNick,inTime,ip,memo) values(1,0,{$schoolId},{$cost['unitId']},{$workerCost},'{$userNick}',{$meny},0,'{$td_online['userNick']}','{$td_config['dateTime']}','{$td_online['userNick']}','{$td_config['dateTime']}','{$td_config['ip']}','{$memo}')";
					$id=myupdate($sql);
					$error=mysql_errno()?$td_msg[7]:$td_msg[30];
				}
			}
		}
	}
	echo'<script type="text/javascript">';
	echo<<<html
	parent.document.getElementById('printMain').innerHTML='{$td_config['date']}&nbsp;&nbsp;流水号&nbsp;&nbsp;{$id}';
	parent.document.getElementById("printConfirm").value="{$id}";
	parent.document.getElementById("printed").value="false";
	parent.document.getElementById('userNick').value='';
	parent.document.getElementById('stuNoTs').innerHTML='';
	parent.document.getElementById('userName').value='';
	parent.document.getElementById('stuSpan').innerHTML='';
	parent.document.getElementById('meny').value='';
	parent.document.getElementById('saveAdd').value=' 保 存 ';
	parent.document.getElementById('saveAdd').disabled='';
	alert("{$error}");
html;
	if($error==$td_msg[30]){
		echo<<<html
		if(window.confirm('打印票据凭证吗？')){
			parent.document.getElementById("printBut").click();
			parent.document.getElementById("printed").value="yes";
		}else{
			parent.document.getElementById("printed").value="";
		}
html;
	}
	echo"</script>";
	exit();
}else if($action=='workerPrintAdd'){//职工交费交钱次数加1
	if(!is_numeric($id)){
		$error=$td_msg[42];
	}else{
		myupdate("update {$td_config['pre']}workerfinancial set printSum=printSum+1 where id={$id}");
		$error=mysql_errno()?$td_msg[7]:$td_msg[30];
	}
	exit($error);
}else if($action=='returnTeahcerMeny'){//输出退还职工交费界面
	if(!is_numeric($id) || isNull($v)){
		$error=$td_msg[0];
	}else{
		$cost=getone("select * from {$td_config['pre']}workercostset where id={$id}",false);
		$user=getone("select * from {$td_config['pre']}teachers where userNick='{$v}'",false);
		if(!is_array($cost)){
			$error='指定的收费项目不存在';
		}else if($cost['isReturn']!='1'){
			$error='指定的收费项目中的费用不允许退还';
		}else if(!is_array($user)){
			$error='指定的工号不存在';
		}else{
			$meny=getone("select sum(meny) as menyB from {$td_config['pre']}workerfinancial where costId={$id} and worker='{$v}' group by meny",false);
			if(!is_array($meny)){
				$error='指定的收费项目中不存在当前职工的交费信息';
			}else{
				$school=sys::getSchool($schoolList,$user['schoolId'],true);
				$school.="&nbsp;&nbsp;".sys::getUnit($adminUnit,$user['unitId'],true);
				$error=<<<html
				<center><strong style="font-size:24px;">职工费用退还操作</strong></center>
				<div style="padding-left:15px;">
				  交费姓名：{$user['userName']}<br />
				  所在单位：{$school}<br />
				  费用名称：{$cost['costName']}<br />
				  应交金额：{$cost['meny']}<br />
				  实际交纳：{$meny['menyB']}<br />
				  实际退还：<input type="text" name="thMeny" id="thMeny" value="{$meny['menyB']}" size="6" maxlength="6" /><br />
				  签章密码：<input type="password" name="badge" id="badge" value="" size="20" maxlength="64" /><br />
				  <center><input type="button" name="saveTh" id="saveTh" value="执行退费" onclick="fastOperation('returnTeahcerMenyExe',{$id},'{$v}');" /></center>
				</div>
html;
			}
		}
	}
	exit($error);
}else if($action=='returnTeahcerMenyExe'){//执行职工的退费操作
	if(!is_numeric($id) || isNull($v)){
		$error=$td_msg[0];
	}else{
		$v=jsonToArray($v);
		extract($v);
		if(!is_numeric($thMeny) || (float)($thMeny)<=0 || !preg_match($zz_password,$badge) || isNull($userNick)){
			$error=$td_msg[0].'_2';
		}else{
			$cost=getone("select * from {$td_config['pre']}workercostset where id={$id}",false);
			$user=getone("select * from {$td_config['pre']}teachers where userNick='{$userNick}'",false);
			$mySelf=getone("select * from {$td_config['pre']}user where userNick='{$td_online['userNick']}'",true);
			$bPass=md5($badge.$mySelf['privateKey']);
			if(!is_array($cost)){
				$error='指定的收费项目不存在';
			}else if($cost['isReturn']!='1'){
				$error='指定的收费项目中的费用不允许退还';
			}else if(!is_array($user)){
				$error='指定的工号不存在';
			}else if($bPass!=$mySelf['badge']){
				$error='签章密码错误，退费操作无效！';
			}else{
				$meny=getone("select sum(meny) as menyB from {$td_config['pre']}workerfinancial where costId={$id} and worker='{$userNick}' group by meny",false);
				if(!is_array($meny)){
					$error='指定的收费项目中不存在当前职工的交费信息';
				}else if((float)($thMeny)>(float)($meny['menyB'])){
					$error='您输入的实际退款金额大于了此职工的已交费金额';
				}else{
					$badge=md5($badge.$td_online['dateTime']);
					$sql="update {$td_config['pre']}workerfinancial set returned=1,thMeny={$thMeny},returnUser='{$td_online['userNick']}',badge='{$badge}',returnTime='{$td_config['dateTime']}' where costId={$id} and worker='{$userNick}'";
					myupdate($sql);
					$error=mysql_errno()?$td_msg[7]:$td_msg[30];
				}
			}
		}
	}
	exit($error);
}

/*
##
以下为学生生活费专用
##
*/

if($action=='getMealsFeeByPc'){//根据学校、年级、学年、学期、批次输出费用信息
	$v=jsonToArray($v);
	if(!is_array($v) || count($v)!=7){
		$error=$td_msg[0];
	}else{
		extract($v);
		if(!isset($schoolId) || !is_numeric($schoolId) || (int)($schoolId)<0){
			$error='学校选择错误';
		}else if(!isset($xnd) || !is_numeric($xnd) || mb_strlen($xnd,$td_config['charset'])!=8){
			$error='学年选择错误';
		}else if(!isset($xq) || !is_numeric($xq)){
			$error='学期选择错误';
		}else if(!isset($pc) || !is_numeric($pc) || (int)($pc)<0){
			$error='批次选择错误';
		}else if(!isset($sex) || ($sex!='男' && $sex!='女')){
			$error='请正确选择当前学生的性别';
		}else{
			$grade=!is_numeric($grade)?'-1':$grade;
			$sql="select * from {$td_config['pre']}hsfset where schoolId={$schoolId} and grade={$grade} and xnd='{$xnd}' and xq={$xq} and pc={$pc}";
			$row=getone($sql,false);
			if(!is_array($row)){
				$sql="select * from {$td_config['pre']}hsfset where schoolId={$schoolId} and grade=-1 and xnd='{$xnd}' and xq={$xq} and pc={$pc}";
				$row=getone($sql,false);
			}
			if(!is_array($row)){
				$error='未找到对应的收费标准，请检查是否对本次收费标准执行了配置操作！';
			}else{
				$sfbz=$sex=='男'?$row['boyMeny']:$row['girlMeny'];
				$sql="select * from {$td_config['pre']}hsf where stuNo='{$stuNo}' and grade={$grade} and xnd='{$xnd}' and xq={$xq} and pc={$pc}";
				$query->query($sql,false);
				$yjf=$yjmMeny=0;//已交费初始化为0
				$r=$query->row[0]['id'];
				foreach($query->row as $q){
					$yjf+=$q['sjjf'];
					$yjmMeny+=$q['jmMeny'];
				}
				$qf=$sfbz-$yjf-$yjmMeny;//得出针对当前收费批次的欠费金额
				echo'<script type="text/javascript">';
				echo<<<html
				$("#fybz").val({$sfbz});
				$("#qfje").val({$qf});
				$("#yjmMeny").val({$yjmMeny});
				//$("#sjjf").val('');
				$("#sjjf").focus();
html;
				echo'</script>';
			}
		}
	}
	if(!isNull($error)){
		echo'<script type="text/javascript">';
		echo<<<html
		$("#pc").val('-1');
		alert("{$error}");
html;
		echo'</script>';
	}
	exit();
}else if($action=='setFee'){//保存不同批次费用配置
	if(!is_numeric($boyMeny) || !is_numeric($girlMeny) || (int)($boyMeny)<1 || (int)($girlMeny)<1){
		$error='请正确输入男女生应缴费用';
	}else if(!is_numeric($schoolId) || $xnd=='-1' || !is_numeric($gradeId) || !is_numeric($xq) || !is_numeric($pc) || (int)($schoolId)<0 || (int)($xq)<1 || (int)($pc)<0 || (int)($nbGirlMeny)<0 || (int)($nbBoyMeny)<0 || (int)($boyJmMeny)<0 || (int)($girlJmMeny)<0){
		$error='请正确选择和输入配置数据';
	}else{
		$row=getone("select * from {$td_config['pre']}hsfset where schoolId={$schoolId} and grade={$gradeId} and xnd='{$xnd}' and xq={$xq} and pc={$pc}",false);
		if(is_array($row)){
			$error='指定的学校、指定年级、指定学年、指定学期、指定批次的费用已经存在，不能重复添加，如果已配置的费用有错误，你可以使用编辑功能进行修改。';
		}else{
			$sql="insert into {$td_config['pre']}hsfset(schoolId,grade,xnd,xq,pc,boyMeny,girlMeny,nbBoyMeny,nbGirlMeny,boyJmMeny,girlJmMeny,userNick,inTime,ip) values({$schoolId},{$gradeId},'{$xnd}',{$xq},{$pc},{$boyMeny},{$girlMeny},{$nbBoyMeny},{$nbGirlMeny},{$boyJmMeny},{$girlJmMeny},'{$td_online['userNick']}','{$td_config['dateTime']}','{$td_config['ip']}')";
			myupdate($sql);
			$error=mysql_errno()?$td_msg[7]:$td_msg[30];
		}
	}
	parentUrlGo('',$error);
}else if($action=='setFeeAlter'){//保存生活费用配置编辑
	if(!isset($id) || !is_numeric($id)){
		$error=$td_msg[42];
	}else if(!is_numeric($schoolId) || !is_numeric($gradeId) || !is_numeric($boyMeny) || !is_numeric($girlMeny) || (int)($boyMeny)<1 || (int)($girlMeny)<1){
		$error='请正确输入各项参数的值';
	}else{
		$gradeId=!is_numeric($gradeId)?-1:$gradeId;
		myupdate("update {$td_config['pre']}hsfset set schoolId={$schoolId},grade={$gradeId},xnd='{$xnd}',xq={$xq},pc={$pc},boyMeny={$boyMeny},girlMeny={$girlMeny},nbBoyMeny={$nbBoyMeny},nbGirlMeny={$nbGirlMeny},boyJmMeny={$boyJmMeny},girlJmMeny={$girlJmMeny} where id={$id}");
		$error=mysql_errno()?$td_msg[7]:$td_msg[30];
	}
	parentUrlGo('',$error);
}else if($action=='deleteMealsFee'){//删除交费记录
	if(!isset($id) || !is_numeric($id)){
		$error=$td_msg[42];
	}else{
		$row=getone("select * from {$td_config['pre']}hsf where id={$id}",false);
		if(!is_array($row)){
			$error=$td_msg[6];
		}else{
			/*
			$school=sys::getSchool($schoolList,$row['schoolId'],true);
			$class=$mealsFeeObj->getClass($row['classId'],true);
			myupdate("delete from {$td_config['pre']}hsf where id={$id}");
			$error=mysql_errno()?$td_msg[7]:$td_msg[30];
			journalIn("删除{$school}学校{$class}班级的伙食费交费记录，{$row['xnd']}学年第{$row['xq']}学期第{$row['pc']}批次，交费时间{$row['inTime']}。操作结果：{$error}");
			*/
			$error="当前系统配置截止删除";
		}
	}
	exit($error);
}else if($action=='addFeeCheckStu'){//交生活费时，根据学号查学生的基本信息
	if(isNull($v)){
		$error=$td_msg[0];
	}else{
		$v=jsonToArray($v);
		extract($v);
		$sql="select * from {$td_config['pre']}student where status=1 and sNo='{$stuNo}'";
		$row=getone($sql,false);
		if(!is_array($row)){
			$error.='指定的学号不存在';
		}else{
			$sfbz=getone("select * from {$td_config['pre']}hsfset where schoolId={$row['schoolId']} and grade={$row['gradeId']} and xnd='{$xnd}' and xq='{$xq}' and pc='{$pc}'",true);
			if(!is_array($sfbz)){
				$sfbz=getone("select * from {$td_config['pre']}hsfset where schoolId={$row['schoolId']} and xnd='{$xnd}' and xq='{$xq}' and pc='{$pc}'",true);
			}
			$grade=$teachObj->gradeSelect($row['schoolId'],"gradeId","gradeId","fastOperation('getClassSelect',{$row['schoolId']},'gradeId#'+this.value+'#classId')",$row['gradeId']);
			$class=$teachObj->classSelect("classId","classId",'',$row['classId'],$row['schoolId'],$row['gradeId']);
			$grade=addslashes($grade);
			echo'<script type="text/javascript">
			var err=0;
			';
			if(!is_array($sfbz)){
				echo<<<html
				$("#pc").val('-1');
				$("#fybz").val('0');
				$("#qfje").val('0');
				$("#yjmMeny").val('0');
				$("#tempSchool").val("{$row['schoolId']}");
				$("#tempGrade").val("{$row['gradeId']}");
				$("#tempClass").val("{$row['classId']}");
html;
			}else{
				$sql="select sum(sjjf) as menySum,sum(jmMeny) as jm,stuNo from {$td_config['pre']}hsf where stuNo='{$stuNo}' and grade={$row['gradeId']} and xnd='{$xnd}' and xq={$xq} and pc={$pc} group by stuNo";
				$menySum=getone($sql,false);
				$sfbz=$row['sex']=="男"?$sfbz['boyMeny']:$sfbz['girlMeny'];
				$qf=$sfbz-$menySum['menySum']-$menySum['jm'];
				$jm=isset($menySum['jm'])?$menySum['jm']:0;
				echo<<<html
				var tempSex=$("#tempSex").val();
				var tempClass=$("#tempClass").val();
				var tempGrade=$("#tempGrade").val();
				var tempSchool=$("#tempSchool").val();
				var stuSum=0;
				stuSum=parseInt($("#BoySumSpan").val())+parseInt($("#GirlSumSpan").val());
				
				if(tempSex!="{$row['sex']}" && !isNull(tempSex)){
					$("#tempSex").val('{$row['sex']}');
					$("#sjjf").val('');
				}else if(isNull(tempSex)){
					$("#tempSex").val('{$row['sex']}');
				}
				
				if(stuSum==0){
					$("#tempSchool").val("{$row['schoolId']}");
					$("#tempGrade").val("{$row['gradeId']}");
					$("#tempClass").val("{$row['classId']}");
				}else if(tempSchool!="{$row['schoolId']}"){
					err=1;
					alert("此学生所在的学校与当前交费的学校不同");
					$("#stuNo").val('');
				}else if(tempGrade!="{$row['gradeId']}"){
					err=1;
					alert("此学生所在的年级与当前交费的年级不同");
					$("#stuNo").val('');
				}else if(tempClass!="{$row['classId']}"){
					err=1;
					alert("此学生所在班级与当前交费的班级不同");
					$("#stuNo").val('');
				}
				$("#fybz").val('{$sfbz}');
				$("#qfje").val('{$qf}');
				$("#yjmMeny").val("{$jm}");
html;
			}
			echo<<<html
			$("#stuName").val("{$row['sName']}");
			$("input[value='{$row['sex']}']").attr("checked","true");
			$("#schoolId").val("{$row['schoolId']}");
			$("#gradeSpan").html('{$grade}');
			$("#classSpan").html('{$class}');
html;
			echo'</script>';
		}
	}
	if(!isNull($error)){
		echo'<script type="text/javascript">';
		echo<<<html
		$("#stuNo").val('');
		alert("{$error}");
html;
		echo'</script>';
	}
	exit();
}else if($action=='addFeeSnoBySname'){//由学生的姓名查询学号
	if(isNull($v)){
		$error='请输入学号后查询';
	}else{
		$query->query("select id,sNo,sName,sex,schoolId,gradeId,classId from {$td_config['pre']}student where sName='{$v}' and (status=1 or status=8 or status=13)",1,false);
		$select='<select name="sNoResult" id="sNoResult" onchange="setSno(this.value);"><option value="-1">---请选择---</option>';
		foreach($query->row as $q){
			$school=sys::getSchool($schoolList,$q['schoolId'],true);
			$grade=$td_config['chNumber'][$q['gradeId']];
			$select.=<<<html
			<option value="{$q['sNo']}">学校：{$school}  班级：{$grade}（{$q['classId']}）  学号：{$q['sNo']} 性别：{$q['sex']}</option>
html;
		}
		$select.="</select>";
		echo $select;
	}
	exit($error);
}else if($action=='feePrintAdd'){//被指定ID号的生活费交费信息票据打印次数加 1
	$v=preg_replace("/[\,]{1,}/",",",$v);
	if(isNull($v) || str_replace(",",'',$v)==''){
		return false;
	}else{
		$v=trim($v,',');
		$sql="update {$td_config['pre']}hsf set printCount=printCount+1 where id in({$v})";
		myupdate($sql);
	}
	exit();
}else if($action=='feeEditClass'){//输出修改交费学生所在班级的界面
	if(!is_numeric($id)){
		$error=$td_msg[0];
	}else{
		$row=getone("select * from {$td_config['pre']}hsf where id={$id}",false);
		if(!is_array($row)){
			$error='指定的交费信息不存在';
		}else{
			$classSum=getone("select * from {$td_config['pre']}class where schoolId={$row['schoolId']} and gradeId={$row['grade']}",false);
			if(!is_array($classSum)){
				$error='指定学校的指定年级没有配置开设班级的数量，请配置班级数量后再执行此项调整。';
			}else{
				$stu=getone("select * from {$td_config['pre']}student where sNo='{$row['stuNo']}'",false);
				if(!is_array($stu)){
					$error='指定的学生不存在';
				}else{
					$grade=$td_config['chNumber'][$stu['gradeId']];
					$classSelect=$teachObj->classSelect('newCId','newCId','',"{$row['classId']}",$row['schoolId'],$row['grade']);
					echo<<<html
					将要调整{$stu['sName']}交生活费时的班级（流水号：{$id}），原班级：{$row['grade']}（{$row['classId']}）班<br />
					调整为：{$grade}年级&nbsp;&nbsp;{$classSelect}班<br />
					<center>
						<input type="button" name="saveNewClass" id="saveNewClass" value="保存" onclick="fastOperation('feeSaveNewClass','{$id}','');" />
					</center>
html;
				}
			}
		}
	}
	exit($error);
}else if($action=='feeSaveNewClass'){//保存学生交费时的班级修改
	if(!is_numeric($id) || !is_numeric($v) || (int)($v)<1){
		$error=$td_msg[0];
	}else{
		$row=getone("select * from {$td_config['pre']}hsf where id={$id}",false);
		if(!is_array($row)){
			$error='指定的交费信息不存在';
		}else{
			$stu=getone("select * from {$td_config['pre']}student where sNo='{$row['stuNo']}'",false);
			$sql="update {$td_config['pre']}hsf set grade={$stu['gradeId']},classId='{$v}' where id={$id}";
			myupdate($sql);
			$error=mysql_errno()?$td_msg[7]:$td_msg[30];
			if($error==$td_msg[30]){
				$school=sys::getSchool($schoolList,$row['schoolId'],true);
				$stu=getone("select * from {$td_config['pre']}student where sNo='{$row['stuNo']}'",false);
				$msg="{$td_online['userName']}修改了流水号为{$row['id']}，{$school}，{$row['grade']}({$row['classId']})班级学生&nbsp;{$stu['sName']}的生活费交费班级，由{$row['grade']}({$row['classId']})改为{$row['grade']}({$v})";
				journalIn($msg);
			}
		}
	}
	exit($error);
}
/*
	教学相关配置
*/

if($action=='setCourseNew'){//保存新课程
	if(!is_numeric($schoolId) || !is_numeric($gradeId) || $schoolId<0 || $gradeId<0){
    	$error=$td_msg[0];
	}else if(($c_1!='-1' && $c_2=='-1') || ($c_1=='-1' && $c_2!='-1')){
		$error='如果选择开设课程的开始或结束班级，则对应的结束或开始班级必须选择！';
	}else if($c_1!='-1' && (int)($c_1)>(int)(parseInt(c_2))){
		$error='开设课程的开始班级不能大于结束班级';
    }else if(isNull($newCourse)){
    	$error='请输入新课程的名称后再保存';
	}else if(!$userObj->kxAdmin() && (int)($schoolId)!=(int)($td_online['schoolId'])){
		$error='你无跨学校管理的权限';
    }else{
    	$str='';
		if((int)($c_1)>=0){
			$row=getone("select id from {$td_config['pre']}course where courseName='{$newCourse}' and schoolId={$schoolId} and gradeId={$gradeId}",false);
			if(is_array($row)){
				$error="指定的课程已经在此学校的{$td_config['chNumber'][$gradeId]}年级中设置为全部班级开设，因此，本次针对指定班级的开设设置的保存操作被取消！";
			}else{
				for($i=(int)($c_1); $i<=(int)($c_2); $i++){
					$row=getone("select id from {$td_config['pre']}course where courseName='{$newCourse}' and schoolId={$schoolId} and gradeId={$gradeId} and classId={$i}",false);
					if(is_array($row)){
						$str.="{$i}，";
					}else{
						myupdate("insert into {$td_config['pre']}course(courseName,schoolId,gradeId,classId) values('{$newCourse}',{$schoolId},{$gradeId},{$i})");
						$error=mysql_errno()?$td_msg[7]:$td_msg[30];
					}
				}
			}
		}else{
			$row=getone("select id from {$td_config['pre']}course where courseName='{$newCourse}' and schoolId={$schoolId} and gradeId={$gradeId}",false);
			if(is_array($row)){
				$error="指定的课程“{$newCourse}”在指定学校的{$td_config['chNumber'][$gradeId]}年级在此之前已经设置开设，本次保存被取消！";
			}else{
				myupdate("insert into {$td_config['pre']}course(courseName,schoolId,gradeId,classId) values('{$newCourse}',{$schoolId},{$gradeId},0)");
				$error=mysql_errno()?$td_msg[7]:$td_msg[30];
			}
		}
        $str=isNull($str)?'':$str.'班级已开设指定的课程，对应列出班级的课程本次未保存。';
    }
    parentUrlGo('',$error.$str);
}else if($action=='setCourseRemove'){//删除指定班级的指定课程
	if(!is_numeric($id)){
    	$error=$td_msg[42];
    }else{
    	$row=$userObj->kxAdmin()?getone("select * from {$td_config['pre']}course where id={$id}",false):getone("select * from {$td_config['pre']}course where id={$id} and schoolId={$td_online['schoolId']}",false);
        if(is_array($row)){
    		$grade=$teachObj->getByClassId($gradeList,$row['classId']);
            myupdate("delete from {$td_config['pre']}course where id={$id}");
            $error=mysql_errno()?$td_msg[7]:$td_msg[30];
        }else{
        	$error='指定班级的指定课程不存在';
        }
    }
	journalIn("删除{$grade['schoolName']}学校{$grade['gradeName']}年级{$grade['className']}班级的{$row['courseName']}课程。操作结果：{$error}");
    exit($error);
}else if($action=='setTeacherNew'){//保存新的教师任课关系
	$classList=str_replace("，",",",$classList);
	$classList=explode(",",$classList);
	
	if(!is_numeric($schoolId) || !is_numeric($gradeId) || isNull($courseName) || $schoolId<0 || $gradeId<0 || count($classList)==0){
    	$error=$td_msg[0];
    }else if(isNull($newUserNick)){
    	$error='请输入任课教师的工号';
	}else if(!$userObj->kxAdmin() && (int)($schoolId)!=(int)($td_online['schoolId'])){
		$error='你无跨学校管理的权限';
    }else{
		foreach($classList as $c){
			if(!is_numeric($c)){
				parentUrlGo('','您输入的班级有错误，保存操作被取消。');
				exit();
			}
		}
    	$row=getone("select id from {$td_config['pre']}teachers where userNick='{$newUserNick}'",false);
        $str='';
        $str_2='';
        if(is_array($row)){
        	for($i=0; $i<count($classList); $i++){
            	$row=getone("select id from {$td_config['pre']}course where courseName='{$courseName}' and schoolId={$schoolId} and gradeId={$gradeId} and (classId={$classList[$i]} or classId=0)",false);
                if(is_array($row)){
                	$teacher=getone("select id from {$td_config['pre']}teacher where schoolId={$schoolId} and gradeId={$gradeId} and classId={$classList[$i]} and courseId={$courseId}",false);
                    if(is_array($teacher)){
                    	$str="有部分班级的当前课程已经由其它教师担任。";
                    }else{
                    	myupdate("insert into {$td_config['pre']}teacher(status,userNick,schoolId,gradeId,classId,courseName,validDate) values(1,'{$newUserNick}',{$schoolId},{$gradeId},{$classList[$i]},'{$courseName}','')");
                        $error=mysql_errno()?$td_msg[7]:$td_msg[30];
                    }
                }else{
                	$str_2.=$classList[$i].'，';
                }
            }
        }else{
        	$error='指定的教师不存在，请检查工号是否错误。';
        }
    }
    if(!isNull($str_2)){
    	$str.=$str_2.'此处显示的班级不存在指定的课程。';
    }
    parentUrlGo('',$error.'，'.$str);
}else if($action=='setTeacherUpdate'){//输出修改教师任课关系
	if(!is_numeric($id)){
    	$error=$td_msg[0];
    }else{
        $row=getone("select * from {$td_config['pre']}teacher where id={$id}",false);
        if(is_array($row)){
			$user=getone("select * from {$td_config['pre']}teachers where userNick='{$row['userNick']}'",false);
			$school=sys::getSchool($schoolList,$row['schoolId'],true);
			echo<<<html
			<center><strong>任课关系调整</strong></center>
			<div class="red">
			{$school}&nbsp;{$row['gradeId']}年级 &nbsp;{$row['classId']}班&nbsp;{$row['courseName']}<br />
			注意：此处所说的"第几节课"，是指当前课程在指定日期里共有多少节课中的第几节课，比如语文在指定日期里的指定班级共有10节课，张三从第5节课开始停止上课，李四从第5节课开始任课。
			</div>
			<b>原有任课信息：</b><br />
			任课教师：{$row['userNick']}&nbsp;&nbsp;姓名：{$user['userName']}<br />
			停课时间：<input type="text" name="endDate" id="endDate" size="10" maxlength="10" value="{$td_config['date']}" onclick="laydate();" />&nbsp;&nbsp;第<input type="text" name="endKtNo" id="endKtNo" size="5" maxlength="5" value="1" />节课开始停止任课<br />
			<b>新的任课关系：</b><br />
			任课教师工号：<input type="text" name="newTeacher" id="newTeacher" size="20" maxlength="20" value="" /><br />
			任课开始时间：<input type="text" name="startDate" id="startDate" size="10" maxlength="10" value="{$td_config['date']}" onclick="laydate();" />&nbsp;&nbsp;从第<input type="text" name="startKtNo" id="startKtNo" size="5" maxlength="5" value="1" />节课开始任课<br />
			<center><input type="button" name="saveKttz" id="saveKttz" value="保存任课调整" onclick="fastOperation('setTeacherUpdateExe',{$id},'');" /></center>
			
html;
        }else{
           	$error='指定的开课课程不存在';
        }
    }
    exit($error);
}else if($action=='setTeacherUpdateExe'){//保存任课关系调整
	if(!is_numeric($id)){
		$error=$td_msg[42];
	}else{
		$v=jsonToArray($v);
		if(!is_array($v) || count($v)!=5){
			$error=$td_msg[0];
		}else if(!td_check_date($v['endDate'])){
			$error='请正确输入停课日期';
		}else if(!is_numeric($v['endKtNo']) || (int)($v['endKtNo'])<=0){
			$error='请正确输入停课的节数';
		}else if(!td_check_date($v['startDate'])){
			$error='请正确输入新的任课日期';
		}else if(!is_numeric($v['startKtNo']) || (int)($v['startKtNo'])<(int)($v['endKtNo'])){
			$error='请正确输入开始任课的节数';
		}else if(isNull($v['newTeacher'])){
			$error='请输入新任课教师的工号';
		}else{
			$row=getone("select * from {$td_config['pre']}teacher where id={$id}",false);
			$teacher=getone("select * from {$td_config['pre']}teachers where userNick='{$v['newTeacher']}'",false);
			if(!is_array($row)){
				$error='指定的任课信息不存在';
			}else if(!is_array($teacher)){
				$error='指定的新任课教师工号不存在';
			}else if($row['schoolId']!=$teacher['schoolId']){
				$error='指定的新任课教师不是本学校职工';
			}else{
				$sql="insert into {$td_config['pre']}hiscourse(courseName,schoolId,gradeId,classId,endTeacher,endKtNo,endDate,startTeacher,startKtNo,startDate,userNick,inTime) values('{$row['courseName']}',{$row['schoolId']},{$row['gradeId']},{$row['classId']},'{$row['userNick']}',{$v['endKtNo']},'{$v['endDate']}','{$v['newTeacher']}',{$v['startKtNo']},'{$v['startDate']}','{$td_online['userNick']}','{$td_config['dateTime']}')";
				myupdate($sql);
				$sql="update {$td_config['pre']}teacher set userNick='{$v['newTeacher']}' where id={$id}";
				myupdate($sql);
				$error=$td_msg[30];
			}
		}
	}
	exit($error);
}else if($action=='setTeacherRemove'){//删除指定班级课程的任课关系
	if(!is_numeric($id)){
    	$error=$td_msg[42];
    }else{
    	$row=$userObj->kxAdmin()?getone("select * from {$td_config['pre']}course where id={$id}",false):getone("select * from {$td_config['pre']}course where id={$id} and schoolId={$td_online['schoolId']}",false);
        if(is_array($row)){
    		$grade=$teachObj->getByClassId($gradeList,$row['classId']);
            myupdate("delete from {$td_config['pre']}course where id={$id}");
            $error=mysql_errno()?$td_msg[7]:$td_msg[30];
        }else{
        	$error='指定班级的指定课程不存在';
        }
    }
	journalIn("删除{$grade['schoolName']}学校{$grade['gradeName']}年级{$grade['className']}班级的{$row['courseName']}课程。操作结果：{$error}");
    exit($error);
}else if($action=='setClassAdminNew'){//保存新的班主任信息
	if(!is_numeric($schoolId) || !is_numeric($gradeId) || !is_numeric($classId) || $schoolId<0 || $gradeId<0 || $classId<0){
    	$error=$td_msg[0];
    }else{
		//配置正班主任
    	$user=$userObj->kxAdmin()?getone("select id,userNick from {$td_config['pre']}teachers where status=1 and userNick='{$newUserNick}'",false):getone("select id,userNick from {$td_config['pre']}teachers where status=1 and userNick='{$newUserNick}' and schoolId={$td_online['schoolId']}",false);
		$fbzr=$userObj->kxAdmin()?getone("select id,userNick from {$td_config['pre']}teachers where status=1 and userNick='{$newFbzr}'",false):getone("select id,userNick from {$td_config['pre']}teachers where status=1 and userNick='{$newFbzr}' and schoolId={$td_online['schoolId']}",false);
        if(!is_array($user)){
        	$error="指定的工号{$v['userNick']}不存在，或处于禁用状态。，保存被取消。";
		}else if(!isNull($newFbzr) && !is_array($fbzr)){
			$error="您指定了副班主任，但此工号不存在，保存被取消。";
        }else{
        	$teacher=getone("select * from {$td_config['pre']}classadmin where schoolId={$schoolId} and gradeId={$gradeId} and classId={$classId}",false);
            if(is_array($teacher)){
            	//$error="指定的班级{$class['className']}已经由教师{$teacher['userNick']}任班主任。保存被取消！";
            	myupdate("update {$td_config['pre']}classadmin set status=1,userNick='{$newUserNick}',fbzr='{$newFbzr}',startDate='',endDate='',editUser='{$td_online['userNick']}',editTime='{$td_config['dateTime']}' where schoolId={$schoolId} and gradeId={$gradeId},classId={$classId}");
                $error=mysql_errno()?$td_msg[7]:$td_msg[30];
            }else{
            	myupdate("insert into {$td_config['pre']}classadmin(status,schoolId,gradeId,classId,userNick,fbzr,startDate,endDate,editUser,editTime,ip) values(1,{$schoolId},{$gradeId},{$classId},'{$newUserNick}','{$newFbzr}','','','{$td_online['userNick']}','{$td_config['dateTime']}','{$td_config['ip']}')");
                $error=mysql_errno()?$td_msg[7]:$td_msg[30];
            }
        }
    }
	journalIn("新建班主任信息。学校名称：".sys::getSchool($schoolList,$schoolId,true)."，年级：{$gradeId}，班级：{$classId}，班主任工号：{$newUserNick}，副班主任工号：{$newFbzr}。操作结果：{$error}");
	parentUrlGo('',$error);
}else if($action=='setClassAdminUpdate' || $action=='setClassAdminFbzrUpdate'){//修改班主任或副班主任的信息
	if(isNull($v) || !is_numeric($id)){
    	$error=$td_msg[0];
    }else if(!preg_match($zz_userNick,$v)){
    	$error='您输入的工号格式错误';
    }else{
    	$user=$userObj->kxAdmin()?getone("select id,userNick from {$td_config['pre']}teachers where status=1 and userNick='{$v}'",false):getone("select id,userNick from {$td_config['pre']}teachers where status=1 and userNick='{$v}' and schoolId={$td_online['schoolId']}",false);
        if(!is_array($user)){
        	$error="指定的工号{$v}不存在，或处于禁用状态。";
        }else{
        	$row=getone("select * from {$td_config['pre']}classadmin where id={$id}",false);
            if(is_array($row)){
				if($action=='setClassAdminFbzrUpdate'){//修改副班主任
                	myupdate("update {$td_config['pre']}classadmin set fbzr='{$v}' where id={$id}");
					$error=mysql_errno()?$td_msg[7]:$td_msg[30];
					journalIn("修改副班主任信息。学校名称：".sys::getSchool($schoolList,$row['schoolId'],true)."，年级：{$row['gradeId']}，班级：{$row['classId']}，原班副主任：{$row['userNick']}，新副班主任：{$v}。操作结果：{$error}");

				}else{
					myupdate("update {$td_config['pre']}classadmin set userNick='{$v}' where id={$id}");
					$error=mysql_errno()?$td_msg[7]:$td_msg[30];
					journalIn("修改班主任信息。学校名称：".sys::getSchool($schoolList,$row['schoolId'],true)."，年级：{$row['gradeId']}，班级：{$row['classId']}，原班主任：{$row['userNick']}，新班主任：{$v}。操作结果：{$error}");
				}
            }else{
            	$error='指定的班级不存在';
            }
        }
    }
    exit($error);
}else if($action=='setClassAdminRemove'){//删除指定班主任
	if(!is_numeric($id)){
    	$error=$td_msg[42];
    }else{
		
    	if($userObj->kxAdmin()){
			$row=getone("select * from {$td_config['pre']}classadmin where id={$id}",false);
		}else{
			$row=getone("select * from {$td_config['pre']}classadmin where id={$id} and schoolId={$td_online['schoolId']}",false);
		}
        if(is_array($row)){
			$sql="delete from {$td_config['pre']}classadmin where id={$id}";
            myupdate($sql);
            $error=mysql_errno()?$td_msg[7]:$td_msg[30];
			journalIn("删除".sys::getSchool($schoolList,$row['schoolId'],true)."学校{$row['gradeId']}年级{$row['classId']}班级的班主任信息。操作结果：{$error}");
        }else{
        	$error='指定班级的班主任信息不存在，或者你没有当前学校的管理权限！';
        }
		
    }
    exit($error);
}else if($action=='getClassSelect'){//设定开设课程时，获取当前年级开设的班级SELECT
	if(!is_numeric($id) || !is_numeric($v)){
		$error=$td_msg[0];
	}else{
		$error=$teachObj->classSelect('c_1','c_1','','',$v,$id).'~'.$teachObj->classSelect('c_2','c_2','','',$v,$id);
	}
	exit($error);
}else if($action=='wageAdminSchoolWeekDay'){//保存指定学校的周天数设置
	if(!is_numeric($schoolId)){
		$error='学校ID错误';
	}else if(!is_numeric($xnd) || ($xq!='1' && $xq!='2')){
		$error='学年度或学期错误';
	}else if(!td_check_date($zyDay) || !td_check_date($fjDay) || $fjDay<$zyDay){
		$error='周一对应的日期或放假日期错误';
	}else{
		$school=sys::getSchool($schoolList,$schoolId,false);
		if(!is_array($school)){
			$error='指定的学校不存在';
		}else{
			$sql="delete from {$td_config['pre']}schoolweek where schoolId={$schoolId} and xnd='{$xnd}' and xq={$xq}";
			myupdate($sql);
			$grade=$teachObj->getGradeList($schoolId,-1);
			$temp=$inSql="insert into {$td_config['pre']}schoolweek(schoolId,gradeId,xnd,xq,zyDay,fjDay,courseDay,freeDay,sumDay) values";
			foreach($grade as $k=>$g){
				if(is_numeric($courseDay[$k]) && (int)($courseDay[$k])>=0 && is_numeric($freeDay[$k]) && (int)($freeDay[$k])>=0){
						$inSql.="({$schoolId},{$g['gradeId']},'{$xnd}',{$xq},'{$zyDay}','{$fjDay}',{$courseDay[$k]},{$freeDay[$k]},{$courseDay[$k]}+{$freeDay[$k]}),";
				}
			}
			if($temp==$inSql){
				$error=$td_msg[7];
			}else{
				$inSql=trim($inSql,',').';';
				myupdate($inSql);
				$error=mysql_errno()?$td_msg[7]:$td_msg[30];
			}
		}
	}
	parentUrlGo('',$error);
}else if($action=='wageAdminCheckCourse'){//由工号获取任课信息
	if(isNull($id)){
		$error="工号错误";
	}else{
		$row=query("select * from {$td_config['pre']}teacher where userNick='{$id}' group by courseName",false);
		if(!is_array($row)){
			$error="指定的教师没有配置任课信息";
			echo'<script type="text/javascript">$("#startSearch").attr({"disabled":true});</script>';
		}else{
			echo<<<html
				请选择课程：<select name="course" id="course"><option value="-1">---请选择---</option>
html;
			foreach($row as $r){
				echo<<<html
				<option value="{$r['courseName']}">{$r['courseName']}</option>
html;
			}
			echo"</select>";
			echo'<script type="text/javascript">$("#startSearch").attr({"disabled":false});</script>';
		}
	}
	echo $error;
}else if($action=='wageAdminKsSum'){//保存老师的总课程安排，教师总课时管理
	if(!is_numeric($schoolId) || !is_numeric($xnd) || ($xq!='1' && $xq!='2') || isNull($userNick) || isNull($courseName) || $courseName=='-1'){
		$error="参数错误，请勿非法操作。";
	}else{
		$school=sys::getSchool($schoolList,$schoolId,false);
		$teacher=$userObj->queryTeacher($userNick,false,1,20);
		$week=getone("select * from {$td_config['pre']}schoolweek where schoolId={$schoolId} and xnd='{$xnd}' and xq={$xq}",false);
		$kc=getone("select * from {$td_config['pre']}course where schoolId={$schoolId} and courseName='{$courseName}'",false);
		if(!is_array($kc)){
			$error="指定的学校没有开设课程 {$courseName}";
		}else if(!is_array($school)){
			$error='不存在指定的学校';
		}else if(!is_array($teacher) || count($teacher,true)!=count($teacher,true)){
    		$error="指定的工号不存在";
		}else if($teacher['status']!='1'){
        	$error="指定教师的状态为不在岗，因此不能配置任课课时量。";
		}else if(!is_array($week)){
			$error="指定的学校没有配置当前学期的周天数";
		}else{
			$weekDayLen=$week['courseDay']+$week['freeDay'];
			$allDay=(strtotime($week['fjDay'])-strtotime($week['zyDay']))/86400+1;
			$sql="delete from {$td_config['pre']}jsrk where schoolId={$schoolId} and xnd='{$xnd}' and xq={$xq} and userNick='{$userNick}' and courseName='{$courseName}'";
			myupdate($sql);
			//计算指定的日期里，有多少个日期是星期N，变量i代表星期N
			for($i=0; $i<$weekDayLen; $i++){
				$k=0;
				$w=$i+1;
				$tempDate=date("Y-m-d",strtotime("+{$i} days",strtotime($week['zyDay'])));
				$weekDay=array();
				while(true){
					if($tempDate>$week['fjDay']){
						break;
					}
					$weekDay[]=$tempDate;
					$k++;
					$tempDate=date("Y-m-d",strtotime("+{$weekDayLen} days",strtotime($tempDate)));
				}
				for($l=0; $l<count($weekDay); $l++){
					if($l==0){
						$sql="insert into {$td_config['pre']}jsrk(schoolId,gradeId,xnd,xq,schoolDay,schoolWeek,userNick,courseName,zczk,zcfd,swzk,swfd,xwzk,xwfd,wszk,wsfd) values";
					}
					$sql.="({$schoolId},0,'{$xnd}',{$xq},'{$weekDay[$l]}',{$w},'{$userNick}','{$courseName}',{$zczk[$i]},{$zcfd[$i]},{$swzk[$i]},{$swfd[$i]},{$xwzk[$i]},{$xwfd[$i]},{$wszk[$i]},{$wsfd[$i]}),";
				}
				if(!isNull($sql)){
					$sql=rtrim($sql,',').';';
					myupdate($sql);
				}
			}
			$error=$td_msg[30];
		}
	}
	parentUrlGo('',$error);
}else if($action=='wageAdminTk'){//保存个人调课
	if(!is_numeric($schoolId) || !is_numeric($xnd) || ($xq!='1' && $xq!='2') || isNull($userNick) || !td_check_date($tkDate)){
		$error="您输入的参数错误，保存被取消。";
	}else{
		$row=getone("select * from {$td_config['pre']}jsrk where schoolId={$schoolId} and xnd='{$xnd}' and xq={$xq} and userNick='{$userNick}' and schoolDay='{$tkDate}'",false);
		if(!is_array($row)){
			$error="没有找到指定教师当前日期的课时配置信息，修改被取消。";
		}else{
			$sql="update {$td_config['pre']}jsrk set zczk={$zczk},zcfd={$zcfd},swzk={$swzk},swfd={$swfd},xwzk={$xwzk},xwfd={$xwfd},wszk={$wszk},wsfd={$wsfd} where schoolId={$schoolId} and xnd='{$xnd}' and xq={$xq} and userNick='{$userNick}' and schoolDay='{$tkDate}'";
			myupdate($sql);
			$error=mysql_errno()?$td_msg[7]:$td_msg[30];
		}
	}
	parentUrlGo('',$error);
}else if($action=='wageAdminTkTkDateToDate'){//保存个人指定日期调课
	if(!is_numeric($schoolId_4) || !is_numeric($xnd_4) || ($xq_4!='1' && $xq_4!='2') || !td_check_date($sDate_4) || !td_check_date($sDate_4) || $sDate_4>$eDate_4){
		$error="您输入的参数错误，保存被取消。";
	}else{
		$where=" where schoolId={$schoolId_4} and xnd='{$xnd_4}' and xq={$xq_4}";
		$where.=(isset($userNick_4) && preg_match($zz_userNick,$userNick_4))?" and userNick='{$userNick_4}'":'';
		$tea=query("select * from {$td_config['pre']}jsrk {$where} and schoolDay='{$sDate_4}'",false);
		if(!is_array($tea) || count($tea)==0){
			$error="指定日期的教师任课信息不存在";
		}else{
			foreach($tea as $t){
				//检查指定的教师在指定的调入课时日期里有没有任课信息
				$checkEdate=getone("select * from {$td_config['pre']}jsrk {$where} and courseName='{$t['courseName']}' and userNick='{$t['userNick']}' and schoolDay='{$eDate_4}'",false);
				
				if(is_array($checkEdate)){
					$sql="udpate {$td_config['pre']}jsrk set zczk={$t['zczk']},zcfd={$t['zcfd']},swzk={$t['swzk']},swfd={$t['swfd']},xwzk={$t['xwzk']},xwfd={$t['xwfd']},wszk={$t['wszk']},wsfd={$t['wsfd']} where id={$checkEdate['id']}";
					myupdate($sql);
					$sql="udpate {$td_config['pre']}jsrk set zczk=0,zcfd=0,swzk=0,swfd=0,xwzk=0,xwfd=0,wszk=0,wsfd=0 where id={$t['id']}";
					myupdate($sql);
				}else{
					$error.="调入课时的日期{$eDate_4}不存在教师{$t['userNick']}的任课配置";
				}
			}
		}
	}
	$error=isNull($error)?$td_msg[30]:$error;
	exit($error);
}else if($action=='wageAdminTktk'){//保存个人停课操作
	if(!is_numeric($schoolId_2) || !is_numeric($xnd_2) || ($xq_2!='1' && $xq_2!='2') || isNull($userNick_2) || !td_check_date($tksDate) || !isset($course) || $course=='-1'){
		$error="您输入的参数错误，保存被取消。";
	}else if(!isNull($tkeDate) && (!td_check_date($tkeDate) || $tksDate>$tkeDate)){
		$error="您输入了停课的结束日期，但结束日期错误。";
	}else{
		if(isNull($tkeDate)){
			$sql="update {$td_config['pre']}jsrk set zczk=0,zcfd=0,swzk=0,swfd=0,xwzk=0,xwfd=0,wszk=0,wsfd=0 where schoolId={$schoolId_2} and xnd='{$xnd_2}' and xq={$xq_2} and userNick='{$userNick_2}' and courseName='{$course}' and schoolDay>='{$tksDate}'";
		}else{
			$sql="update {$td_config['pre']}jsrk set zczk=0,zcfd=0,swzk=0,swfd=0,xwzk=0,xwfd=0,wszk=0,wsfd=0 where schoolId={$schoolId_2} and xnd='{$xnd_2}' and xq={$xq_2} and userNick='{$userNick_2}' and courseName='{$course}' and schoolDay>='{$tksDate}' and schoolDay<='{$tkeDate}'";
		}
		myupdate($sql);
		$error=mysql_errno()?$td_msg[7]:$td_msg[30];
	}
	parentUrlGo('',$error);
}else if($action=='wageAdminTktkAll'){//保存统一停课操作
	if(!is_numeric($schoolId_3) || !is_numeric($xnd_3) || ($xq_3!='1' && $xq_3!='2') || !td_check_date($tksAllDate)){
		$error="您输入的参数错误，保存被取消。";
	}else if(!isNull($tkeAllDate) && (!td_check_date($tkeAllDate) || $tksAllDate>$tkeAllDate)){
		$error="您输入了停课的结束日期，但结束日期错误。";
	}else{
		if(isNull($tkeDate)){
			$sql="update {$td_config['pre']}jsrk set zczk=0,zcfd=0,swzk=0,swfd=0,xwzk=0,xwfd=0,wszk=0,wsfd=0 where schoolId={$schoolId_3} and xnd='{$xnd_3}' and xq={$xq_3} and schoolDay>='{$tksAllDate}'";
		}else{
			$sql="update {$td_config['pre']}jsrk set zczk=0,zcfd=0,swzk=0,swfd=0,xwzk=0,xwfd=0,wszk=0,wsfd=0 where schoolId={$schoolId_3} and xnd='{$xnd_3}' and xq={$xq_3} and schoolDay>='{$tksAllDate}' and schoolDay<='{$tkeAllDate}'";
		}
		myupdate($sql);
		$error=mysql_errno()?$td_msg[7]:$td_msg[30];
	}
	parentUrlGo('',$error);
}else if($action=='wageAdminTktkas'){//保存按晌停课
	if(!is_numeric($schoolId_5) || !is_numeric($xnd_5) || ($xq_5!='1' && $xq_5!='2') || !is_numeric($tkTimer) || (int)($tkTimer)<1 || (int)($tkTimer)>4 || ($ktType!='1' && $ktType!='2' && $ktType!='3') || !td_check_date($astkDate)){
		$error=$td_msg[0];
	}else{
		$sql="update {$td_config['pre']}jsrk set";
		$where=" where schoolId={$schoolId_5} and xnd='{$xnd_5}' and xq={$xq_5} and schoolDay>='{$astkDate}'";
		$where.=(isset($userNick_5) && preg_match($zz_userNick,$userNick_5))?"and userNick='{$userNick_5}'":'';
		if($ktType=='1'){
			if($tkTimer=='1'){
				$sql="{$sql} zczk=0,zcfd=0 {$where}";
			}else if($tkTimer=='2'){
				$sql="{$sql} swzk=0,swfd=0 {$where}";
			}else if($tkTime=='3'){
				$sql="{$sql} xwzk=0,xwfd=0 {$where}";
			}else if($tkTime=='4'){
				$sql="{$sql} wszk=0,wsfd=0 {$where}";
			}
		}else if($ktType=='2'){
			if($tkTimer=='1'){
				$sql="{$sql} zczk=0 {$where}";
			}else if($tkTimer=='2'){
				$sql="{$sql} swzk=0 {$where}";
			}else if($tkTime=='3'){
				$sql="{$sql} xwzk=0 {$where}";
			}else if($tkTime=='4'){
				$sql="{$sql} wszk=0 {$where}";
			}
		}else if($ktType=='3'){
			if($tkTimer=='1'){
				$sql="{$sql} zcfd=0 {$where}";
			}else if($tkTimer=='2'){
				$sql="{$sql} swfd=0 {$where}";
			}else if($tkTime=='3'){
				$sql="{$sql} xwfd=0 {$where}";
			}else if($tkTime=='4'){
				$sql="{$sql} wsfd=0 {$where}";
			}
		}
		if(!isNull($sql)){
			myupdate($sql);
			$error=mysql_errno()?$td_msg[7].$sql:$td_msg[30];
		}else{
			$error=$td_msg[0].'_2';
		}
	}
	parentUrlGo('',$error);
}
?>