// JavaScript Document
function onlyNum(e)
{
	var key=(window.event)?e.keyCode:e.which;
	if(key==8 || key==127)
	{
		return true;
	}
	if(key>47 && key<59 || key==46)
	{
		return true;
	}
	else
	{
		return false;
	}
}
//仅输入字母字符
function onlyChar(e)
{
	var key=(window.event)?e.keyCode:e.which;
	if(key==8 || key==127)
	{
		return true;
	}
	if((key>=65 && key<=90) || (key>=97 && key<=122))
	{
		return true;
	}
	else
	{
		return false;
	}
}
//日期自动加"-"函数
  function setMyTime(obj,e)
  {
	  var key=(window.event)?e.keyCode:e.which;
	  var ch=obj.value;
	  if(key==8 || key==127)
	  {
		  return true;
	  }
	  if(key>47 && key<58)
	  {
		  if(ch.length>=19){
			  return false;
		  }
		  else if(ch.length<3 || (ch.length>=5 && ch.length<6))
		  {
			  return true;
		  }
		  else if(ch.length==4 || ch.length==7)
		  {
			  ch=ch+"-";
			  obj.value=ch;
			  return true;
		  }else if(ch.length==10){
			  ch=ch+" ";
			  obj.value=ch;
			  return true;
		  }else if(ch.length==13 || ch.length==16){
			  ch=ch+":";
			  obj.value=ch;
			  return true;			  
		  }
	  }
	  else
	  {
		  return false;
	  }
  }
//判断为空，考虑到空格
function isNull(ch)
{
	if(ch==null)
	{
		return true;
	}
	var temp=typeof(ch);
	if(temp.toLowerCase()=="object")
	{
		for(i=0; i<ch.length; i++)
		{
			try{
			temp=ch[i].replace(/\s/g,"");
			}
			catch(err){
				return true;
			}
			if(temp=="")
			{
				return true;
			}
		}
		return false;
	}
	else if(temp.toLowerCase()=="string")
	{
		ch=ch.replace(/\s/g,"");
		if(ch=="")
		{
			return true;
		}
		else
		{
			return false;
		}
	}
	else
	{
		return false;
	}
}
//将被选中的且名称相同的checkbox的值转换成json数据，参数是checkbox的名称
function jsonEncode(chkName)
{
	  var check=document.getElementsByName(chkName);
	  var list="";
	  var count=check.length;
	  if(count<1)
	  {
		  return false;
	  }
	  list='a:';
	  var num=0;
	  var str="";
	  var k=0;
	  for(i=0; i<count; i++)
	  {
		  if(check[i].checked)
		  {
			  num++;
			  str+="i:"+k+";i:"+(check[i].value)+";";
			  k++;
		  }
	  }
	  if(num==0)
	  {
		  return false;
	  }
	  list+=num+":{"+str+"}";
	  return list;
}

//检测密码
function checkPassword(password)
{
	if(!zz_password.test(password) || password.length<4 || (password.length>20 && password.length!=32))
	{
		return false;
	}
	else
	{
		return true;
	}
}

//会员登录时的客户端表单验证
function checkUserLogin()
{
	var userNick=$("#userNick").val();
	var password=$("#password").val();
	var code=document.getElementById("code");
	if(!zz_userNick.test(userNick))
	{
		$("#tsUserNick").html(errorImage);
		return false;
	}
	$("#tsUserNick").html(rightImage);
	if(!checkPassword(password))
	{
		$("#tsPassword").html(errorImage);
		return false;
	}	
	$("#tsPassword").html(rightImage);
	if(code)
	{
		if(!zz_code.test(code.value))
		{
			$("#tsCode").html(errorImage);
			return false;
		}
		$("#tsCode").html(rightImage);
	}
	if(password.length!=32){
		password=MD5(password);
		$("#password").val(password);
	}
	return true;
}

//检测已经输入数字的数量，objId是要检测的文本框的ID，maxLen是允许输入的最大字符数，为空或0表示不限制；valType表示取对象中的字符时是使用val还是html，它的取值是v、h；sumId是用来显示可用字数的对象ID
function checkWordSum(objId,maxLen,valType,sumId)
{
	if(valType=="v")
	{
		var v=$("#"+objId).val();
	}
	else
	{
		var v=$("#"+objId).html();
	}
	var len=v.length;
	if(maxLen>0)
	{
		var l=maxLen-len;
		l=l<0?0:l;
		$("#"+sumId).html("你还可以输入"+(l)+"个字符");
	}
	if(maxLen!="" && maxLen!=0 && len>maxLen)
	{
		if(valType=="v")
		{
			$("#"+objId).val(($("#"+objId).val()).substr(0,maxLen));
		}
		else
		{
			$("#"+objId).html(($("#"+objId).html()).substr(0,maxLen));
		}
		return false;
	}
	else
	{
		return true;
	}
}

//检测复选框被选中的最多和最少是否在允许的范围内
function checkChk(objName,minSize,maxSize,url)
{
	if(isNull(objName) || isNaN(maxSize) || isNaN(minSize))
	{
		return false;
	}
	var chk=document.getElementsByName(objName);
	var k=0;
	var urlParameters="&id=";
	for(i=0; i<chk.length; i++)
	{
		if(chk[i].checked && !isNaN(chk[i].value))
		{
			k++;
			urlParameters=urlParameters+(chk[i].value)+"-";
		}
	}
	if(k<minSize || k>maxSize)
	{
		alert("对比选中时，至少选中"+minSize+"项，最多选中"+maxSize+"项");
		return false;
	}
	if(url)
	{
		window.open(url+urlParameters,"contrast");
	}
	return true;
}



//检测是否含有禁用字符，包含禁用字符返回真，否则返回假
function checkStopChar(str)
{
	var td_stopChar=",.;*&^%$#@!~`/\\:'\"<>?()-=[]{}";
    for(i=0; i<td_stopChar.length; i++)
    {
    	if(str.indexOf(td_stopChar.substr(i,1))>=0)
        {
        	return true;
        }
    }
    return false;
}
//检测身份证号码是否正确，str传递需要检测的身份证号码；birthdayId给出生日文本框的Id，如果号码正确，把生日写入到此ID的文本框中；sexName给出性别radio的名称，如果号码正确，把此名称的性别radio指定为选中状态
function checkIdCard(str,birthdayId,sexName){
var aCity={11:"北京",12:"天津",13:"河北",14:"山西",15:"内蒙古",21:"辽宁",22:"吉林",23:"黑龙江",31:"上海",32:"江苏",33:"浙江",34:"安徽",35:"福建",36:"江西",37:"山东",41:"河南",42:"湖北",43:"湖南",44:"广东",45:"广西",46:"海南",50:"重庆",51:"四川",52:"贵州",53:"云南",54:"西藏",61:"陕西",62:"甘肃",63:"青海",64:"宁夏",65:"新疆",71:"台湾",81:"香港",82:"澳门",91:"国外"}
	if(cidInfo(str)==true){
		return true;
	}else{
		return '身份证号码错误';
	}
	function cidInfo(sId){
		var iSum=0;
		var info="";
		if(!/^\d{17}(\d|x)$/i.test(str))return '身份证号码错误'; 
		sId=sId.replace(/x$/i,"a"); 
		if(aCity[parseInt(sId.substr(0,2))]==null){
			return "错误:非法地区";
		}
		sBirthday=sId.substr(6,4)+"-"+Number(sId.substr(10,2))+"-"+Number(sId.substr(12,2));
		reBirthday=sId.substr(6,4)+"-"+(Number(sId.substr(10,2))<10?"0"+Number(sId.substr(10,2)):Number(sId.substr(10,2)))+"-"+(Number(sId.substr(12,2))<10?"0"+Number(sId.substr(12,2)):Number(sId.substr(12,2))); 
		var d=new Date(sBirthday.replace(/-/g,"/"));
		if(sBirthday!=(d.getFullYear()+"-"+ (d.getMonth()+1) + "-" + d.getDate())){
			return "错误:非法生日"; 
		}
		for(var i = 17;i>=0;i --){
			iSum += (Math.pow(2,i) % 11) * parseInt(sId.charAt(17 - i),11);
		}
		if(iSum%11!=1){
			return "错误:非法证号";
		}
		//return aCity[parseInt(sId.substr(0,2))]+","+sBirthday+","+(sId.substr(16,1)%2?"男":"女")
		if(!isNull(birthdayId)){
			document.getElementById(birthdayId).value=reBirthday;
		}
		if(!isNull(sexName)){
			checkedRadio(sexName,(sId.substr(16,1)%2?'男':'女'));
		}
		return true;
	} 
}




// 获取编辑器中HTML内容
function getEditorHTMLContents(EditorName) { 
	var oEditor = FCKeditorAPI.GetInstance(EditorName); 
	return(oEditor.GetXHTML(true)); 
}

// 获取编辑器中文字内容
function getEditorTextContents(EditorName) { 
	var oEditor = FCKeditorAPI.GetInstance(EditorName); 
	return(oEditor.EditorDocument.body.innerText); 
}