// JavaScript Document
var zz_userNick=/^[a-zA-Z0-9_]{4,20}$/;
var zz_password=/[^\s]{4,16}/;
var zz_code=/^[a-zA-Z0-9]{4}$/;
var zz_telephone=/^((\d{2,3}-)?(0\d{2,3})-)?(\d{7,8})(-(\d{3,}))?$/;
var zz_mobile=/^(13[0-9]|15[0|1|2|5||3|6|7|8|9]|18[0|1|2|3|4|5|6|7|8|9])\d{8}$/;
var zz_post=/^[1-9]\d{5}(?!\d)$/;
var zz_number=/^[1-9]\d*|0$/;//配置正整数和零
var zz_shuzhi=/^[0-9]{1,}[\.]{0,1}[0-9]{0,}$/;
var zz_float=/^[1-9]\d*\.\d*|0\.\d*[1-9]\d*$/;//匹配正浮点数
var zz_date=/(19[0-9]{2}|20[0-9]{2})\-(0[1-9]|1[0-2])\-(0[1-9]|[1-2][0-9]|3[0-1])$/;
var zz_dateTime=/(19[0-9]{2}|2[0-9]{3})\-(0[1-9]|1[0-2])\-(0[1-9]|[1-2][0-9]|3[0-1]) ([0-9]{2})\:([0-9]){2}\:([0-9]){2}$/;
var zz_char=/^[a-zA-Z_]{1,}$/;
var zz_url=/^(http|https|ftp){1}(\:\/\/){1}/i;//URL地址匹配，比较简单
var zz_email=/^\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*/i;//匹配EMAIL地址
var zz_html=/(<\w+[^>]*>)|(<\/\s*[^>]+\s*>)/i;//匹配HTML的任何标记符，主要用于将HTML标记符替换为空或其它字符
var zz_idCard=//;身份证号码


//在一个JS文件中需要包含另一个JS文件时使用此函数
function include(path)
{
	var jsObj=document.createElement("script");
	jsObj.type="text/javascript";
	jsObj.src=path;
	var headObj=document.getElementsByTagName("head")[0];
	headObj.appendChild(jsObj);
}


//刷新页面
function windowRefresh()
{
    window.location.href=window.location.href;
}


//刷新验证码
function codeRefresh()
{
	var codeObj=document.getElementById("codeImg");
	if(codeObj)
	{
		codeObj.src=webPath+"/webinc/code.inc.php?rand="+(Math.random());
	}
}

//基于jquery的浮动提示层,innerContent要显示的内容；hideTime层在几秒钟后隐藏，为空或0表示立即隐藏或其它操作；windowRefresh窗口是否刷新，取逻辑值；reloadUrl窗口是否要转向，优先级高于windowRefresh
//fl_width是指要创建的内容层的宽度，只能使用绝对值，比如：300代表300px（像素）
function creatFloatLayer(fl_innerContent,fl_hideTime,fl_windowRefresh,fl_reloadUrl,fl_width)
{
	if(document.getElementById("fl_divContent"))//如果此层已经存在了，就不再创建新的此层，并把内容写入已经存在的内容容器中
	{
		$("#fl_divContent").html(fl_innerContent);
		return false;
	}
	var fl_innerMarginTop=200;//显示内容的小方框在窗口中距离顶部的大小
    var fl_windowWidth=jQuery(document).width();
	var fl_windowHeight=jQuery(document).height();
	var fl_windowScrollTop=document.documentElement.scrollTop==0?document.body.scrollTop:document.documentElement.scrollTop;
	var fl_windowScrollLeft=document.documentElement.scrollLeft==0?document.body.scrollLeft:document.documentElement.scrollLeft;
	var fl_marginTop=(fl_innerMarginTop+fl_windowScrollTop)+"px";
	var fl_marginLeft=fl_windowScrollLeft+"px";
	var fl_div="<div class=\"fl_divOut\"><div class=\"fl_divIn\"><span class=\"fl_title_left\"></span><span id=\"fl_title\">网页操作提示</span><span class=\"fl_title_right\" onclick=\"closeFlLayer();\" title=\"关闭对话框\"> </span><div style=\"width:100%; height:0px; overflow:hidden; clear:both;\"></div><div id=\"fl_divContent\" class=\"fl_divContent\">"+fl_innerContent+"</div></div></div>";
	jQuery("body").eq(0).prepend(fl_div);
	fl_title_width=(fl_width && fl_width!="")?(fl_width-60)+"px":(400-60)+"px";
	fl_content_width=(fl_width && fl_width!="")?(fl_width-32)+"px":(400-32)+"px";
	fl_width=(fl_width && fl_width!="")?fl_width+"px":"400px";
	jQuery("div[class=fl_divOut]").css({"width":"100%","height":(fl_windowHeight+"px"),"position":"absolute","top":"0px","left":fl_marginLeft,"z-index":"2000","background":"url("+webPath+"/images/touming.png) repeat"});
	jQuery("div[class=fl_divIn]").css({"width":fl_width,"height":"auto","position":"relative","margin":fl_marginTop+" auto","border":"0px solid #3977C2","filter":"progid:DXImageTransform.Microsoft.Shadow(Strength=4, Direction=135, Color='#CCCCCC')"});
	jQuery("span[class=fl_title_left]").css({"width":"20px","height":"35px","margin":"0px","line-height":"35px","float":"left","background":"url("+webPath+"/images/layer_title_1.gif) no-repeat"});
	jQuery("#fl_title").css({"width":fl_title_width,"height":"35px","line-height":"35px","overflow":"hidden","background":"url("+webPath+"/images/layer_title_2.gif) repeat-x", "color":"#FFF", "font-weight":"bold","float":"left"});
	jQuery("span[class=fl_title_right]").css({"display":"block","cursor":"pointer","width":"40px","height":"35px","overflow":"hidden","background":"url("+webPath+"/images/layer_title_3.gif) no-repeat #ccc","float":"right"});
	jQuery("div[class=fl_divContent]").css({"width":fl_content_width,"height":"auto","padding":"15px","margin":"0px","line-height":"22px","font-size":"13px","border":"1px solid #CCC","background":"#FFF"});
	if(!isNaN(fl_hideTime))
	{
	    fl_hideTime=Math.abs(fl_hideTime);
	}
	else
	{
		fl_hideTime=0;
	}
	if(!isNull(fl_reloadUrl))
	{
		window.location.href=fl_reloadUrl;
	}
	else if(fl_windowRefresh)
	{
		setTimeout("windowRefresh()",fl_hideTime);
	}
}
function closeFlLayer(fl_Obj)
{
	if(fl_Obj)
	{
		$(fl_Obj).remove();
	}
	else
	{
		jQuery(".fl_divOut").remove();
	}
}



/*
如果栏目下拉列表框被选中的项不是最底层的栏目，就将列表框的“请选择”项重新设置为选中，即禁止选择不是最底层的栏目时使用。
注意：
1、列表框的第一项必须是“请选择”，且值是"0"；
*/
function checkSelectedCat(v,selectName)
{
	var opt=document.getElementById(selectName);
	for(i=0; i<opt.length; i++)
	{
		if(opt[i].value==v && opt[i].className=="boldWord")
		{
			opt.value="0";
		}
	}
}

//加入收藏
function favorite()
{
	window.external.addFavorite(window.location.href,document.getElementsByTagName("title").innerHMTL);
}

//设为首页
function firstWeb(obj)
{
	obj.style.behavior='url(#default#homepage)';obj.setHomePage(window.location.href);
}

//打印指定区域中的内容，deleteLastTd是否删除每行的最后一个单元格，取逻辑值；pd打印方向，即横向（v)、纵向（h）打印
function printContent(objId,printTitle,deleteLastTd,pd,pageSet){
	var obj=document.getElementById(objId);
	if(obj){
		var content=obj.innerHTML;
		deleteLastTd=deleteLastTd?1:0;
		var printSet=typeof(pageSet)==='undefined'?'print':pageSet;
		if(pd=='h'){
			var newWindow=window.open(webPath+'/print.php?pd='+pd+'&id='+objId+'&title='+encodeURI(printTitle)+'&delTd='+deleteLastTd+"&pageSet="+printSet,'printWindow','width=700,height=842,top=0,left=0,toolbar=no,menubar=no,scrollbars=1,resizeable=no,location=no,status=yes');
		}else{
			var newWindow=window.open(webPath+'/print.php?pd='+pd+'&id='+objId+'&title='+encodeURI(printTitle)+'&delTd='+deleteLastTd+"&pageSet="+printSet,'printWindow','width=870,height=585,top=0,left=0,toolbar=no,menubar=no,scrollbars=1,resizeable=no,location=no,status=yes');
		}
		//newWindow.document.write(obj.innerHTML);
	}else{
		alert("打印对象不存在");
	}
}

//设置指定ID块中文字的大小
function setFontSize(objId,fontSize)
{
	if(isNull(objId) || isNull(fontSize))
	{
		return false;
	}
	var divBody=document.getElementById(objId);
	$("#"+objId).css({"font-size":fontSize+"px"});
	var divChildBody = divBody.childNodes;
	for(var i = 0; i < divChildBody.length; i++)
	{
		if (divChildBody[i].nodeType==1) 
		{
			divChildBody[i].style.fontSize = fontSize + "px";
		}
	}
}


//功能将一个列表框中被选中的值和文本添加到另一个列表框中，而且把值同时放入到指定的隐藏域中，将sourceObjId列表框被选中选项的值和文本添加到forObjId指定的列表框中，valueId给出同时要将新选项的值(value的值）添加到的隐藏域的ID；maxSize给出目标列表框（forObjId）最多可以拥有的列表数量
function addOption(sourceObjId,forObjId,valueId,maxSize)
{
	var v=$("#"+sourceObjId).val();
	var text=$("#"+sourceObjId).find("option:selected").text();
	var temp="";
	if(v && parseInt(v)>0)
	{
		var forObj=document.getElementById(forObjId);
		if(forObj.length-1>maxSize)
		{
			alert("最多只能添加"+maxSize+"个选项");
			return false;
		}
		for(i=0; i<forObj.length; i++)
		{
			if(forObj[i].value==v)
			{
				alert("不能重复添加");
				return false;
			}
		}
		if(valueId)
		{
			$("#"+valueId).val(($("#"+valueId).val())+","+v+",");
			temp=$("#"+valueId).val();
			$("#"+valueId).val(temp.replace(/[\,]{2,}/g,","));
		}
		$("#"+forObjId).append("<option value=\""+v+"\">"+text+"</option>");
	}
}

//将指定ID的列表选项删除，valueId指定同时要删除此隐藏域中对应的值
function deleteOption(forObjId,valueId)
{
	var v=$("#"+forObjId).val();
	var hiddV=$("#"+valueId).val();
	var temp="";
	if(v)
	{
		temp=new RegExp(','+v+',');
		$("#"+forObjId+" option:selected").remove();
		$("#"+valueId).val(hiddV.replace(temp,","));
		temp=$("#"+valueId).val();
		$("#"+valueId).val(temp.replace(/\,{2,}/g,","));
		if($("#"+valueId).val()==",")
		{
			$("#"+valueId).val("");
		}
	}
}

//删除HTML标记
function deleteHTML(str)
{
	if(isNull(str))
	{
		return false;
	}
	str=str.replace(zz_html,"");
	return str;
}


//图片轮番特效，没有使用flash插件
/*
	此特效使用DEMO：
	<div id="tdSlider">
	  <ul>
		<li><img src="/photo/1.jpg" /><h4>标题一</h4></li>
		<li><img src="/photo/2.jpg" /><h4>标题二</h4></li>
		<li><img src="/photo/3.jpg" /><h4>标题三</h4></li>
		<li><img src="/photo/4.jpg" /><h4>标题四</h4></li>
	  </ul>
	</div>
	注意：div的ID必须是tdSlider
	调用方式：tdSlider(260,180,1,0,"/images/wait.gif",3000);
	参数依次对应含意：宽；高；边框大小以像素为单位；标题位置以DIV的左上角为0,0坐标；占位图片地址（用于缓冲图片时的等待效果）；轮播时间间隔（毫秒）；
*/
function tdSlider(td_w,td_h,td_b,td_title,td_img,td_time)
{
	var w=(td_w-td_b*2)+"px";
	var h=(td_h-td_b*2)+"px";
	var b=td_b+"px solid #333";
	var title=td_title+"px";
	var liObj=$("#tdSlider ul li");
	var maxIndex=$("#tdSlider ul li").length;
	if(!td_img)
	{
		//$("#tdSlider img").lazyload({placeholder:td_img,effect:"fadeIn",threshold:100});//如果你将jquery的lazyload模块加载了，此图片缓冲就可以使用了
	}
	if(!td_time)
	{
		td_time=3000;//如果未设置轮番时间，就设置为默认3秒
	}
	$("#tdSlider").css({"position":"relative","top":"0px","left":"0px","width":td_w+"px","height":td_h+"px","overflow":"hidden"});
	$("#tdSlider ul").css({"margin":"0px","padding":"0px","list-style":"none","width":w,"height":h,"border":b,"overflow":"hidden"});
	$("#tdSlider li").css({"width":w,"height":h,"overflow":"hidden","margin":"0px","padding":"0px","position":"absolute","top":td_b+"px","left":td_b+"px"});
	$("#tdSlider img").css({"width":w,"height":h,"border":"0px"});
	$("#tdSlider ul li h4").css({"width":"100%","height":"22px","line-height":"22px","overflow":"hidden","display":"block","position":"absolute","top":title,"left":"0px","background":"url(/images/touming.png) repeat-x","text-align":"center","font-size":"12px","color":"#069","padding":"0px","margin":"0px"});
	$("#tdSlider ul li a").css({"text-decoration":"none"});
	for(i=0; i<liObj.length; i++)
	{
		zIndex=100-i;
		k=liObj.length-i;
		liObj.eq(i).css({"z-index":zIndex});
		liObj.eq(i).hide();
		$("#tdSlider").append("<span>"+k+"</span>");
	}
	$("#tdSlider span").css({"display":"block","position":"relative","z-index":"10001","float":"right","border":"1px solid #666","padding":"1px","margin-right":"5px","font-size":"12px","width":"16px","height":"18px","line-height":"18px","text-align":"center","top":"-25px","left":"0px","background":"#FFF","cursor":"default"});
	var spanObj=$("#tdSlider span");
	spanObj.hover(function(){
			for(i=0; i<spanObj.length; i++)
			{
				$("#tdSlider span").eq(i).css({"background":"#FFF","color":"#000"});
			}
			for(i=0; i<spanObj.length; i++)
			{
				if(spanObj.eq(i).html()==$(this).html())
				{
					for(j=0; j<spanObj.length; j++)
					{
						if(liObj.eq(j).is(":visible"))
						{
							liObj.eq(j).fadeOut(500);
						}
					}
					liObj.eq(spanObj.length-i-1).fadeIn(500);
					$("#tdSlider span").eq(i).css({"background":"#F60","color":"#FFF"});
					break;
				}
			}
			clearInterval(td_slide);
		},
		function(){
			td_slide=setInterval("tdSliderStart()",td_time);
		}
		);
	liObj.eq(0).fadeIn(500);
	var td_slide=setInterval("tdSliderStart()",td_time);
	$("#tdSlider span").eq(maxIndex-1).css({"background":"#F60","color":"#FFF"});
}
function tdSliderStart()
{
	var liObj=$("#tdSlider ul li");
	maxIndex=(liObj.length)-1;
	for(i=0; i<liObj.length; i++)
	{
		if(i==maxIndex && liObj.eq(i).is(":hidden"))
		{
			liObj.eq(0).fadeIn(500);
			liObj.eq(maxIndex).fadeOut(500);
			$("#tdSlider span").eq(maxIndex).css({"background":"#F60","color":"#FFF"});
			$("#tdSlider span").eq(0).css({"background":"#FFF","color":"#000"});
			return;
		}
		else if(liObj.eq(i).is(":visible") && i!=maxIndex)
		{
			liObj.eq(i).fadeOut(500);
			liObj.eq(i+1).fadeIn(500);
			$("#tdSlider span").eq(maxIndex-(i+1)).css({"background":"#F60","color":"#FFF"});
			$("#tdSlider span").eq(maxIndex-i).css({"background":"#FFF","color":"#000"});
			return;
		}
		else if(liObj.eq(i).is(":visible") && i==maxIndex)
		{
			liObj.eq(i).fadeOut(500);
			liObj.eq(0).fadeIn(500);
			$("#tdSlider span").eq(maxIndex).css({"background":"#F60","color":"#FFF"});
			$("#tdSlider span").eq(0).css({"background":"#FFF","color":"#000"});
			return;
		}
	}
}
/*图片轮番特效结束*/


/*内容滚动显示*/
/*
	参数说明：td_direction滚动的方向(可取值：top、left)；td_speed一次移动几个像素；td_inter间隔时间，以微秒为单位；td_stopTime中间停留时间，以微秒为单位；td_outWidht外层容器的宽度，td_outHeight外层容器的高度，td_width每个内容的宽度，td_height每个内容的高度；td_margin两个内容之间的间距
	固定不变的参数有：外层容器必须取ID值为td_scrollOut，内部用来存放内容的容器的必须设置class为td_scroll
	容器必须是ul标记符。当然，如果你会JS的话，你也可以使用其它的容器，比如外部和内容器都使用div，那么，你只需要把此JS代码中的li:first-child改成div:first-child即可
	demo:
	<ul id="td_scrollOut" class="td_scrollOut">
	  <li class="td_scroll"><img src="1.jpg"></li>
	  <li class="td_scroll"><img src="2.jpg"></li>
	  <li class="td_scroll"><img src="3.jpg"></li>
	  <li class="td_scroll"><img src="4.jpg"></li>
	</ul>
	td_contentScroll("top",1,20,2000,400,26,400,26,3)
*/
function td_contentScroll(td_direction,td_speed,td_inter,td_stopTime,td_outWidth,td_outHeight,td_width,td_height,td_margin)
{
	$("#td_scrollOut").css({"width":td_outWidth+"px","height":td_outHeight+"px","overflow":"hidden"});
	$("#td_scrollOut > .td_scroll").css({"width":td_width+"px","height":td_height+"px","overflow":"hidden"});
	var td_scrollObj=$("#td_scrollOut > .td_scroll");
	var w=0;
	var h=0;
	if(td_scrollObj.length==0)
	{
		return false;
	}
	if(td_direction=="top")
	{
		$("#td_scrollOut > .td_scroll").css({"margin-top":td_margin+"px"});
	}
	else if(td_direction=="right")
	{
		$("#td_scrollOut > .td_scroll").css({"margin-right":td_margin+"px"});
	}
	else if(td_direction=="bottom")
	{
		$("#td_scrollOut > .td_scroll").css({"margin-bottom":td_margin+"px"});
	}
	else
	{
		$("#td_scrollOut > .td_scroll").css({"margin-left":td_margin+"px"});
	}
	td_srcollSpeed=setInterval(function(){td_scrollAchieve(td_direction,td_speed,td_inter,td_stopTime,td_outWidth,td_outHeight,td_width,td_height,td_margin)},td_inter);
	
}
function td_scrollAchieve(td_direction,td_speed,td_inter,td_stopTime,td_outWidth,td_outHeight,td_width,td_height,td_margin)
{
	if(td_direction=="top")
	{
		margin=($("#td_scrollOut li:first-child").css("margin-top")).replace("px","");
		h=($("#td_scrollOut li:first-child").css("height")).replace("px","");
		margin=Math.abs(parseInt(margin));
		h=parseInt(h)+parseInt(td_margin);
		h=h-margin-td_margin;
		if(h<1)
		{
			temp=$("#td_scrollOut li:first-child").remove();
			$("#td_scrollOut").append(temp);
			$("#td_scrollOut > .td_scroll").css({"width":td_width+"px","height":td_height+"px","margin-top":td_margin+"px","overflow":"hidden"});
			clearInterval(td_srcollSpeed);
			setTimeout(function(){td_srcollSpeed=setInterval(function(){td_scrollAchieve(td_direction,td_speed,td_inter,td_stopTime,td_outWidth,td_outHeight,td_width,td_height,td_margin)},td_inter);},td_stopTime);
		}
		else
		{
			margin=margin+td_speed;
			$("#td_scrollOut li:first-child").css({"margin-top":-margin+"px"});
		}
	}
	else
	{
		margin=($("#td_scrollOut li:first-child").css("margin-left")).replace("px","");
		h=($("#td_scrollOut li:first-child").css("width")).replace("px","");
		margin=Math.abs(parseInt(margin));
		h=parseInt(h)+parseInt(td_margin);
		h=h-margin-td_margin;
		if(h<1)
		{
			temp=$("#td_scrollOut li:first-child").remove();
			$("#td_scrollOut").append(temp);
			$("#td_scrollOut > .td_scroll").css({"width":td_width+"px","height":td_height+"px","margin-left":td_margin+"px","overflow":"hidden"});
			clearInterval(td_srcollSpeed);
			setTimeout(function(){td_srcollSpeed=setInterval(function(){td_scrollAchieve(td_direction,td_speed,td_inter,td_stopTime,td_outWidth,td_outHeight,td_width,td_height,td_margin)},td_inter);},td_stopTime);
		}
		else
		{
			margin=margin+td_speed;
			$("#td_scrollOut li:first-child").css({"margin-left":-margin+"px"});
		}
	}
}
/*内容滚动显示结束*/

/*
	AJAX数据请求
	td_action请求方式说明，根据具体情况自定义；td_objId激发当前AJAX对象的ID值，根据具体情况可有可无，也可转义；td_v要传递的值，根据具体情况可有可元；td_url AJAX请求的页面地址；td_type　AJAX请求的方式post、get等；td_dataType　AJAX请求的数据类型HTML、TEXT等；td_async是请求模式——同步或异步；td_contentId要把返回的内容写入到的容器的ID；td_refreshTime窗口等待刷新的时间，以秒为单位；td_refresh请求完成后是否执行刷新；td_goUrl请求完成后是否要跳转地址，如果跳转就为其赋值一个目标页面地址。td_msgMode信息的提示方式，值为true时为文字提示，false时为图片提示（就是对号和叉号）
	layerWidth为创建的提示层内容的宽度，仅td_contentId的值为空时有效，以像素为单位，比如300
*/
function td_ajaxRequest(td_action,td_objId,td_v,td_url,td_type,td_dataType,td_async,td_contentId,td_refreshTime,td_refresh,td_goUrl,td_msgMode,layerWidth)
{
	action=td_action.toLowerCase();
	if((action.indexOf("delete")>=0 || action.indexOf("remove")>=0) && !window.confirm(msg[33]))
	{
		return false;
	}
	td_msgMode=(td_msgMode)?true:false;
	layerWidth=(layerWidth && layerWidth!="")?layerWidth:"";
	if(isNull(td_contentId))
	{
		creatFloatLayer(msg[10],0,false,'',layerWidth);
		td_contentId="fl_divContent";
	}
	else
	{
		if("value" in document.getElementById(td_contentId))
		{
			$("#"+td_contentId).val(msg[10]);
		}
		else
		{
			$("#"+td_contentId).html(msg[10]);
		}
	}
	$.ajax({
		type:td_type,
		async:td_async,
		dataType:td_dataType,
		url:td_url,
		data:({"action":td_action,"id":td_objId,"v":td_v}),
		error:function(){
			if("value" in document.getElementById(td_contentId))
			{
				$("#"+td_contentId).val(msg[1]);
			}
			else
			{
				$("#"+td_contentId).html(msg[1]);
			}
			if(!isNull(td_goUrl))
			{
				window.location.href=td_goUrl;
			}
			else if(td_refresh)
			{
				setTimeout("windowRefresh()",td_refreshTime);
			}
		},
		success:function(data,textStatus){
			switch(data.replace(/\s/g,""))
			{
				case"10000":
					if(td_msgMode)
					{
						temp=msg[30];
					}
					else
					{
						temp="<img src=\"/images/yes.gif\" align=\"absmiddle\" border=\"0\" />";
					}
					break;
				default:
					if(td_msgMode)
					{
						temp=!isNaN(data)?msg[0]+"　　错误码："+data:data;
					}
					else
					{
						temp="<img src=\"/images/check_error.gif\" align=\"absmiddle\" border=\"0\" />";
					}
			}
			if("value" in document.getElementById(td_contentId))
			{
				$("#"+td_contentId).val(temp);
			}
			else
			{
				$("#"+td_contentId).html(temp);
			}
			if(!isNull(td_goUrl))
			{
				window.location.href=td_goUrl;
			}
			else if(td_refresh)
			{
				setTimeout("windowRefresh()",td_refreshTime);
			}
		}
	});
}


/*
	AJAX获取内容到指定ID的容器内
	td_action请求方式说明，根据具体情况自定义；td_objId激发当前AJAX对象的ID值，根据具体情况可有可无，也可转义；td_v要传递的值，根据具体情况可有可元；td_url AJAX请求的页面地址；td_type　AJAX请求的方式post、get等；td_dataType　AJAX请求的数据类型HTML、TEXT等；td_async是请求模式——同步或异步，取值true或false；td_contentId要把返回的内容写入到的容器的ID；td_refreshTime窗口等待刷新的时间，以秒为单位；td_refresh请求完成后是否执行刷新；td_goUrl请求完成后是否要跳转地址，如果跳转就为其赋值一个目标页面地址。td_msgMode信息的提示方式，值为true时为文字提示，false时为图片提示（就是对号和叉号）
	layerWidth为创建的提示层内容的宽度，仅td_contentId的值为空时有效，以像素为单位，比如300
*/
function td_ajaxGetContent(td_action,td_objId,td_v,td_url,td_type,td_dataType,td_async,td_contentId,td_refreshTime,td_refresh,td_goUrl,td_msgMode,layerWidth)
{
	action=td_action.toLowerCase();
	if((action.indexOf("delete")>=0 || action.indexOf("remove")>=0) && !window.confirm(msg[33]))
	{
		return false;
	}
	td_msgMode=(td_msgMode==null || td_msgMode==true)?true:false;
	layerWidth=(layerWidth && layerWidth!="")?layerWidth:"";
	if(isNull(td_contentId))
	{
		creatFloatLayer(msg[10],0,false,'',layerWidth);
		td_contentId="fl_divContent";
	}
	else
	{
		if("value" in document.getElementById(td_contentId))
		{
			$("#"+td_contentId).val(msg[10]);
		}
		else
		{
			$("#"+td_contentId).html(msg[10]);
		}
	}
	$.ajax({
		type:td_type,
		async:td_async,
		dataType:td_dataType,
		url:td_url,
		data:({"action":td_action,"id":td_objId,"v":td_v}),
		error:function(){
			if("value" in document.getElementById(td_contentId))
			{
				$("#"+td_contentId).val(msg[1]);
			}
			else
			{
				$("#"+td_contentId).html(msg[1]);
			}
			if(!isNull(td_goUrl))
			{
				window.location.href=td_goUrl;;
			}
			else if(td_refresh)
			{
				setTimeout("windowRefresh()",td_refreshTime);
			}
		},
		success:function(data,textStatus){
			if("value" in document.getElementById(td_contentId))
			{
				$("#"+td_contentId).val(data);
			}
			else
			{
				$("#"+td_contentId).html(data);
			}
			if(!isNull(td_goUrl))
			{
				window.location.href=td_goUrl;;
			}
			else if(td_refresh)
			{
				setTimeout("windowRefresh()",td_refreshTime);
			}
		}
	});
}
//退出登录状态，path是执行退出操作页面的地址，noBBS表示是否不是在论坛中点击的退出
function quit(noBBS)
{
	creatFloatLayer(msg[10],1500,true,"",300);
	$.ajax({
		type:"post",
		dataType:"html",
		url:webPath+"/quit.php",
		data:({}),
		error:function(){
			$("#fl_divContent").html(msg[9]);
		},
		success:function(data,textStatus){
			$("#fl_divContent").html("你已经成功退出，请稍候……");
			if(noBBS)
			{
				window.location.href="/";
			}
			else
			{
				window.location.href="/bbs";
			}
		}
	});
}

//对指定名字的复选框执行反选
function checkAllChk(objName)
{
	var chk=document.getElementsByName(objName);
	if(chk)
	{
		for(i=0; i<chk.length; i++)
		{
			if(chk[i].checked)
			{
				chk[i].checked=false;
			}
			else
			{
				chk[i].checked=true;
			}
		}
	}
}

//设置指定名称、指定值的radio被选中，如不指定值，侧将指定名称radio的第一个元素设置为选中
function checkedRadio(radioName,radioValue)
{
	if(radioValue!="")
	{
		$("input[name="+radioName+"][value="+radioValue+"]").attr("checked",true);
	}
	else
	{
		$("input[name="+radioName+"]").get(0).checked=true;
	}
}

//选项卡切换
/*
	thisObj接收被点击对象，contentIdPre是每个label对应内容的id名称前缀，内容容器的ID取值应该是类似这样 id="label_0"——前缀加序号。labelCount接收label的个数。focusClass接收被点击label的class取值，blurClass接收未被选中label的clas取值。checkedNum接收当前被选中label的序号——从0开始
	注意：这里使用到的序号都是从0开始计数
*/
function labelReplace(thisObj,contentIdPre,labelCount,checkedNum,focusClass,blurClass)
{
	$(thisObj).show();
	try{
		for(i=0; i<labelCount; i++)
		{
			temp=contentIdPre+i;
			$("#"+temp).hide();
		}
	}
	catch(e){}
	$("#"+contentIdPre+checkedNum).show();
	focusClass?$("."+focusClass).removeClass(focusClass):"";
	blurClass?$("."+focusClass).addClass(blurClass):""
	blurClass?($(thisObj).removeClass(blurClass)):"";
	focusClass?($(thisObj).addClass(focusClass)):"";
}



//指定名称的复选框全选或反选
function selectAll(objName,option)
{
	if(objName)
	{
		var obj=document.getElementsByName(objName);
		if(obj)
		{
			if(option==0)//反选
			{
				for(i=0; i<obj.length; i++)
				{
					obj[i].checked=obj[i].checked?false:true;
				}
			}
			else//全选
			{
				for(i=0; i<obj.length; i++)
				{
					obj[i].checked=true;
				}

			}
		}
	}
}

//获取指定名称复选框的中被选中项的值的组合，以数组形式返回
function getCheckBoxValue(objName)
{
	var result=new Array();
	var temp="";
	if(isNull(objName))
	{
		return result;
	}
	var obj=document.getElementsByName(objName);
	if(obj)
	{
		for(i=0; i<obj.length; i++)
		{
			temp=obj[i].checked?obj[i].value:"";
			if(!isNull(temp))
			{
				result.push(temp);
			}
		}
		return result;
	}
	else
	{
		return result;	
	}
}

//检测用户选择的是否是图片文件，并给出提示到imgId容器中
function checkImage(obj,imgId){
	var imgList=new Array('jpg','png','gif','bmp');
	if(isNull(obj.value)){
		$("#"+imgId).html("请选择图片文件");
		return false;
	}else{
		var temp=(obj.value).substr(obj.value.length-3,3).toLowerCase();
		if(temp!=imgList[0] && temp!=imgList[1] && temp!=imgList[2] && temp!=imgList[3]){
			$("#"+imgId).html("请选择图片文件");
			$(obj).attr({"value":''});
			return false;
		}
	}
	$("#"+imgId).html("");
	return true;
}

//检测用户选择的是否是Excel文件，并给出提示到指定ID的容器中
function checkExcel(objId,xlsId){
	if(isNull($("#"+objId).val())){
		$("#"+xlsId).html("请选择Excel文件，并按指定格式输入数据。");
		return false;
	}else{
		var temp=($("#"+objId).val()).substr($("#"+objId).val().length-3,3).toLowerCase();
		if(temp!='xls'){
			$("#"+xlsId).html("请选择Excel文件，并按指定格式输入数据。"+temp);
			$("#"+objId).attr({"value":''});
			return false;
		}
	}
	$("#"+xlsId).html("");
	return true;
}

/*
	构造区域相关操作
*/
//选中省时获取市级地区，cityId、countyId市、县两级所在容器的ID值，areaId被选中省的ID，selectName、selectId新生成的市级SELECT的名称和ID，hiddenId存储被选中项的ID
function getProvince(areaId,cityId,countyId,selectName,selectId,hiddenId){
	if(!(/[a-z0-9]{1,20}/i).test(cityId) || !(/[a-z0-9]{1,20}/i).test(countyId) || !(/[1-9]{1}[0-10]{0,4}/i).test(areaId) || !(/[a-z0-9]{1,20}/i).test(selectName) || !(/[a-z0-9]{1,20}/i).test(selectId) || !(/[a-z0-9]/i).test(hiddenId)){
		return false;
	}
	$("#"+cityId).html('');
	$("#"+countyId).html('');
	td_ajaxGetContent('getAreaSelect',areaId,(selectName+":"+selectedId+":getCity(areaId,countyId,selectName,selectId,"+hiddenId+")"),'/fastoperation.php','post','html',true,cityId,0,false,'',true,300);
}

//数字转换成大写金额函数
function atoc(numberValue){
   
    numberValue = parseFloat(numberValue).toFixed(2);
 	var numberValue=new String(Math.round(numberValue*100)); // 数字金额
 	var chineseValue=""; // 转换后的汉字金额
 	var String1 = "零壹贰叁肆伍陆柒捌玖"; // 汉字数字
 	var String2 = "万仟佰拾亿仟佰拾万仟佰拾元角分"; // 对应单位
 	var len=numberValue.length; // numberValue 的字符串长度
 	var Ch1; // 数字的汉语读法
 	var Ch2; // 数字位的汉字读法
 	var nZero=0; // 用来计算连续的零值的个数
 	var String3; // 指定位置的数值
 	if(len>15){
		alert("超出计算范围");
		return "";
 	}
 	if (numberValue==0){
		chineseValue = "零元整";
		return chineseValue;
 	}

 	String2 = String2.substr(String2.length-len, len); // 取出对应位数的STRING2的值
 	for(var i=0; i<len; i++){
		String3 = parseInt(numberValue.substr(i, 1),10); // 取出需转换的某一位的值
		if ( i != (len - 3) && i != (len - 7) && i != (len - 11) && i !=(len - 15) ){
			if ( String3 == 0 ){
				Ch1 = "";
				Ch2 = "";
				nZero = nZero + 1;
 			}
		else if ( String3 != 0 && nZero != 0 ){
			Ch1 = "零" + String1.substr(String3, 1);
			Ch2 = String2.substr(i, 1);
			nZero = 0;
		}else{
			Ch1 = String1.substr(String3, 1);
			Ch2 = String2.substr(i, 1);
			nZero = 0;
 		}
	}
 else{ // 该位是万亿，亿，万，元位等关键位
 	if( String3 != 0 && nZero != 0 ){
 	Ch1 = "零" + String1.substr(String3, 1);
 	Ch2 = String2.substr(i, 1);
 	nZero = 0;
 }
 else if ( String3 != 0 && nZero == 0 ){
 	Ch1 = String1.substr(String3, 1);
 	Ch2 = String2.substr(i, 1);
 	nZero = 0;
 }
 else if( String3 == 0 && nZero >= 3 ){
 	Ch1 = "";
 	Ch2 = "";
 	nZero = nZero + 1;
 }
 else{
 	Ch1 = "";
 	Ch2 = String2.substr(i, 1);
 	nZero = nZero + 1;
 }
 if( i == (len - 11) || i == (len - 3)){ // 如果该位是亿位或元位，则必须写上
 	Ch2 = String2.substr(i, 1);
 }
 }
 	chineseValue = chineseValue + Ch1 + Ch2;
 }

 if ( String3 == 0 ){ // 最后一位（分）为0时，加上"整"
 	chineseValue = chineseValue + "整";
 }

 return chineseValue;
 }