<?php
$thisDir=str_replace("\\","/",dirname(__FILE__));
require("{$thisDir}/../common.inc.php");
if(isNull($td_online['userNick'])){
	td_require("index.htm");
}else{
	extract($_GET);
	td_require("header.htm");
	if($action=='showOperationLog'){//显示系统操作日志
		$actionTitle="系统关键操作日志";
		if($userObj->checkModuleOperation($td_online['userNick'],$moduleId=1,'audit')){
			$where=preg_match($zz_userNick,$userNick)?" where userNick='{$userNick}'":" where 1";
			$where.=!isNull($kw)?" and memo like '%{$kw}%'":'';
		}else{
			$where=" where userNick='{$td_online['userNick']}'";
		}
		$pageObj->query("select count(*) as aCount from {$td_config['pre']}journal {$where} order by id desc","{$page}",20,5,"*",false);
		td_require("/private/operationlog.htm");
	}else if($action=='myBase'){//显示个人基本资料
		$actionTitle="个人基本资料";
		$myBase=getone("select * from {$td_config['pre']}user where userNick='{$td_online['userNick']}'",false);
		extract($myBase);
		td_require("/private/mybase.htm");
	}else if($action=='editMyPassword'){//修改我的密码
		$actionTitle='修改我的密码';
		td_require("/private/editmypassword.htm");
	}else if($action=='myVisa'){//我的签呈申请
		$actionTitle="我的签呈申请";
		$where=" where userNick='{$td_online['userNick']}'";
		$where.=(!isset($status) || $status=='-1' || $status<0)?'':" and status={$status}";
		$where.=(isset($kw) && !isNull($kw))?" and title like '%{$kw}%'":'';
		$pageObj->query("select count(*) as aCount from {$td_config['pre']}visa {$where} order by id desc","{$page}",25,4,'*',false);
		td_require("/private/myvisa.htm");
	}else if($action=='listAsset'){//资产查询
		if($userObj->checkModuleOperation($td_online['userNick'],2,'list')){
			$actionTitle="资产查询";
			$where=" where 1";
			if(isset($schoolId) && is_numeric($schoolId) && (int)($schoolId)>0 && (!is_numeric($preUnit) || (int)($preUnit)<=0)){
				$unit=sys::getUnitBySid($adminUnit,$schoolId,false);
				if(is_array($unit)){
					$unitId='';
					foreach($unit as $u){
						$unitId.="{$u['id']},";
					}
					$unitId=trim($unitId,',');
					$where.=" and unitId in({$unitId})";
				}
			}
			$where.=(isset($preUnit) && (int)($preUnit)>0 && is_numeric($preUnit))?" and unitId={$preUnit}":'';
			$where.=(isset($no) && is_numeric($no))?" and no='{$no}'":'';
			$where.=(isset($assetName) && !isNull($assetName))?" and assetName='{$assetName}'":'';
			$pageObj->query("select count(*) as aCount from {$td_config['pre']}asset {$where} order by id desc","{$page}",20,5,"*",false);
			td_require("/private/assetlist.htm");
		}else{
			echo $td_msg[9];
		}
	}else if($action=='borrowInAsset'){//资产入管理
		if(!$userObj->checkModuleOperation($td_online['userNick'],2,'borrowIn')){
			$error=$td_msg[9];
		}else{
			$actionTitle="资产借入管理";
			$where=" where inUser='{$td_online['userNick']}'";
			$where.=(isset($no) && is_numeric($no))?" and no='{$no}'":'';
			$where.=(isset($assetName) && !isNull($assetName))?" and assetName='{$assetName}'":'';
			$where.=(!isset($status) || $status=='-1')?'':($status=='1'?" and outConfirm is not null and outConfirm<>'' and inConfirm is not null and inConfirm<>''":($status=='2'?" and ((outConfirm is null or outConfirm='') or (inConfirm is null or inConfirm=''))":" and(inConfirm is null or inConfirm='')"));
			
			$pageObj->query("select count(*) as aCount from {$td_config['pre']}borrow {$where} order by id desc","{$page}",20,5,"*",false);
			td_require("/private/borrowinasset.htm");
		}
	}else if($action=='borrowOutAsset'){//资产借出管理
		if(!$userObj->checkModuleOperation($td_online['userNick'],2,'borrowOut')){
			$error=$td_msg[9];
		}else{
			$actionTitle="资产借出管理";
			$where=" where 1";
			$where.=(isset($no) && is_numeric($no))?" and no='{$no}'":'';
			$where.=(isset($assetName) && !isNull($assetName))?" and assetName='{$assetName}'":'';
			$where.=(!isset($status) || $status=='-1')?'':($status=='1'?" and outConfirm is not null and outConfirm<>'' and inConfirm is not null and inConfirm<>''":($status=='2'?" and ((outConfirm is null or outConfirm='') or (inConfirm is null or inConfirm=''))":" and(outConfirm is null or outConfirm='')"));
			
			$pageObj->query("select count(*) as aCount from {$td_config['pre']}borrow {$where} order by id desc","{$page}",20,5,"*",false);
			td_require("/private/borrowoutasset.htm");
		}
	}else if($action=='addMyMenu'){//添加自定义菜单
		$actionTitle="管理自定义菜单命令";
		$pageObj->query("select count(*) as aCount from {$td_config['pre']}mymenu where userNick='{$td_online['userNick']}'","{$page}",10,4,"*",false);
		td_require("/private/addmymenu.htm");
	}else if($action=='listBook' || $action=='editBook'){//我的记事本
		$actionTitle='我的记事本';
		if($action=='editBook'){
			$book=getone("select * from {$td_config['pre']}book where id={$id} and userNick='{$td_online['userNick']}'",false);
			if(!is_array($book)){
				$content='指定的记事内容不存在，或记事内容不是你的。';
			}
		}
		$where=" where userNick='{$td_online['userNick']}'";
		$where.=(isset($bookType_2) && is_numeric($bookType_2))?" and typeId={$bookType_2}":'';
		$where.=(isset($fromDate) && preg_match($zz_date,$fromDate))?" and date_format(inTime,'%Y-%m-%d')>='{$fromDate}'":'';
		$where.=(isset($toDate) && preg_match($zz_date,$toDate))?" and date_format(inTime,'%Y-%m-%d')<='{$toDate}'":'';
		$where.=(isset($kw) && !isNull($kw))?" and title like '%{$kw}%'":'';
		$pageObj->query("select count(*) as aCount from {$td_config['pre']}book {$where} order by id desc","{$page}",25,4,"*",false);
		td_require("/private/listbook.htm");
	}else if($action=='listLetter'){//我的信件
		$actionTitle='我的信件';
		$where=" where forUserNick='{$td_online['userNick']}'";
		$where.=(isset($kw) && !isNull($kw))?" and title like '%{$kw}%'":'';
		$where.=(isset($status) && is_numeric($status) && $status!='-1')?" and status={$status}":'';
		$pageObj->query("select count(*) as aCount from {$td_config['pre']}letter {$where} order by id desc","{$page}",25,4,"*",false);
		td_require("/private/listletter.htm");
	}else if($action=='notice'){//学校通知
		$actionTitle='学校通知';
		$where=" where (schoolId=0 or schoolId={$td_online['schoolId']})";
		$where.=(isset($kw) && !isNull($kw))?" and title like '%{$kw}%'":'';
		$pageObj->query("select count(*) as aCount from {$td_config['pre']}notice {$where} order by id desc","{$page}",25,4,"*",false);
		td_require("/private/notice.htm");
	}
	td_require("footer.htm");
}
?>