<?php
$thisDir=str_replace('\\','/',dirname(__FILE__));
header("content-type:text/html; charset=utf-8");
$moduleId=4;
require("{$thisDir}/../common.inc.php");
extract($_GET);

$error='';

if(!isNull($action) && !$userObj->checkModuleOperation($td_online['userNick'],$moduleId,$action)){
	exit("你没有指定模块指定管理方式{$action}的管理权限");
}
/*
	正常学生的状态：1,6,8,9,11,12,13
*/
$stuStatus=array('预报名','正常','老生退学','新生退学','毕业','休学','调班','转学','退学后报到','未交费进班','已报到因病请长假','改名','插班生','请假');
if($action=='listStu' && $toExcel=='1'){
	if(!isset($schoolId)){
		$schoolId=$td_online['schoolId'];
	}else{
		$schoolId=($userObj->kxAdmin() && isset($schoolId) && is_numeric($schoolId) && $schoolId>0)?$schoolId:-1;
	}
	$schoolId=(isset($schoolId) && is_numeric($schoolId))?intval($schoolId):-1;
	$gradeId=(isset($gradeId) && is_numeric($gradeId))?intval($gradeId):-1;
	$classId=(isset($classId) && is_numeric($classId))?intval($classId):-1;
	$where=($status=='-1' || !isset($status) || !is_numeric($status))?' where 1':" where status={$status}";
	$where.=$schoolId>0?" and schoolId={$schoolId}":'';
	$where.=$gradeId>0?" and gradeId={$gradeId}":'';
	$where.=$classId>=0?" and classId={$classId}":'';
	$where.=(isset($sNo) && !isNull($sNo))?" and sNo='{$sNo}'":'';
	$where.=(isset($sName) && !isNull($sName))?" and sName='{$sName}'":'';
	$where.=(isset($noClass) && $noClass=='1')?" and (classId=0 || isNull(classId))":'';
	$where.=(isset($startDate) && preg_match($zz_date,$startDate))?" and date_format(editTime,'%Y-%m-%d')>='{$startDate}'":'';
	$where.=(isset($endDate) && preg_match($zz_date,$endDate))?" and date_format(editTime,'%Y-%m-%d')<='{$endDate}'":'';
	
	$startNo=(!is_numeric($startNo) || $startNo<1)?1:(int)($startNo);
	$endNo=(!is_numeric($endNo) || $endNo<1 || $endNo<=$startNo)?$startNo+1000:(int)($endNo);
	$endNo=$endNo-$startNo>1000?$startNo+1000:$endNo;
	$startNo--;
	$endNo--;
	$sql="select status as 状态,sNo as 学号,sName as 姓名,idCard as 身份证,sex as 性别,birthday as 出生日期,ethnic as 民族,zzmm as 政治面貌,hometown as 籍贯,hkd as 户口,rxrq as 入学日期,schoolId as 学校,gradeId as 年级,classId as 班级,address as 联系地址,telephone as 电话,mobile as 手机,siteBus as 是否乘坐校车,areaId as 居住地,bus as 校车牌号,father as 父亲姓名,fTel as 父亲联系电话,mather as 母亲姓名,mTel as 母亲联系电话,memo as 备注 from {$td_config['pre']}{$module['tableName']} {$where} order by id desc limit {$startNo},{$endNo}";
	exportExcel($sql,"状态说明：0预报名,1正常,2老生退学,3新生退学,4毕业,5闲学,6调班,7'转学,8退学后报到,9未交费进班,10已报到因病请长假,11改名,12插班生,13'请假'");
	exit();
}else if($action=='jszstj' && $toExcel=='1'){
	$tWhere=" where a.status=1";
    $tWhere.=(isset($schoolId) && is_numeric($schoolId) && (int)($schoolId)>0)?" and a.schoolId={$schoolId}":'';
    $tWhere.=(isset($zsls) && !isNull($zsls))?" and a.userNick='{$zsls}'":'';
	//$sql="select schoolId as 学校,userNick as 工号,userName as 姓名, count(*) as 招生人数 from (select a.userNick,a.userName,a.schoolId,a.unitId,b.sNo,b.sName,b.zsls,b.rxrq from {$td_config['pre']}teachers as a left join (select count(*) as aCount,zsls from {$td_config['pre']}student group by zsls) as b on a.userNick=b.zsls {$tWhere} and b.rxrq>='{$startDate}' and b.rxrq<='{$endDate}') as temp_table group by userNick order by userNick";
	$sql="select a.schoolId as 学校,a.userNick as 工号,a.userName as 姓名,b.aCount as 招生人数 from {$td_config['pre']}teachers as a left join (select count(*) as aCount,zsls,rxrq from {$td_config['pre']}student where rxrq>='{$startDate}' and rxrq<='{$endDate}' group by zsls) as b on a.userNick=b.zsls {$tWhere}";
	//$query->query($sql,1,true);
	exportExcel($sql);
	exit();
}
td_require("header.htm");
if($action=='addStu' || $action=='editStu'){//添加、编辑学生
	$actionTitle=$action=='addStu'?"添加新学生":'编辑学生';
	if($action=='editStu'){
		if(!is_numeric($id)){
			echo $td_msg[42];
		}else{
			$row=getone("select * from {$td_config['pre']}{$module['tableName']} where id={$id}",false);
			if(!is_array($row)){
				echo '指定的学生不存在';
			}else{
				extract($row);
				td_require("/{$module['path']}/addstu.htm");
			}
		}
	}else{
		td_require("/{$module['path']}/addstu.htm");
	}
}else if($action=='listStu'){//查询学生
	$actionTitle="学生查询";
	if(!isset($schoolId)){
		$schoolId=$td_online['schoolId'];
	}else{
		$schoolId=($userObj->kxAdmin() && isset($schoolId) && is_numeric($schoolId) && $schoolId>0)?$schoolId:-1;
	}
	$schoolId=(isset($schoolId) && is_numeric($schoolId))?intval($schoolId):-1;
	$gradeId=(isset($gradeId) && is_numeric($gradeId))?intval($gradeId):-1;
	$classId=(isset($classId) && is_numeric($classId))?intval($classId):-1;
	$where=($status=='-1' || !isset($status) || !is_numeric($status))?' where 1':" where status={$status}";
	$where.=$schoolId>0?" and schoolId={$schoolId}":'';
	$where.=$gradeId>0?" and gradeId={$gradeId}":'';
	$where.=$classId>=0?" and classId={$classId}":'';
	$where.=(isset($sNo) && !isNull($sNo))?" and sNo='{$sNo}'":'';
	$where.=(isset($sName) && !isNull($sName))?" and sName='{$sName}'":'';
	$where.=(isset($noClass) && $noClass=='1')?" and (classId=0 || isNull(classId))":'';
	$where.=(isset($startDate) && preg_match($zz_date,$startDate))?" and date_format(editTime,'%Y-%m-%d')>='{$startDate}'":'';
	$where.=(isset($endDate) && preg_match($zz_date,$endDate))?" and date_format(editTime,'%Y-%m-%d')<='{$endDate}'":'';
	$sql="select count(*) as aCount from {$td_config['pre']}{$module['tableName']} {$where} order by id desc";
	$pageObj->query($sql,"{$page}",25,4,"*",true);
	td_require("/{$module['path']}/liststu.htm");
}else if($action=='stuTiaoBan'){
	$actionTitle="手动调班";
	td_require("/{$module['path']}/stutiaoban.htm");
}else if($action=='listStuSumTo'){
	$actionTitle="学生人数上报";
	td_require("/{$module['path']}/liststusumto.htm");
}else if($action=='listStuCount'){//学生统计
	$actionTitle="学生统计";
	$schoolId=($userObj->kxAdmin() && isset($schoolId) && is_numeric($schoolId) && $schoolId>0)?$schoolId:($userObj->kxAdmin()?'-1':$td_online['schoolId']);
	$st=array('按学校统计','按年级统计','按班级统计');
	td_require("/{$module['path']}/liststucount.htm");
}else if($action=='showStu'){//显示学生的详细信息
	$actionTitle="学生查询";
	if(!is_numeric($id)){
		echo $td_msg[42];
	}else{
		$row=getone("select * from {$td_config['pre']}{$module['tableName']} where id={$id}",false);
		if(!is_array($row)){
			echo '指定的学生不存在';
		}else{
			extract($row);
			td_require("/{$module['path']}/showstu.htm");
		}
	}
}else if($action=='jszstjSet'){//招生参数配置
	$actionTitle="招生参数配置";
	td_require("/{$module['path']}/jszstjset.htm");
}else if($action=='jszstj'){//教师招生统计
	$actionTitle="教师招生统计";
	if(isset($startDate) && td_check_date($startDate) && isset($endDate) && td_check_date($endDate)){
		$where=" where zsls<>'' and rxrq>='{$startDate}' and rxrq<='{$endDate}'";
	}
	td_require("/{$module['path']}/jszstj.htm");
}else if($action=='qrStuTx'){//确认学生退学、开除、闲学，主要是退生活费使用
	$actionTitle="确认学生退学";
	$status=(isset($status) && is_array($status))?$status:'';
	$schoolId=(isset($schoolId) && is_numeric($schoolId) && $schoolId>0)?$schoolId:($td_online['schoolId']>0?$td_online['schoolId']:-1);
	$where=' where 1';
	if(is_array($status)){
		$where.=" and(";
		foreach($status as $s){
			$where.="statusAfter={$s} or ";
		}
		$where=trim($where,'or ').')';
	}
	$where.=(isset($schoolId) && is_numeric($schoolId) && $schoolId>0)?" and schoolId={$schoolId}":'';
	$where.=(isset($gradeId) && is_numeric($gradeId) && $gradeId>0)?" and gradeId={$gradeId}":'';
	$where.=(isset($classId) && is_numeric($classId) && $classId>=0)?" and classId={$classId}":'';
	$where.=(isset($sNo) && !isNull($sNo))?" and sNo='{$sNo}'":'';
	$where.=(isset($sName) && !isNull($sName))?" and sName='{$sName}'":'';
	$pageObj->query("select count(*) as aCount from {$td_config['pre']}stustatus {$where} order by id desc","{$page}",25,4,'*',false);
	td_require("/{$module['path']}/qrstutx.htm");
}else if($action=='listStuStatusList'){//学生变动情况报表
	$actionTitle='学生变动情况报表';
	if(!isset($mode)){
		$where=" where 1";
		$where.=(isset($status) && is_numeric($status) && $status!='-1')?" and status={$status}":'';
		$where.=(isset($sNo) && !isNull($sNo))?" and sNo='{$sNo}'":'';
		$where.=(isset($sName) && !isNull($sName))?" and sName='{$sName}'":'';
		$where.=(isset($confirm) && is_numeric($confirm) && $confirm!='-1')?($confirm=='0'?" and txzr is not null and txxz is not null and txshls is not null":" and (txzr is null or txxz is null or txshls is null)"):'';
		$where.=(isset($schoolId) && is_numeric($schoolId) && $schoolId!='-1')?" and schoolId={$schoolId}":'';
		$where.=(isset($gradeId) && is_numeric($gradeId) && $gradeId!='-1')?" and gradeId={$gradeId}":'';
		$where.=(isset($classId) && is_numeric($classId) && $classId!='-1')?" and classId={$classId}":'';
		$where.=(isset($startDate) && td_check_date($startDate))?" and inTime>='{$startDate} 00:00:00'":'';
		$where.=(isset($endDate) && td_check_date($endDate))?" and inTime<='{$endDate} 23:59:59'":'';
		$sql="select count(*) as aCount from {$td_config['pre']}stustatus {$where} order by id desc";
		$pageObj->query($sql,"{$page}",25,5,'*',false);
	}
	td_require("/{$module['path']}/liststustatuslist.htm");
}else if($action=='ssManageAdd'){//添加宿舍
	$actionTitle='添加宿舍';
	td_require("/{$module['path']}/ssmanageadd.htm");
}else if($action=='ssManageList'){//宿舍管理
	$actionTitle='宿舍管理';
	$where.=" where 1";
	$where.=(isset($schoolId) && is_numeric($schoolId) && (int)($schoolId)>0)?" and schoolId={$schoolId}":'';
	$where.=(isset($gradeId) && is_numeric($gradeId) && (int)($gradeId)>0)?" and gradeId={$gradeId}":'';
	$where.=(isset($classId) && is_numeric($classId) && (int)($classId)>=0)?" and classId={$classId}":'';
	$where.=(isset($roomNo) && !isNull($roomNo))?" and roomNo='{$roomNo}'":'';
	$where.=(isset($floorName) && !isNull($floorName))?" and floorName='{$floorName}'":'';
	$where.=(isset($isFull) && is_numeric($isFull) && (int)($isFull)>0)?((int)($isFull)==1?" and sumAll=stuSum":" and sumAll>stuSum"):'';
	$pageObj->query("select count(*) as aCount from {$td_config['pre']}ss {$where} order by id desc","{$page}",25,5,'*',false);
	td_require("/{$module['path']}/ssmanagelist.htm");
}else if($action=='ssManageEdit'){//编辑宿舍信息
	$actionTitle=='编辑宿舍信息';
	if(!is_numeric($id)){
		$error=$td_msg[42];
	}else{
		$row=getone("select * from {$td_config['pre']}ss where id={$id}",false);
		if(!is_array($row)){
			$error='指定的宿舍不存在';
		}else{
			td_require("/{$module['path']}/ssmanageadd.htm");
		}
	}
	if(!isNull($error)){
		echo"<center><br />{$error}</center>";
	}
}else if($action=='manageBusReg'){//校车注册
	$actionTitle="校车注册";
	$where=" where 1";
	$where.=(isset($busNo) && !isNull($busNo) && mb_strlen($busNo,$td_config['charset'])==7)?" and busNo='{$busNo}'":'';
	$where.=(isset($areaId) && is_numeric($areaId))?" and areaList like '%,{$areaId},'":'';
	
	$pageObj->query("select count(*) as aCount from {$td_config['pre']}bus {$where} order by orderId asc,id desc","{$page}",15,4,'*',false);
	td_require("/{$module['path']}/managebusreg.htm");
}else if($action=='manageBusStu'){//学生分车
	$actionTitle="学生分车";
	$pageObj->query("select count(*) as aCount from {$td_config['pre']}bus order by orderId asc,id desc","{$page}",15,4,'*',false);
	td_require("/{$module['path']}/managebusstu.htm");
}else if($action=='manageBusList'){//分车信息查询
	$actionTitle="分车信息查询";
	set_time_limit(0);
	if(!isset($busNo) || isNull($busNo)){
		$busList=query("select * from {$td_config['pre']}bus",false);
		$pageObj->query("select count(*) as aCount from {$td_config['pre']}bus","{$page}",10,4,"*",false);
	}else{
		$busList=query("select * from {$td_config['pre']}bus where busNo='{$busNo}'",false);
		$pageObj->query("select count(*) as aCount from {$td_config['pre']}bus where busNo='{$busNo}'","{$page}",10,4,"*",false);
	}
	td_require("/{$module['path']}/managebuslist.htm");
}else{
	td_require("/{$module['path']}/index.htm");
}
td_require("footer.htm");
?>