<?php
header("content-type:text/html; charset=utf-8");
$thisDir=str_replace("\\",'/',dirname(__FILE__));
$moduleId=1;
require("{$thisDir}/../common.inc.php");
extract($_POST);
$error='';
if(!isNull($action) && !$userObj->checkModuleOperation($td_online['userNick'],$moduleId,$action)){
	exit("你没有系统模块的管理权限");
}
if(!$userObj->checkModuleOperation($td_online['userNick'],$moduleId,$action)){
	exit("你没有指定模块指定管理方式的管理权限");
}else if(strcasecmp($action,'addManager')==0 && strcasecmp($td_online['userNick'],'admin')!=0){
	exit("你执行的操作只有ADMIN有管理权限");
}else if($action=='checkUserNick'){//检测新的管理员账号是否已经存在
	if(isNull($v)){
		$error='请输入新管理员的登录账号';
	}else if($userObj->existsUserNick($v)){
		$error='指定的账号已经被其他人使用';
	}else{
		$error='此账号可以使用';
	}
	exit($error);
}else if($action=='addManage' || $action=='editAdmin'){
	if($action=='addManage' && $userObj->existsUserNick($userNick)){
		$error='管理员的登录账号不合法';
	}else if($action=='addManage' && !preg_match($zz_password,$pw_1)){
		$error='管理员的登录密码设置不合法';
	}else if($action=='addManage' && $pw_1!=$pw_2){
		$error='两次输入的管理员登录密码不一致';
	}else if($action=='addManage' && !preg_match($zz_password,$badge_1)){
		$error='管理员的签章密码设置不合法';
	}else if($action=='addManage' && $badge_1!=$badge_2){
		$error='两次输入的新管理签章密码不一致';
	}else if(isNull($userName)){
		$error='未输入管理员的姓名';
	}else if(!isset($kxAdmin) || ($kxAdmin!='1' && $kxAdmin!='2')){
		$error='请选择当前的管理员是否有跨学校管理的权限';
	}else{
		$schoolId=!is_numeric($schoolId)?0:(int)($schoolId);
		$preUnit=!is_numeric($preUnit)?0:(int)($preUnit);
		$positionId=!is_numeric($positionId)?0:(int)($positionId);
		$photo=uploadImage("photo","","/userheader");
		$photo=is_array($photo)?$photo[0]:'';
		$kxList=$kxAdmin=='1'?'1':'0';
		if($action=='addManage'){
			$privateKey=fileName(8);
			$pw=md5($pw_1.$privateKey);
			$bw=md5($badge_1.$privateKey);
			myupdate("insert into {$td_config['pre']}user(status,kxList,schoolId,unitId,positionId,userNick,privateKey,password,badge,isAdmin,userName,image,loginCount,registTime) values(1,{$kxList},{$schoolId},{$preUnit},{$positionId},'{$userNick}','{$privateKey}','{$pw}','{$bw}',0,'{$userName}','{$photo}',0,'{$td_config['dateTime']}')");
			$error=mysql_errno()?$td_msg[7]:$td_msg[30];
		}else if(!preg_match($zz_userNick,$userNick)){
			$error='账号不存在';
		}else if(!isNull($pw_1) && !preg_match($zz_password,$pw_1)){
			$error='您选择了要修改指定管理员的密码，但此密码不符合使用规则。';
		}else if($pw_1 != $pw_2){
			$error='两次输入的管理员密码不一致';
		}else{
			$row=getone("select * from {$td_config['pre']}user where userNick='{$id}'",false);
			if(!is_array($row)){
				$error='指定的管理员账号不存在';
			}else{
				$pw=isNull($pw_1)?$row['password']:md5($pw_1.$row['privateKey']);
				$photo=isNull($photo)?$row['image']:$photo;
				$sql="update {$td_config['pre']}user set kxList={$kxList},schoolId={$schoolId},unitId={$preUnit},positionId={$positionId},password='{$pw}',userName='{$userName}',image='{$photo}' where userNick='{$id}'";
				myupdate($sql);
				$error=mysql_errno()?$td_msg[7]:$td_msg[30];
			}
		}
	}
	parentUrlGo('',$error);
}else if($action=='editModuleName'){//编辑模块名称
	$v=strtolower($v);
	if(!preg_match("/[^\s]/",$v) || mb_strlen($v,$td_config['charset'])==0 || mb_strlen($v,$td_config['charset'])>20){
		$error=$td_msg[0];
	}else if(!is_numeric($id)){
		$error=$td_msg[41];
	}else{
		$module=module::getModule($moduleList,$id);
		if(!is_array($module)){
			$error=$td_msg[61];
		}else{
			myupdate("update {$td_config['pre']}module set moduleName='{$v}' where id={$id}");
			$error=mysql_errno()?$td_msg[7]:$td_msg[30];
			if(!mysql_errno()){
				refreshCache("module");
			}
		}
	}
	journalIn("编辑模块{$id}的名称为{$v}。操作结果：{$error}");
	exit($error);
}else if($action=='editModulePath'){//编辑模块路径
	$v=strtolower($v);
	if(!preg_match("/^[a-z]{1,20}$/",$v)){
		$error=$td_msg[0];
	}else if(!is_numeric($id)){
		$error=$td_msg[41];
	}else{
		$module=module::getModule($moduleList,$id);
		if(!is_array($module)){
			$error=$td_msg[61];
		}else{
			myupdate("update {$td_config['pre']}module set path='{$v}' where id={$id}");
			$error=mysql_errno()?$td_msg[7]:$td_msg[30];
			if(!mysql_errno()){
				refreshCache("module");
			}
		}
	}
	journalIn("编辑模块{$id}的可用访问路径为{$v}。操作结果：{$error}");
	exit($error);
}else if($action=='editModuleTableName'){//编辑模块所在数据表名称
	$v=strtolower($v);
	if(!preg_match("/^[a-z]{1,20}$/",$v)){
		$error=$td_msg[0];
	}else if(!is_numeric($id)){
		$error=$td_msg[41];
	}else{
		$module=module::getModule($moduleList,$id);
		if(!is_array($module)){
			$error=$td_msg[61];
		}else{
			myupdate("update {$td_config['pre']}module set tableName='{$v}' where id={$id}");
			$error=mysql_errno()?$td_msg[7]:$td_msg[30];
			if(!mysql_errno()){
				refreshCache("module");
			}
		}
	}
	journalIn("编辑模块{$id}的数据表名称为{$v}。操作结果：{$error}");
	exit($error);
}else if($action=='editModuleOpArray'){//编辑模块可用的操作权限数组
	if(isNull($v) || !is_numeric($id)){
		$error=$td_msg[0];
	}elseif(mb_strlen($v,$td_config['charset'])>500){
		$error='权限数组配置超出500字符限制，请精减后再保存。';
	}else{
		$row=getone("select * from {$td_config['pre']}oparray where moduleId={$id}",false);
		if(is_array($row)){
			myupdate("update {$td_config['pre']}oparray set opArray='{$v}',userNick='{$td_online['userNick']}',editTime='{$td_config['dateTime']}',ip='{$td_config['ip']}' where moduleId={$id}");
		}else{
			myupdate("insert into {$td_config['pre']}oparray(moduleId,opArray,userNick,editTime,ip) values({$id},'{$v}','{$td_online['userNick']}','{$td_config['dateTime']}','{$td_config['ip']}')");
		}
		$error=mysql_errno()?$td_msg[7]:$td_msg[30];
		refreshCache("oparray");
	}
	journalIn("编辑模块{$id}的可用操作权限数组。操作结果：{$error}");
	exit($error);
}else if($action=='editModuleImage'){//编辑模块标识图片
	$v=strtolower($v);
	if(!preg_match("/^[a-z]{1,20}\.(jpg)|(png)|(bmp)|(gif)$/",$v)){
		$error=$td_msg[0];
	}else if(!is_numeric($id)){
		$error=$td_msg[41];
	}else{
		$module=module::getModule($moduleList,$id);
		if(!is_array($module)){
			$error=$td_msg[61];
		}else{
			myupdate("update {$td_config['pre']}module set image='{$v}' where id={$id}");
			$error=mysql_errno()?$td_msg[7]:$td_msg[30];
			if(!mysql_errno()){
				refreshCache("module");
			}
		}
	}
	exit($error);
}else if($action=='editSchool'){//编辑学校名称
	$v=str_replace(array(' ','　','\r\n'),array('','',''),strtolower($v));
	if(mb_strlen($v,$td_config['charset'])==0 || mb_strlen($v,$td_config['charset'])>20){
		$error=$td_msg[0];
	}else if(!is_numeric($id)){
		$error=$td_msg[41];
	}else{
		$school=sys::getSchool($schoolList,$id);
		if(!is_array($school)){
			$error=$td_msg[61];
		}else{
			myupdate("update {$td_config['pre']}school set school='{$v}' where id={$id}");
			$error=mysql_errno()?$td_msg[7]:$td_msg[30];
			if(!mysql_errno()){
				refreshCache("school");
			}
		}
	}
	journalIn("ID为{$id}的学校，改名为{$v}。操作结果：{$error}");
	exit($error);
}else if($action=='addSchool'){//添加新学校
	$v=str_replace(array(' ','　','\r\n'),array('','',''),strtolower($v));
	if(mb_strlen($v,$td_config['charset'])==0 || mb_strlen($v,$td_config['charset'])>20){
		$error=$td_msg[0].$v.mb_strlen($v,$td_config['charset']);
	}else{
		$school=sys::checkSchool($schoolList,$v);
		if(sys::checkSchool($schoolList,$v)){
			$error=$td_msg[62];
		}else{
			myupdate("insert into {$td_config['pre']}school(school) values('{$v}')");
			$error=mysql_errno()?$td_msg[7]:$td_msg[30];
			if(!mysql_errno()){
				refreshCache("school");
			}
		}
	}
	journalIn("添加名称为{$v}的新学校。操作结果：{$error}");
	exit($error);
}else if($action=='saveEditGrade'){//编辑指定学校开设的年级
	$school=sys::getSchool($schoolList,$id,true);
	if($school==false){
		$error="指定的学校不存在";
	}else{
		$v=trim($v,",");
		$sql="delete from {$td_config['pre']}grade where schoolId={$id}";
		myupdate($sql);
		if(!isNull($v)){
			$v=explode(",",$v);
			foreach($v as $t){
				if(is_numeric($t) && (int)($t)>=0){
					$g=(int)($t);
					$sql="insert into {$td_config['pre']}grade(schoolId,gradeId) values({$id},{$g})";
					myupdate($sql);
				}
			}
		}
		$error=$td_msg[30];
	}
	refreshCache("grade");
	exit($error);
}else if($action==='setGradeNameForEditGrade'){
	if(!is_numeric($id)){
		$error=$msg[0];
	}else{
		$sql="select * from {$td_config['pre']}grade where schoolId={$id}";
		$query->query($sql,false);
		if(!is_array($query->row) || count($query->row)==0){
			$error="当前学校没有设置年级";
		}else{
			$error="";
			$input='';
			foreach($query->row as $key=>$v){
				$input.="{$v['gradeId']}年级&nbsp;&nbsp;名称：<input type=\"text\" name=\"{$v['id']}\" id=\"objId_{$v['id']}\" value=\"{$v['gradeName']}\" size=\"20\" maxlength=\"20\" /><br /><br />";
			}
			$input.="<center><input type=\"button\" name=\"saveGradeName\" value=\"保存修改\" onClick=\"fastOperation('saveEditGradeName','{$id}','');\" /></center>";
			echo<<<html
			<form name="form2">
			  {$input}
			</form>
html;
		}
	}
	exit($error);
}else if($action==='saveEditGradeName'){
	if(!is_numeric($id)){
		$error=$msg[0];
	}else{
		$grade=$teachObj->getGradeList($id,'');
		if(!is_array($grade) || count($grade)==0){
			$error="当前学校没有设置年级";
		}else{
			$sql="";
			foreach($v as $key=>$value){
				$sql.="update {$td_config['pre']}grade set gradeName='{$value['value']}' where id={$value['name']};";
			}
			$error=myupdate($sql)==false?"保存失败":"保存成功";
		}
	}
	refreshCache("grade");
	exit($error);
}else if($action=='getGradeClassSet'){//输出班级配置界面
	if(v=='-1'){
		$error=$td_msg[0];
	}else{
		$grade=query("select * from {$td_config['pre']}grade where schoolId={$v} order by gradeId asc",false);
		if(!is_array($grade) || count($grade)==0){
			$error="请先配置当前学校开设的年级";
		}else{
			$startYear=(int)(date("Y"))-2;
			$endYear=(int)(date("Y"))+1;
			echo<<<html
			<iframe name="submitFrame" src="" style="display:none;"></iframe>
			<form name="form1" target="submitFrame" action="fastoperation.php" method="post">
			<input type="hidden" name="action" value="listClassSave" />
			<input type="hidden" name="mark" value="1" />
			<input type="hidden" name="school" value="{$v}" />
html;
			$class=query("select * from {$td_config['pre']}class where schoolId={$v}",false);
			foreach($grade as $g){
				$cSum=0;
				foreach($class as $c){
					if($c['gradeId']==$g['gradeId']){
						$cSum=$c['classSum'];
						break;
					}
				}
				$gradeName=isNull($g['gradeName'])?$td_config['chNumber'][$g['gradeId']]:$g['gradeName'];
				echo<<<html
				{$gradeName}&nbsp;年级&nbsp;&nbsp;班级数量：<input type="text" name="class_{$g['gradeId']}" size="6" maxlength="3" value="{$cSum}" />&nbsp;&nbsp;<br />
html;
			}
			echo<<<html
			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type="submit" name="saveClassSum" id="saveClassSum" value=" 保 存 " /><br />
			</form>
html;
		}
	}
}else if($action=='listClassSave'){//保存新的班级配置
	if(!is_numeric($school)){
		$error=$td_msg[0];
	}else{
		$grade=query("select * from {$td_config['pre']}grade where schoolId={$school} order by gradeId asc",false);
		if(!is_array($grade) || count($grade)==0){
			$error="请先配置当前学校开设的年级";
		}else{
			$success=$fail=0;
			foreach($grade as $g){
				$sql="select * from {$td_config['pre']}class where schoolId={$school} and gradeId={$g['gradeId']}";
				$row=getone($sql,false);
				$temp='class_'.$g['gradeId'];
				$classSum=$$temp;
				$classSum=(!is_numeric($classSum) || (int)($classSum)<=0)?0:(int)($classSum);
				if(is_array($row)){
					$sql="update {$td_config['pre']}class set classSum={$classSum} where schoolId={$school} and gradeId={$g['gradeId']}";
				}else{
					$sql="insert into {$td_config['pre']}class(schoolId,gradeId,xnd,xq,classSum) values({$school},{$g['gradeId']},'',0,{$classSum})";
				}
				myupdate($sql);
				if(mysql_errno()){
					$error.="{$g['gradeId']}年级数据保存失败".$sql;
					$fail++;
				}else{
					$success++;
				}
			}
		}
	}
	parentUrlGo('',$error."成功保存{$success}条数据，失败{$fail}条数据。");
}else if($action=='addAdminUnit'){//添加新部门
	if(isNull($v)){
		$error=$td_msg[0];
	}else{
		$v=explode(',',$v);
		$v[1]=!is_numeric($v[1])?0:(int)($v[1]);
		$v[1]=$v[1]<1?0:$v[1];
		if(!is_array(sys::getSchool($schoolList,$v[0]))){
			$error=$td_msg[44];
		}else if($v[1]>0 && !is_array(sys::getUnit($adminUnit,$v[1]))){
			$error=$td_msg[60];
		}else if(isNull(str_replace(array(" ","　"),'',$v[2]))){
			$error='请填写新部门名称后再保存';
		}else{
			$existsUnit=sys::getUnitBySid($adminUnit,$v[0]);
			if(is_array($existsUnit)){
				foreach($existsUnit as $e){
					if($e['unitName']==$v[2]){
						exit(sys::getSchool($schoolList,$v[0],true).'已经存在'.$v[2].'部门');
					}
				}
			}
			$id=myupdate("insert into {$td_config['pre']}adminunit(schoolId,unitName,parentId,subId) values({$v[0]},'{$v[2]}',{$v[1]},'')");
			if(mysql_errno()){
				$error=$td_msg[7];
			}else{
				if($v[1]){
					//处理部门从属关系
					$parent=sys::getParentUnit($adminUnit,$v[1]);
					$temp='';
					if(is_array($parent)){
						foreach($parent as $p){
							$temp.=$p['id'].',';
						}
					}
					$temp=trim($temp.$v[1]);
					myupdate("update {$td_config['pre']}adminunit set subId=concat_ws(',',subId,'{$id},') where id in({$temp})");
					myupdate("update {$td_config['pre']}adminunit set subId=replace(subId,',,',',')");
				}
				refreshCache('adminunit');
				$error=$td_msg[30];
			}
		}
	}
	journalIn("添加ID为{$id}的新部门，名称{$v[2]}，所属学校{$v[0]}，上级部门{$v[1]}。操作结果：{$error}");
	exit($error);
}else if($action=='editUnitName'){//编辑部门名称
	if(!is_numeric($id) || isNull(str_replace(array(' ','　'),array('',''),$v))){
		$error=$td_msg[0];
	}else{
		$v=str_replace(array(' ','　'),array('',''),$v);
		$v=mb_substr($v,0,20,$td_config['charset']);
		myupdate("update {$td_config['pre']}adminunit set unitName='{$v}' where id={$id}");
		if(mysql_errno()){
			$error=$td_msg[7];
		}else{
			refreshCache('adminunit');
			$error=$td_msg[30];
		}
	}
	journalIn("修改ID为{$id}的部门的名称，新名称{$v}。操作结果：{$error}");
	exit($error);
}else if($action=='editUnitSchool'){//修改部门所属学校
	if(!is_numeric($id) || !is_numeric($v)){
		$error=$td_msg[0];
	}else if(sys::getSchool($schoolList,$v)==false){
		$error=$td_msg[44];
	}else if(sys::getUnit($adminUnit,$id)==false){
		$error=$td_msg[60];
	}else{
		$thisUnit=sys::getUnit($adminUnit,$id);
		$subId=trim($thisUnit['subId'],',');
		$sId=$id;
		//如果有子部门，则连同子部门一起修改
		if(!isNull($subId)){
			$subId=explode(',',$subId);
			foreach($subId as $s){
				$sId.=','.$s['id'];
				myupdate("update {$td_config['pre']}adminunit set subId=replace(subId,',{$s['id']},',',') where subId like '%,{$id},%");
			}
		}
		myupdate("update {$td_config['pre']}adminunit set subId=replace(subId,',{$id},',',')");
		myupdate("update {$td_config['pre']}adminunit set schoolId={$v} where id in({$sId})");
		myupdate("update {$td_config['pre']}adminunit set parentId=0 where id={$id}");
		if(mysql_errno()){
			$error=$td_msg[7];
		}else{
			refreshCache('adminunit');
			$error=$td_msg[30];
		}
	}
	journalIn("修改ID为{$id}的部门的所属学校为{$v}{$thisUnit['unitName']}。操作结果：{$error}");
	exit($error);
}else if($action=='deleteUnit'){//删除指定的部门
	if(!is_numeric($id)){
		$error=$td_msg[0];
	}else{
		$thisUnit=sys::getUnit($adminUnit,$id);
		if(!is_array($thisUnit)){
			$error=$td_msg[60];
		}else{
			myupdate("delete from {$td_config['pre']}adminunit where id={$id}");
			myupdate("update {$td_config['pre']}adminunit set subId=replace(subId,',{$id},',',')");
			myupdate("update {$td_config['pre']}adminunit set parentId={$thisUnit['parentId']} where parentId={$id}");
			if(mysql_errno()){
				$error=$td_msg[7];
			}else{
				refreshCache('adminunit');
				$error=$td_msg[30];
			}
		}
	}
	journalIn("删除ID为{$id}的部门{$thisUnit['unitName']}。操作结果：{$error}");
	exit($error);
}else if($action=='editUnitParent'){//修改指定部门的上级部门
	if(!is_numeric($id) || !is_numeric($v)){
		$error=$td_msg[4];
	}else if($id==$v){
		$error='上级部门不能是自己';
	}else{
		$parent=sys::getUnit($adminUnit,$v);
		$thisUnit=sys::getUnit($adminUnit,$id);
		if(!is_array($parent)){
			$error='指定的上级部门不存在';
		}else if($parent['parentId']==$id){
			$error='不能互为从属关系';
		}else if(!is_array($thisUnit)){
			$error=$td_msg[60];
		}else if($parent['schoolId']!=$thisUnit['schoolId']){
			$error='指定的上级部门与当前部门不在同一个学校';
		}else{
			$subId=trim($thisUnit['subId'],',');
			$sId=$id;
			myupdate("update {$td_config['pre']}adminunit set parentId={$v} where id={$id}");
			myupdate("update {$td_config['pre']}adminunit set subId=replace(subId,',{$id},',',') where id<>$id");
			if(!isNull($subId)){
				$subId=explode(',',$subId);
				foreach($subId as $s){
					$sId.=','.$s['id'];
					myupdate("update {$td_config['pre']}adminunit set subId=replace(subId,',{$s['id']},',',') where id<>$id");
				}
				$sId=','.$sId.',';
			}
			myupdate("update {$td_config['pre']}adminunit set subId=concat_ws(',',subId,'{$sId},') where id={$v} or subId like '%,{$parent['id']},%'");
			myupdate("update {$td_config['pre']}adminunit set subId=replace(subId,',,',',')");
			refreshCache('adminunit');
			$error=$td_msg[30];
		}
	}
	journalIn("修改ID为{$id}的部门的上级部门为{$v}。操作结果：{$error}");
	exit($error);
}else if($action=='addPosition'){//保存新职位
	if(isNull($v)){
		$error=$td_msg[0];
	}else{
		$v=explode(",",$v);
		if(count($v)!=3){
			$error=$td_msg[0].'2';
		}else if(!is_array(sys::getSchool($schoolList,$v[0]))){
			$error=$td_msg[44];
		}else if($v[1]>0 && !is_array(sys::getUnit($adminUnit,$v[1]))){
			$error=$td_msg[60];
		}else if(isNull(str_replace(array(" ","　"),'',$v[2]))){
			$error='请填写新职位名称后再保存';
		}else{
			foreach($positionList as $p){
				if($p['positionName']==$v[2] && $v[1]==$p['unitId']){
					exit("指定部门的相同职位已经存在");
				}
			}
			$id=myupdate("insert into {$td_config['pre']}position(unitId,positionName) values({$v[1]},'{$v[2]}')");
			refreshCache('position');
			$error=mysql_errno()?$td_msg[7]:$td_msg[30];
		}
	}
	journalIn("添加ID号为 {$id} 的新职位[{$v[2]}]，所属部门{$v[1]}，所属学校{$v[0]}。操作结果：{$error}");
	exit($error);
}else if($action=='deletePosition'){//删除指定的职位
	if(!is_numeric($id)){
		$error=$td_msg[0];
	}else{
		myupdate("delete from {$td_config['pre']}position where id={$id}");
		refreshCache('position');
		$error=mysql_errno()?$td_msg[7]:$td_msg[30];
	}
	journalIn("删除ID号 {$id} 职位。操作结果：{$error}");
	exit($error);
}else if($action=='editPositionName'){//编辑职位名称
	$v=str_replace(array(' ','　'),array('',''),$v);
	if(!is_numeric($id) || isNull($v)){
		$error=$td_msg[0];
	}else{
		myupdate("update {$td_config['pre']}position set positionName='{$v}' where id={$id}");
		refreshCache('position');
		$error=mysql_errno()?$td_msg[7]:$td_msg[30];
	}
	journalIn("ID为{$id}的职位被改名为[{$v}]。操作结果：{$error}");
	exit($error);
}else if($action=='getOperateArray'){//给出模块ID，获取模块可用的操作，以复选框的形式返回。$v传递工号，如果传递了工号，则把此工号已经拥有的权限操作默认选中
	if(!is_numeric($id) || (int)($id)<1){
		$error=$td_msg[0];
	}else if(strcasecmp($v,'admin')==0){
		$error=$td_msg[43];
	}else{
		$v=preg_match($zz_userNick,$v)?$v:'';
		$operateList=module::getAdminArray($moduleOperate,$id);
		$i=0;
		foreach($operateList as $key=>$m){
			$i++;
			$checked=$userObj->checkModuleOperation($v,$id,$key)?" checked":'';
			echo<<<html
			<input type="checkbox" name="operateChBox[]" id="operateChBox_{$i}" value="{$key}" {$checked}><label forId="operateChBox_{$i}">{$m}</label>&nbsp;&nbsp;
html;
		}
	}
	exit($error);
}else if($action=='editAdminOperation'){//保存对职工管理权限的编辑
	if(!preg_match($zz_userNick,$wNo)){
		$error=$td_msg[3];
	}else if(strcasecmp($wNo,'admin')==0){
		$error=$td_msg[43];
	}else if(strcasecmp($td_online['userNick'],$wNo)==0){
		$error=$td_msg[18];
	}else if(!is_numeric($moduleId) || !is_array(module::getModule($moduleList,$moduleId))){
		$error=$td_msg[61];
	}else{
		if(!isset($operateChBox) || !is_array($operateChBox) || count($operateChBox)==0){
			$operate=$moduleId==2?',borrowIn,':'';
		}else{
			$operate=',';
			foreach($operateChBox as $o){
				$operate.=$o.',';
			}
			//如果是资产管理模块，要保证员工有资产借入的权限
			if($moduleId==2){
				if(!is_numeric(stripos($operate,'borrowIn'))){
					$operate.='borrowIn,';
				}
			}
		}
		if(isNull(trim($operate,','))){//当权限操作为空时，认为是要删除指定用户对指定模块的操作权限
			$sql="delete from {$td_config['pre']}admin where userNick='{$wNo}' and moduleId={$moduleId}";
		}else if($userObj->checkModuleAdmin($wNo,$moduleId)){
			$sql="update {$td_config['pre']}admin set operate='{$operate}' where userNick='{$wNo}' and moduleId={$moduleId}";
		}else{
			$sql="insert into {$td_config['pre']}admin(userNick,moduleId,operate) values('{$wNo}',{$moduleId},'{$operate}')";
		}
		myupdate($sql);
		$error=mysql_errno()?$td_msg[7]:$td_msg[30];
	}
	journalIn("修改{$wNo}对模块{$moduleId}的操作权限为{$operate}。操作结果：{$error}");
	parentUrlGo('',$error);
}else if($action=='deleteModuleAdmin'){//删除admin表中指定ID的权限记录，即删除某职工对某模块的管理权限
	if(!is_numeric($id)){
		$error=$td_msg[42];
	}else{
		$row=getone("select userNick,moduleId from {$td_config['pre']}admin where id={$id}",false);
		if(!is_array($row)){
			$error="指定的管理权限不存在";
		}else if(strcasecmp($row['userNick'],$td_online['userNick'])==0){
			$error=$td_msg[18];
		}else{
			//如果是资产模块，只删除其它权限，保留资产借入权限
			if($row['moduleId']==2){
				myupdate("update {$td_config['pre']}admin set operate=',borrowIn,' where id={$id}");
			}else{
				myupdate("delete from {$td_config['pre']}admin where id={$id}");
			}
			$error=mysql_errno()?$td_msg[7]:$td_msg[30];
		}
	}
	journalIn("删除{$row['userNick']}对模块{$id}的管理权限。操作结果：{$error}");
	exit($error);
}else if($action=='deleteAdmin'){//删除管理员
	if(!is_numeric($id)){
		$error=$td_msg[42];
	}else{
		$row=getone("select * from {$td_config['pre']}user where id={$id}",false);
		if(!is_array($row)){
			$error='不存在指定的管理员';
		}else if(strcasecmp($row['userNick'],'admin')==0){
			$error='指定的账号不允许删除';
		}else{
			$sql="delete from {$td_config['pre']}user where id={$id}";
			//myupdate($sql);
			$error=mysql_errno()?$td_msg[7]:$td_msg[30];
		}
	}
	exit($error);
}else if($action=='getCanTingSelect'){//获取全部餐厅的SELECT
	if(!is_numeric($id) || !preg_match($zz_userNick,$v)){
		$error=$td_msg[0];
	}else{
		$select=sys::ctSelect('',$v,$v,'',-1);
		echo $select;
	}
	exit($error);
}else if($action=='addNewCanTing'){//保存新餐厅
	if(!is_numeric($id) || (int)($id)<0 || isNull($v)){
		$error=$td_msg[0];
	}else{
		$school=sys::getSchool($schoolList,$id,false);
		if(!is_array($school) || count($school)==0){
			$error='指定的学校不存在';
		}else{
			$row=getone("select * from {$td_config['pre']}canting where schoolId={$id} and ctName='{$v}'",false);
			if(is_array($row)){
				$error="指定的学校{$school['school']}已经存在餐厅{$v}";
			}else{
				$sql="insert into {$td_config['pre']}canting(ctName,schoolId,userNick,inTime) values('{$v}',{$id},'{$td_online['userNick']}','{$td_config['dateTime']}')";
				myupdate($sql);
				$error=mysql_errno()?$td_msg[7]:$td_msg[30];
			}
		}
		exit($error);
	}
}else if($action=='editCanTingName'){//编辑餐厅的名称
	if(!is_numeric($id) || isNull($v)){
		$error=$td_msg[0];
	}else{
		$row=getone("select * from {$td_config['pre']}canting where id={$id}",false);
		if(!is_array($row)){
			$error='指定的餐厅不存在';
		}else{
			$row=getone("select * from {$td_config['pre']}canting where schoolId={$row['schoolId']} and ctName='{$v}' and id<>{$id}",false);
			if(is_array($row)){
				$error='被编辑餐厅所在的学校已经存在同名的餐厅，请修改餐厅的名称为其它名称后再保存。';
			}else{
				$sql="update {$td_config['pre']}canting set ctName='{$v}' where id={$id}";
				myupdate($sql);
				$error=mysql_errno()?$td_msg[7]:$td_msg[30];
			}
		}
	}
	exit($error);
}else if($action=='deleteCanTing'){//删除指定的餐厅
	$sql="delete from {$td_config['pre']}canting where id={$id}";
	myupdate($sql);
	$error=mysql_errno()?$td_msg[7]:$td_msg[30];
	exit($error.$sql);
}else if($action=='addJiuCanWeiZhi'){//保存班级的就餐位置
	print_r($_POST);
	echo "<br>";
	$classId=str_replace(array("，","－"),array(",","-"),$classId);
	if(!is_numeric($schoolId_2) || (int)($schoolId_2)<0 || !is_numeric($gradeId) || (int)($gradeId)<0 || !is_numeric($ctId) || (int)($ctId)<0){
		$error=$td_msg[0];
	}else if(isNull($classId)){
		$error="请输入班级数字";
	}else if(!preg_match("/^[0-9\,\-0-9]{1,200}/",$classId)){
		$error="输入的班级不合法";
	}else{
		//得出指定学校、指定年级班级数量的配置
		$classSet=getone("select * from {$td_config['pre']}class where schoolId={$schoolId_2} and gradeId={$gradeId}",false);
		print_r($classSet);
		echo "<br>";
		if(!is_array($classSet)){
			$error="指定的学校{$gradeId}年级还没有配置班级数量，请配置过班级数量后再配置就餐位置。";
		}else{
			$class=explode(",",$classId);
			$sql="insert into {$td_config['pre']}classcanting(schoolId,gradeId,classId,ctId) values";
			$delWhere="";
			foreach($class as $c){
				if(preg_match("/([0-9]{1,}\-[0-9]{1,})/",$c)){
					$temp=explode("-",$c);
					if(is_numeric($temp[0]) && is_numeric($temp[1]) && $temp[0]>0 && $temp[0]<=$temp[1] && $temp[1]<=$classSet['classSum']){
						for($i=$temp[0]; $i<=$temp[1]; $i++){
							$str="({$schoolId_2},{$gradeId},{$i},{$ctId}),";
							$sql=str_replace($str,"",$sql);
							$sql.=$str;
							$delWhere.="{$i},";
						}
					}
				}else if(is_numeric($c) && (int)($c)<=(int)($classSet['classSum'])){
					$str="({$schoolId_2},{$gradeId},{$c},{$ctId}),";
					$sql=str_replace($str,"",$sql);
					$sql.=$str;
					$delWhere.="{$c},";
				}
			}
			if(!isNull($delWhere)){
				$delWhere=trim($delWhere,',');
				$delSql="delete from {$td_config['pre']}classcanting where schoolId={$schoolId_2} and gradeId={$gradeId} and classId in({$delWhere})";
				myupdate($delSql);
				
				$sql=preg_replace("/[\,]{2,}/",",",$sql);
				$sql=rtrim($sql,",").';';
				myupdate($sql);
				$error=mysql_errno()?$td_msg[7]:$td_msg[30];
			}else{
				$error="您输入的班级错误";
			}
		}
		
	}
	parentUrlGo('',$error);
}
?>