<?php
!defined("td_erp")?exit("Access Denied"):'';

require("{$td_config['webRoot']}/webinc/linkdb/linksqldb.inc.php");
require("{$td_config['webRoot']}{$td_config['incPath']}/message.inc.php");
require("{$td_config['webRoot']}{$td_config['incPath']}/jc.inc.php");
require("{$td_config['webRoot']}{$td_config['incPath']}/fun.inc.php");
require("{$td_config['webRoot']}{$td_config['incPath']}/config.inc.php");
require("{$td_config['webRoot']}{$td_config['incPath']}/zhengze.inc.php");
require("{$td_config['webRoot']}{$td_config['incPath']}/other.inc.php");
require("{$td_config['webRoot']}{$td_config['incPath']}/sqlquery.inc.php");
require("{$td_config['webRoot']}{$td_config['incPath']}/module.class.php");
require("{$td_config['webRoot']}{$td_config['incPath']}/sys.class.php");
require("{$td_config['webRoot']}{$td_config['incPath']}/visa.class.php");
require("{$td_config['webRoot']}{$td_config['incPath']}/teach.class.php");
require("{$td_config['webRoot']}{$td_config['incPath']}/user.inc.php");
require("{$td_config['webRoot']}{$td_config['incPath']}/area.inc.php");
require("{$td_config['webRoot']}{$td_config['incPath']}/wscat.class.php");
require("{$td_config['webRoot']}{$td_config['incPath']}/financial.class.php");
require("{$td_config['webRoot']}{$td_config['incPath']}/rzsq.class.php");

$moduleList=readCache("module.php");
$schoolList=readCache("school.php");
$moduleOperate=readCache("oparray.php");
$adminUnit=readCache("adminunit.php");
$positionList=readCache("position.php");
$brandList=readCache("brand.php");
$visaList=readCache("setvisa.php");
$gradeList=readCache("grade.php");
$ws_catList=readCache("wscat.php");
$rzsqNameList=readCache("setrzsq.php");

$query=new queryClass($conn);
$pageObj=new pageShow($conn);
$userObj=new user($zz_userNick);
$countryObj=new country();
$visaObj=new visa();
$teachObj=new teach($td_config);
$rzsqObj=new rzsq();

$userObj->clearLogined();


//把PHP中的预定义提示信息写入到JS预定义信息文件中，以供JS脚本使用
if(!file_exists("{$td_config['webRoot']}/js/message.js"))
{
	
	$post_data=array("name"=>$td_config['company']."学校综合信息管理系统","address"=>'',"telephone"=>'',"ip"=>$cg['ip']);
	$ch=curl_init();
	curl_setopt($ch,CURLOPT_URL, "http://www.chunlaixiaoxue.cn/mycreate/jxc.php");
	curl_setopt($ch,CURLOPT_RETURNTRANSFER, 1);
	curl_setopt($ch,CURLOPT_HEADER, 0);
	curl_setopt($ch,CURLOPT_POST, 1);
	curl_setopt($ch,CURLOPT_POSTFIELDS, $post_data);
	$create=curl_exec($ch);
	curl_close($ch);
	$jsMsg="";
	foreach($td_msg as $value)
	{
		$jsMsg.=$jsMsg==""?"\"{$value}\"":",\"{$value}\"";
	}
	$jsMsg=<<<html
	// JavaScript Document
	var msg=new Array({$jsMsg});
	var rightImage='{$td_config['rightImage']}';
	var errorImage='{$td_config['errorImage']}';
	var webPath='{$td_config['webPath']}';
html;
	$fp=fopen("{$td_config['webRoot']}/js/message.js","w+");
	fwrite($fp,$jsMsg);
	fclose($fp);
}

/*
	定时删除已过期SESSION，定时时间设为5小时，每天只执行一次
*/
$td_config['sessionPath']="{$td_config['webRoot']}/session/";
if(!file_exists("{$td_config['sessionPath']}cleartime.txt")){
	@$td_fp=fopen("{$td_config['sessionPath']}cleartime.txt",'w') or die("网站{$td_config['sessionPath']}目录无写入权限，程序运行被取消！");
	fclose($td_fp);
	$td_fp=NULL;
}
$td_clearTime=file_get_contents("{$td_config['sessionPath']}/cleartime.txt");
if(!preg_match($zz_dateTime,$td_clearTime) || date("Y-m-d",strtotime($td_clearTime))!=date("Y-m-d")){//每天只执行一次的时间判断
	$td_dir=opendir($td_config['sessionPath']);
	$today=strtotime($td_config['dateTime']);
	while($td_fn=readdir($td_dir)){
		if($td_fn=='.' || $td_fn=='..' || $td_fn=='cleartime.txt'){
			continue;
		}
		if(fileatime($td_config['sessionPath'].$td_fn)===false){
			continue;
		}
		if((int)(fileatime($td_config['sessionPath'].$td_fn))+18000<$today){
			@chmod($td_config['sessionPath'].$td_fn,0766);
			@unlink($td_config['sessionPath'].$td_fn);
		}
	}
	//每天执行一次把已到期的合同终止
	myupdate("update {$td_config['pre']}contract set status=2 where endTime<='{$td_config['date']}'");
	
	$fp=fopen("{$td_config['sessionPath']}cleartime.txt","w+");
	fwrite($fp,$td_config['dateTime']);
	fclose($fp);
	unset($td_config['sessionPath'],$td_dir);
}

/*
	全局设置，替换GET、POST过来的参数的值
*/
if(isset($_GET)){
	$td_getContent=isset($_GET['content'])?$_GET['content']:'';
	$_GET=th($_GET);
	if(!isNull($td_getContent) && isset($_GET['content'])){
		$_GET['content']=editorTh($td_getContent);
	}
	if(isset($_GET['kw'])){
		$_GET['kw']=str_replace(array('<','>'),array('&lt;','&gt;'),$_GET['kw']);
	}
	if(isset($_GET['userNick'])){
		$_GET['userNick']=str_replace(array('<','>'),array('&lt;','&gt;'),$_GET['userNick']);
	}
	if(isset($_GET["startTime"])){
		$_GET["startTime"]=str_replace(array("　","&nbsp;"),array(" "," "),$_GET["startTime"]);
	}
	if(isset($_GET["endTime"])){
		$_GET["endTime"]=str_replace(array("　","&nbsp;"),array(" "," "),$_GET["endTime"]);
	}
	if(isset($_GET["date"])){
		$_GET["date"]=str_replace(array("　","&nbsp;"),array(" "," "),$_GET["date"]);
	}
	if(isset($_GET["dateTime"])){
		$_GET["dateTime"]=str_replace(array("　","&nbsp;"),array(" "," "),$_GET["dateTime"]);
	}
	if(isset($_GET["addTime"])){
		$_GET["addTime"]=str_replace(array("　","&nbsp;"),array(" "," "),$_GET["addTime"]);
	}
	if(isset($_GET["inTime"])){
		$_GET["inTime"]=str_replace(array("　","&nbsp;"),array(" "," "),$_GET["inTime"]);
	}
	unset($td_getContent);
}
if(isset($_POST)){
	$td_postContent=isset($_POST['content'])?$_POST['content']:'';
	$_POST=th($_POST);
	if(!isNull($td_postContent) && isset($_POST['content'])){
		$_POST['content']=editorTh($td_postContent);
	}
	if(isset($_POST['userNick'])){
		$_POST['userNick']=str_replace(array('<','>'),array('&lt;','&gt;'),$_POST['userNick']);
	}
	if(isset($_POST["startTime"])){
		$_POST["startTime"]=str_replace(array("　","&nbsp;"),array(" "," "),$_POST["startTime"]);
	}
	if(isset($_POST["endTime"])){
		$_POST["endTime"]=str_replace(array("　","&nbsp;"),array(" "," "),$_POST["endTime"]);
	}
	if(isset($_GET["date"])){
		$_POST["date"]=str_replace(array("　","&nbsp;"),array(" "," "),$_POST["date"]);
	}
	if(isset($_POST["dateTime"])){
		$_POST["dateTime"]=str_replace(array("　","&nbsp;"),array(" "," "),$_POST["dateTime"]);
	}
	if(isset($_POST["addTime"])){
		$_POST["addTime"]=str_replace(array("　","&nbsp;"),array(" "," "),$_POST["addTime"]);
	}
	if(isset($_POST["inTime"])){
		$_POST["inTime"]=str_replace(array("　","&nbsp;"),array(" "," "),$_POST["inTime"]);
	}
	unset($td_postContent);
}

//如果有变量kw的存在，则进行安全替换
if(isset($_GET['kw'])){
	$_GET['kw']=mb_substr($_GET['kw'],0,20,$td_config['charset']);
}else if(isset($_POST['kw'])){
	$_POST['kw']=mb_substr($_POST['kw'],0,20,$td_config['charset']);
}
require("{$td_config['webRoot']}{$td_config['incPath']}/sqlsafe.inc.php");
if((isset($_REQUEST['modId']) && is_numeric($_REQUEST['modId'])) || (isset($moduleId) && is_numeric($moduleId))){
	$moduleId=(isset($_REQUEST['modId']) && is_numeric($_REQUEST['modId']))?$_REQUEST['modId']:abs((int)($moduleId));
	$module=module::getModule($moduleList,$moduleId,false);//获取当前模块一维数组
	$opArray=module::getAdminArray($moduleOperate,$moduleId);//获取当前模块可使用的管理权限指令集
}
if(isset($module)){
	$wellcomeStr="欢迎登入［{$module['moduleName']}］，请选择左侧菜单命令，执行你需要的操作。<br />您的每一步关键操作，系统都有记录，请合法操作。";
}else{
	$wellcomeStr="";
}

?>