<?php
!defined("td_erp")?exit("Access Deiend"):'';
class rzsq{
	//获取指定ID的入职申请类型，$onlyName=true时只返回当前入职申请类型的名称，否则返回一维数组，找不到结果时返回false
	function getRzsq(&$rzsqList,$id=0,$onlyName=false){
		if(!is_array($rzsqList) || !is_numeric($id)){
			return false;
		}
		foreach($rzsqList as $v){
			if($v['id']==$id){
				return $onlyName?$v['rzsq']:$v;
			}
		}
		return false;
	}
	//返回入职申请配置二维数组，过滤掉名称重复的入职申请类型，只保留每个类型中步骤编号为1的数组
	function getRzsqList(&$rzsqList){
		if(!is_array($rzsqList)){
			return false;
		}
		$result=array();
		foreach($rzsqList as $v){
			if($v['step']=='1'){
				$result[]=$v;
			}
		}
		return $result;
	}
	//检测指定账号是否有指定ID入职申请步骤的审核权限
	function checkOp(&$rzsqList,$id=0,$step=0){
		global $td_online;
		if(!is_array($rzsqList) || !is_numeric($id)){
			return false;
		}
		$step=!is_numeric($step)?1:(int)($step);
		$rzsq=$this->getRzsq($rzsqList,$id,false);
		if($rzsq==false){
			return false;
		}else{
			if(stripos($v['userList'],",{$td_online['userNick']},")>=0){
				return true;
			}else{
				return false;
			}
		}
	}
	//给出入职申请类型的ID，返回需要审核的步骤数
	function countStep(&$rzsqList,$id){
		if(!is_array($rzsqList) || !is_numeric($id)){
			return false;
		}
		$rzsqName=$this->getRzsq($rzsqList,$id,true);
		$k=0;
		foreach($rzsqList as $v){
			if($v['rzsq']==$rzsqName){
				$k++;
			}
		}
		return $k>0?$k:false;
	}
	//输出入职申请类型下拉列表框
	function rzsqSelect(&$rzsqList,$name='',$id='',$js='',$checkedId=0){
		if(!is_array($rzsqList)){
			return false;
		}
		$name=preg_match("/[a-z]{1,20}/i",$name)?$name:"rzsqId";
		$id=preg_match("/[a-z]{1,20}/i",$id)?$id:"rzsqId";
		$checkedId=!is_numeric($id)?0:$checkedId;
		$rzsqOne=$this->getRzsqList($rzsqList);
		$select="<select name=\"{$name}\" id=\"{$id}\" onchange=\"{$js}\"><option value=\"-1\">---请选择---</option>";
		foreach($rzsqOne as $v){
			$selected=$checkedId==$v['id']?' selected':'';
			$select.="<option value=\"{$v['id']}\" {$selected}>{$v['rzsq']}</option>";
		}
		$select.="</select>";
		return $select;
	}
}
?>