<?php
!defined("td_erp")?exit("Access Deiend"):'';
class visa{
	//获取指定ID的签呈类型，$onlyName=true时只返回当前签呈类型的名称，否则返回一维数组，找不到结果时返回false
	function getVisa(&$visaList,$id=0,$onlyName=false){
		if(!is_array($visaList) || !is_numeric($id)){
			return false;
		}
		foreach($visaList as $v){
			if($v['id']==$id){
				return $onlyName?$v['visa']:$v;
			}
		}
		return false;
	}
	//返回签呈配置二维数组，过滤掉名称重复的签呈类型，只保留每个类型中步骤编号为1的数组
	function getVisaList(&$visaList){
		if(!is_array($visaList)){
			return false;
		}
		$result=array();
		foreach($visaList as $v){
			if($v['step']=='1'){
				$result[]=$v;
			}
		}
		return $result;
	}
	//检测指定账号是否有指定ID签呈步骤的审核权限
	function checkOp(&$visaList,$id=0,$step=0){
		global $td_online;
		if(!is_array($visaList) || !is_numeric($id)){
			return false;
		}
		$step=!is_numeric($step)?1:(int)($step);
		$visa=$this->getVisa($visaList,$id,false);
		if($visa==false){
			return false;
		}else{
			if(stripos($v['userList'],",{$td_online['userNick']},")>=0){
				return true;
			}else{
				return false;
			}
		}
	}
	//给出签呈类型的ID，返回需要审核的步骤数
	function countStep(&$visaList,$id){
		if(!is_array($visaList) || !is_numeric($id)){
			return false;
		}
		$visaName=$this->getVisa($visaList,$id,true);
		$k=0;
		foreach($visaList as $v){
			if($v['visa']==$visaName){
				$k++;
			}
		}
		return $k>0?$k:false;
	}
	//输出签呈类型下拉列表框
	function visaSelect(&$visaList,$name='',$id='',$js='',$checkedId=0){
		if(!is_array($visaList)){
			return false;
		}
		$name=preg_match("/[a-z]{1,20}/i",$name)?$name:"visaId";
		$id=preg_match("/[a-z]{1,20}/i",$id)?$id:"visaId";
		$checkedId=!is_numeric($id)?0:$checkedId;
		$visaOne=$this->getVisaList($visaList);
		$select="<select name=\"{$name}\" id=\"{$id}\" onchange=\"{$js}\"><option value=\"-1\">---请选择---</option>";
		foreach($visaOne as $v){
			$selected=$checkedId==$v['id']?' selected':'';
			$select.="<option value=\"{$v['id']}\" {$selected}>{$v['visa']}</option>";
		}
		$select.="</select>";
		return $select;
	}
}
?>