<?php
$thisDir=str_replace('\\','/',dirname(__FILE__));
header("content-type:text/html; charset=utf-8");
$moduleId=2;
require("{$thisDir}/../common.inc.php");
extract($_GET);
$error='';
$statusList=array('正常','借出','正在维修','报废');
$otherStatus=array('使用中','库存','故障');
if(!isNull($action) && !$userObj->checkModuleOperation($td_online['userNick'],$moduleId,$action)){
	exit("你没有指定模块指定管理方式{$action}的管理权限");
}
if($action=='addUnitToExcel'){//导出部门信息到EXCEL
	$sql="select id,schoolId as 学校,unitName as 部门名称,parentId as 父部门ID,subId as 子部门ID from {$td_config['pre']}adminunit";
	exit(exportExcel($sql,'',''));
}else if($action=='addAssetTypeToExcel'){//发出资产分类与编号对照表到Excel
	$sql="select id as 编号,catName as 名称,wordKey as 声母 from {$td_config['pre']}wscat";
	exit(exportExcel($sql,'资产分类与编号对照表',''));
}else if(($action=='listAsset' || $action=='searchAsset') && isset($toExcel) && $toExcel=='1'){//导出资产数据到EXCEL
	set_time_limit(0);
	$actionTitle='固定资产统计';
	$xlsFileName=isNull($fileName)?fileName(8):$fileName;
	$file_ending="xls";
	header("Content-Type: application/vnd.ms-excel");
    header("Pragma: public");
    header("Expires: 0");
    header("Cache-Control: must-revalidate, post-check=0, pre-check=0");
    header("Content-Type: application/force-download");
    header("Content-Type: application/octet-stream");
    header("Content-Type: application/download");
    header("Content-Disposition: attachment;filename={$xlsFileName}.{$file_ending}");
    header("Content-Transfer-Encoding: binary ");
	echo"<style type=\"text/css\">.c{vnd.ms-excel.numberformat:@;}</style>";
	$where=" where 1";
	if($action=='searchAsset'){
		$where.=(isset($school) && is_numeric($school) && $school!='-1')?" and schoolId={$school}":'';
		$where.=(isset($preUnit) && is_numeric($preUnit) && $preUnit!='-1')?" and unitId={$preUnit}":'';
		$where.=isNull($no)?'':" and no='{$no}'";
		$where.=isNull($model)?'':" and model like '%{$model}%'";
		$where.=isNull($barcode)?'':" and barcode like '%{$barcode}%'";
		$where.=isNull($assetName)?'':" and assetName like '%{$assetName}%'";
		$where.=isNull($brandName)?'':" and brandName like '%{$brandName}%'";
		$where.=(!isset($status) || $status<1)?'':" and status={$status}";
		$where.=(isset($otherSta) && is_numeric($otherSta) && (int)($otherSta)>=0)?" and otherStatus={$otherSta}":'';
		$where.=(isset($roomNo) && !isNull($roomNo))?" and roomNo like '%{$roomNo}%'":'';
		$where.=(isset($useUser) && !isNull($useUser))?" and useUser='{$useUser}'":'';
	}
	$sql="select * from {$td_config['pre']}asset {$where}";
	$query->query($sql,1,false);
	echo<<<html
	<table width="100%" height="auto" border="0" cellpadding="0" cellspacing="0">
	  <tr>
	    <th>资产编号</th><th>资产名称</th><th>型号</th><th>条形码</th><th>存放位置</th><th>使用人</th><th>部门</th><th>状态</th>
	  </tr>
html;
	if($query->recordCount){
		foreach($query->row as $q){
			$unitName=sys::getUnit($adminUnit,$q['unitId'],true);
			echo<<<html
			<tr>
			  <td>&nbsp;{$q['no']}</td><td>&nbsp;{$q['assetName']}</td><td>&nbsp;{$q['model']}</td><td>&nbsp;{$q['barcode']}</td><td>&nbsp;{$q['roomNo']}</td><td>&nbsp;{$q['useUser']}</td><td>&nbsp;{$unitName}</td><td>&nbsp;{$statusList[$q['otherStatus']]}</td>
			</tr>
html;
		}
		echo"</table>";
	}else{
		echo<<<html
		</table>
		<center>没有找到数据</center>
html;
	}
	exit();
}
td_require("header.htm");
if($action=='listBrand' || $action=='searchBrandName'){
	$actionTitle="产品品牌管理";
	td_require("/{$module['path']}/listbrand.htm");
}else if($action=='listAssetName' || $action=='searchAssetName'){
	$actionTitle="资产名称管理";
	td_require("/{$module['path']}/listassetname.htm");
}else if($action=='addAsset'){
	$actionTitle="添加学校资产";
	td_require("/{$module['path']}/addasset.htm");
}else if($action=='editAsset'){
	if(!is_numeric($id)){
		$error='参数错误，查询失败。';
	}else{
		$row=getone("select * from {$td_config['pre']}asset where id={$id}",false);
		if(is_array($row)){
			$actionTitle="修改学校资产";
			extract($row);
		}else{
			$error="没有找到指定ID的资产，可能此资产已经被删除。";
		}
	}
	td_require("/{$module['path']}/addasset.htm");
}else if($action=='showAsset'){//资产详细信息
	if(!is_numeric($id)){
		$error='参数错误，查询失败。';
	}else{
		$row=getone("select * from {$td_config['pre']}asset where id={$id}",false);
		if(is_array($row)){
			$actionTitle="查看学校资产详细信息";
			extract($row);
		}else{
			$error="没有找到指定ID的资产，可能此资产已经被删除。";
		}
	}
	td_require("/{$module['path']}/showasset.htm");
}else if($action=='listAsset' || $action=='searchAsset'){
	$actionTitle="学校资产查询";
	$where=" where 1";
	if($action=='searchAsset'){
		$where.=(isset($school) && is_numeric($school) && $school!='-1')?" and schoolId={$school}":'';
		$where.=(isset($preUnit) && is_numeric($preUnit) && $preUnit!='-1')?" and unitId={$preUnit}":'';
		$where.=isNull($no)?'':" and no='{$no}'";
		$where.=isNull($model)?'':" and model like '%{$model}%'";
		$where.=isNull($barcode)?'':" and barcode like '%{$barcode}%'";
		$where.=isNull($assetName)?'':" and assetName like '%{$assetName}%'";
		$where.=isNull($brandName)?'':" and brandName like '%{$brandName}%'";
		$where.=(!isset($status) || $status<1)?'':" and status={$status}";
		$where.=(isset($otherSta) && is_numeric($otherSta) && (int)($otherSta)>=0)?" and otherStatus={$otherSta}":'';
		$where.=(isset($roomNo) && !isNull($roomNo))?" and roomNo like '%{$roomNo}%'":'';
		$where.=(isset($useUser) && !isNull($useUser))?" and useUser='{$useUser}'":'';
	}
	$pageObj->query("select count(*) as aCount from {$td_config['pre']}asset {$where} order by id desc","{$page}",25,4,"*",true);
	td_require("/{$module['path']}/listasset.htm");
}else if($action=='assetLabel'){//输出资产标签查询界面
	$actionTitle="查询与生成资产标签";
	$where=" where 1";
	if($action=='assetLabel'){
		$where.=(isset($school) && is_numeric($school) && $school!='-1')?" and schoolId={$school}":'';
		$where.=(isset($preUnit) && is_numeric($preUnit) && $preUnit!='-1')?" and unitId={$preUnit}":'';
		$where.=isNull($no)?'':" and no='{$no}'";
		$where.=isNull($model)?'':" and model like '%{$model}%'";
		$where.=isNull($barcode)?'':" and barcode like '%{$barcode}%'";
		$where.=isNull($assetName)?'':" and assetName like '%{$assetName}%'";
		$where.=isNull($brandName)?'':" and brandName like '%{$brandName}%'";
		$where.=(!isset($status) || $status<1)?'':" and status={$status}";
		$where.=(isset($otherSta) && is_numeric($otherSta) && (int)($otherSta)>=0)?" and otherStatus={$otherSta}":'';
		$where.=(isset($roomNo) && !isNull($roomNo))?" and roomNo like '%{$roomNo}%'":'';
		$where.=(isset($useUser) && !isNull($useUser))?" and useUser='{$useUser}'":'';
	}
	$pageObj->query("select count(*) as aCount from {$td_config['pre']}asset {$where} order by id desc","{$page}",39,4,"*",true);
	td_require("/{$module['path']}/assetlabel.htm");
}else if($action=='borrowOut'){//将指定资产借出
	$actionTitle='资产借出操作';
	if(!is_numeric($id)){
		$error=$td_msg[42];
	}else{
		$row=getone("select * from {$td_config['pre']}asset where id={$id}",false);
		if(is_array($row)){
			extract($row);
		}else{
			$error=$td_msg[38];
		}
	}
	td_require("/{$module['path']}/borrowout.htm");
}else if($action=='auditscrapped'){//指定资产报废
	$actionTitle='资产报废操作';
	if(!is_numeric($id)){
		$error=$td_msg[42];
	}else{
		$row=getone("select * from {$td_config['pre']}asset where id={$id}",false);
		if(is_array($row)){
			extract($row);
		}else{
			$error=$td_msg[38];
		}
	}
	td_require("/{$module['path']}/scrapped.htm");
}else if($action=='service'){//资产送修
	$actionTitle='资产送修';
	if(!is_numeric($id)){
		$error=$td_msg[42];
	}else{
		$row=getone("select * from {$td_config['pre']}asset where id={$id}",false);
		if(is_array($row)){
			extract($row);
		}else{
			$error=$td_msg[38];
		}
	}
	td_require("/{$module['path']}/service.htm");
}else if($action=='borrowsBorrowOut'){//资产借出列表
	$actionTitle='资产借出列表';
	$where=" where 1";
	$where.=preg_match($zz_userNick,$outUser)?" and outUser='{$outUser}'":'';
	$where.=preg_match($zz_userNick,$inUser)?" and inUser='{$inUser}'":'';
	$where.=isNull($no)?'':" and no='{$no}'";
	$where.=isNull($assetName)?'':" and assetName like '%{$assetName}%'";
	$where.=(!isset($status) || $status=='-1')?'':" and status={$status}";
	$where.=(!isset($returned) || $returned=='-1')?'':" and returned={$returned}";
	$pageObj->query("select count(*) as aCount from {$td_config['pre']}borrow {$where} order by id desc","{$page}",25,4,"*",true);
	td_require("/{$module['path']}/borrows.htm");
}else if($action=='services'){//资产维修列表
	$actionTitle='资产修改列表';
	$where=" where 1";
	$where.=preg_match($zz_userNick,$adminNick)?" and adminNick='{$adminNick}'":'';
	$where.=preg_match($zz_userNick,$endNick)?" and endNick='{$endNick}'":'';
	$where.=isNull($no)?'':" and no='{$no}'";
	$where.=isNull($assetName)?'':" and assetName like '%{$assetName}%'";
	$where.=(!isset($status) || $status=='-1')?'':($status=='0'?" and (endTime is null or endTime='')":" and (endTime is not null and endTime<>'')");
	
	$pageObj->query("select count(*) as aCount from {$td_config['pre']}service {$where} order by id desc","{$page}",25,4,"*",true);
	td_require("/{$module['path']}/services.htm");
}else if($action=='countAssetToExcel'){//统计资产到EXCEL
	set_time_limit(0);
	$actionTitle='固定资产统计';
	$xlsFileName=isNull($fileName)?fileName(8):$fileName;
	$file_ending="xls";
	header("Content-Type: application/vnd.ms-excel");
    header("Pragma: public");
    header("Expires: 0");
    header("Cache-Control: must-revalidate, post-check=0, pre-check=0");
    header("Content-Type: application/force-download");
    header("Content-Type: application/octet-stream");
    header("Content-Type: application/download");
    header("Content-Disposition: attachment;filename={$xlsFileName}.{$file_ending}");
    header("Content-Transfer-Encoding: binary ");
	echo"<style type=\"text/css\">.c{vnd.ms-excel.numberformat:@;}</style>";
	if(!isset($aName) || !is_array($aName) || count($aName)==0){
    	echo<<<html
        <center>请选择资产搜索条件中的统计项后执行"搜索"操作</center>
html;
    }else{
		echo<<<html
		<table width="100%" height="auto" border="0" cellpadding="0" cellspacing="0">
html;
		$where=' where 1';
		//$where.=(isset($school) && is_numeric($school) && (int)($school)>=0)?" and schoolId={$school}":'';
		//$where.=(isset($unitId) && is_numeric($unitId) && (int)($unitId)>-1)?" and unitId={$unitId}":'';
		$where.=(isset($roomNo) && !isNull($roomNo))?" and roomNo='{$roomNo}'":'';
		$where.=(isset($no) && !isNull($no))?" and no like '%$no%'":'';
		$where.=(isset($assetName) && !isNull($assetName))?" and assetName like '%{$assetName}%'":'';
		$where.=(isset($status) && is_numeric($status) && (int)($status)>=0)?" and status={$status}":'';
		$group=&$aName;
		if(is_array($group)){
			echo'<tr><td width="50">部门名称</td>';
			foreach($group as $g){
				echo<<<html
				<td>{$g}</td>
html;
			}
			echo'</tr>';
			$unitList=array();
			if(isset($school) && is_numeric($school) && (int)($school)>=0){//如果指定了学校，则只显示指定学校的统计信息
				if(isset($unitId) && is_numeric($unitId) && (int)($unitId)>-1){//如果指定了部门，则只显示指定部门的信息
					$unitList[0]=sys::getUnit($adminUnit,$unitId,false);
				}else{
					$unitList=sys::getUnitBySid($adminUnit,$school,false);
				}
				$where.=" and schoolId={$school}";
				foreach($unitList as $u){
					$in_where='';
					echo<<<html
					<tr><td>{$u['unitName']}</td>
html;
					$in_where.=$where." and unitId={$u['id']}";
					foreach($group as $g){//根据资产名称找出资产数量
						$row=getone("select count(*) as aCount from {$td_config['pre']}asset {$in_where} and assetName='{$g}'",true);
						$countSum=$row['aCount']?$row['aCount']:'';
						echo<<<html
						<td>{$countSum}</td>
html;
					}
					echo'</tr>';
				}
			}else{//如果没有指定学校，则显示全部
				foreach($schoolList as $s){
					$in_where='';
					$fieldsCount=1+count($group);
					echo<<<html
					<tr><td colspan="{$fieldsCount}">{$s['school']}</td></tr>
html;
					$unitList=sys::getUnitBySid($adminUnit,$s['id'],false);
					$in_where.=$where." and schoolId={$s['id']}";
					foreach($unitList as $u){
						$in_in_where='';
						echo<<<html
						<tr><td>{$u['unitName']}</td>
html;
						$in_in_where.=$in_where." and unitId={$u['id']}";
						foreach($group as $g){//根据资产名称找出资产数量
							$sql="select count(*) as aCount from {$td_config['pre']}asset {$in_in_where} and assetName='{$g}'";
							$row=getone($sql,false);
							$countSum=$row['aCount']?$row['aCount']:'';
							echo<<<html
							<td>{$countSum}</td>
html;
						}
						echo'</tr>';
					}
				}
			}
			echo"</table>";
		}else{
			echo'没有找到资产数据';
		}
	}
}else if($action=='countAsset'){//统计资产，并生成对应报表
	set_time_limit(0);
	$actionTitle='固定资产统计';
	td_require("/{$module['path']}/countasset.htm");
}else if($action=='listAssetType' || $action=='searchAssetType'){//资产分类管理
	$actionTitle='管理资产分类';
	td_require("/{$module['path']}/listassettype.htm");
}else if($action=='zctcSearch'){//资产调出查询
	$actionTitle='资产调出查询';
	$where=" where 1";
	$where.=(isset($no) && !isNull($no))?" and no='{$no}'":'';
	$where.=(isset($aName) && !isNull($aName))?" and assetName='{$aName}'":'';
	$pageObj->query("select count(*) as aCount from {$td_config['pre']}zctc {$where} order by id desc","{$page}",30,4,"*",false);
	td_require("/{$module['path']}/zctclist.htm");
}else{
	td_require("/{$module['path']}/index.htm");
}
td_require("footer.htm");
?>