<?php
header("content-type:text/html; charset=utf-8");
$thisDir=str_replace('\\','/',dirname(__FILE__));
require("{$thisDir}/common.inc.php");
extract($_POST);
if(isset($v) && is_array($v)){
	extract($v);
}
$error='';
if($action=='checkCode' || $action=='userCheckCode'){//检测验证码是否正确
	$code=$v;
	$error=strtoupper($code)==$_SESSION['code']?'10000':'10001';
	exit($error);
}else if($action=='userLogin'){//登录
	if(isNull($v)){
		$error=$td_msg[0];
	}else{
		$v=explode(":",$v);
		if(count($v)!=3){
			$error="输入的登录信息不完整";
		}else{
			$userNick=$v[0];
			$password=$v[1];
			$code=$v[2];
			if(!preg_match($zz_userNick,$userNick)){
				$error=$td_msg[3];
			}else if(!preg_match($zz_password,$password)){
				$error=$td_msg[0];
			}else if(!checkCode()){
				$error=$td_msg[5];
			}else{
				$online=$userObj->checkLogined($userNick);
				if(is_array($online) && $online["loginKey"]==$_SESSION['loginKey']){
					$error="您已经处于登录状态，不能重复登录。";
				}else{
					$row=getone("select * from {$td_config['pre']}user where userNick='{$userNick}'",false);
					if(!is_array($row)){
						$error=$td_msg[3];
					}else if($row['status']=='0'){
						$error='您的工号处于待审状态，暂时不能登录。';
					}else if($row['status']=='2'){
						$error='您的工号处于禁止登录状态，不允许登录。';
					}else{
						$password=md5($password.$row['privateKey']);
						if($password!=$row['password']){
							$error=$td_msg[4];
						}else{
							$loginKey=submitKey(8);
							$_SESSION['userNick']=strtolower($userNick);
							$_SESSION['loginKey']=$loginKey;
							$_SESSION['loginTime']=$td_config['dateTime'];
							$_SESSION['preLoginTime']=$row['loginTime'];
							$_SESSION['preLoginIp']=$row['loginIp'];
							$_SESSION['loginCount']=$row['loginCount'];
							$_SESSION['schoolId']=is_numeric($row['schoolId'])?$row['schoolId']:0;
							$_SESSION['unitId']=is_numeric($row['unitId'])?$row['unitId']:0;
							$_SESSION['userName']=$row['userName'];
							$_SESSION['kxList']=$row['kxList'];
							if(is_array($online)){
								myupdate("update {$td_config['pre']}online set loginTime='{$td_config['dateTime']}',loginKey='{$loginKey}',refreshTme='{$td_config['dateTime']}',loginIp='{$td_config['ip']}' where userNick='{$userNick}'");
							}else{
								myupdate("insert into {$td_config['pre']}online(userNick,loginTime,loginKey,refreshTime,loginIp) values('{$userNick}','{$td_config['dateTime']}','{$loginKey}','{$td_config['dateTime']}','{$td_config['ip']}')");
							}
							myupdate("update {$td_config['pre']}user set loginTime='{$td_config['dateTime']}',loginIp='{$td_config['ip']}',loginCount=loginCount+1 where userNick='{$userNick}'");
							$error='登录成功，请稍候……';
						}
					}
				}
			}
		}
	}
	exit($error);
}else if($action=='checkLoginCode'){//点击登录按钮时先检验验证码
	if(isNull($v) || mb_strlen($v,$td_config['charset'])!=4){
		$error='false';
	}else if(strcasecmp($v,$_SESSION['code'])!=0){
		$error='false';
	}else{
		$error='true';
	}
	exit($error);
}else if($action=='getGradeSelect'){//由学校ID输出开设年级SELECT，$v="gradeName:fastOperation('getClassSelect',schoolId,this.id+'#'+this.value+'#"+className+"'):checkedId"
	$v=stripslashes($v);
	$v=explode(':',$v);
	if(!is_numeric($id)){
		$error=$td_msg[0];
	}else{
		$error=$teachObj->gradeSelect($id,"{$v[0]}","{$v[0]}","{$v[1]}","{$v2}");
	}
	exit($error);
}else if($action=='getClassSelect'){//由学校、年级，获取开设的班级SELECT
	//传递参数解释：$id暂无效，$v由JSON格式的字符串组成，格式为“{'schoolId':2,'gradeId':7,'className':'classId','onChange':'jsFunction','checkedId':5}”
	$v=jsonToArray($v);
	extract($v);
	$class=$teachObj->classSelect($className,$className,$onChange,$checkedId,$schoolId,$gradeId);
	exit($class);
}
//不需要登录即可操作的项已经结束，下面的操作需要登录后才能执行

if(isNull($td_online['userNick'])){
	exit($td_msg[8]);
}
if($action=='updateCache'){//更新系统缓存
	refreshCache();
	exit("已经成功更新系统缓存");
}else if($action=='checkExistsUserNick'){//检测给出的账号是否已经存在
	if(!$userObj->checkUserNick($v)){
		$error="指定工号的格式错误";
	}else{
		$result=$userObj->existsUserNick($v);
		if($result){
			$error="指定的工号已经存在";
		}else{
			$error="指定的工号不存在";
		}
	}
	exit($error);
}else if($action=='getAdminUnitSelect'){//获取指定学校的部门SELECT，$id传递学校的ID，$v传递当选中部门中的选项后要执行的JS函数
	if(!is_numeric($id)){
		echo $td_msg[0];
	}else if($id<1){
		echo '';
	}else{
		$v=stripslashes($v);
		echo '所属部门：'.sys::unitSelect($adminUnit,'preUnit','preUnit',"{$v}",$id);
	}
	exit();
}else if($action=='getPositionSelect'){//获取指定部门的职位SELECT，$id传递部门的ID，$v传递当选中职位中的选项后要执行的JS函数
	if(!is_numeric($id)){
		echo $td_msg[0];
	}else if($id<1){
		echo '';
	}else{
		$v=stripslashes($v);
		echo '工作职位：'.sys::positionSelect($positionList,$id,'','','');
	}
	exit();
}else if($action=='setCourseSelect'){//获取指定年级的课程下拉列表框,$v传递当选中年级后要执行的JS函数
	$id=jsonToArray($id);
	if(!is_array($id) || !is_numeric($id['schoolId']) || !is_numeric($id['gradeId'])){
		echo $td_msg[0];
	}else if($id<1){
		echo '';
	}else{
		$v=stripslashes($v);
		echo $teachObj->courseSelect($id['schoolId'],$id['gradeId'],'','',$v,-1);
	}
	exit();
}else if($action=='getXiangSelect'){//获取指定县区的乡镇下拉列表框,$v传递当选中年级后要执行的JS函数
	if(!is_numeric($id)){
		echo $td_msg[0];
	}else if($id<1){
		echo '';
	}else{
		$v=stripslashes($v);
		echo $userObj->xxzc('xz','xz',$id,$v,-1);
	}
	exit();
}else if($action=='getCunSelect'){//获取指定乡镇的村庄下拉列表框,$v传递当选中年级后要执行的JS函数
	if(!is_numeric($id)){
		echo $td_msg[0];
	}else if($id<1){
		echo '';
	}else{
		$v=stripslashes($v);
		echo $userObj->xxzc('cz','cz',$id,$v,-1);
	}
	exit();
}else if($action=='getHeaderForm'){//输出修改照片FORM
	echo<<<html
	<iframe name="upheaderFrame" scr="" style="display:none; width:100%; height:100px;"></iframe>
	<form name="headerForm" id="headerForm" action="{$td_config['webPath']}/fastoperation.php" target="upheaderFrame" method="post" enctype="multipart/form-data" onsubmit="return checkImage($('#myHeader'),'imgId');">
	  <input type="hidden" name="action" value="myHeader" />
	  请选择一张您的照片，大小不超过{$td_config['imageSize']}KB。<br />
	  <div id="imgId"></div>
	  <input type="file" name="myHeader" id="myHeader" size="50" onchange="if(checkImage(this,'imgId')){document.getElementById('headerForm').submit();}" />
	  <br />
	</form>
html;
}else if($action=='myHeader'){//上传自己的照片
	$user=getone("select image from {$td_config['pre']}user where userNick='{$td_online['userNick']}'",false);
	$image=uploadImage('myHeader',"","/userheader");
	if(is_array($image)){
		if(!isNull($user['image']) && file_exists($td_config['webRoot'].$td_config['headerImage'].$user['image'])){
			@chmod($td_config['webRoot'].$td_config['headerImage'].$user['image'],0777);
			unlink($td_config['webRoot'].$td_config['headerImage'].$user['image']);
		}
		myupdate("update {$td_config['pre']}user set image='{$image[0]}' where userNick='{$td_online['userNick']}'");
		$error=$td_msg[30];
	}else{
		$error='您的照片上传失败，请检查文件是否超出最大限制。';
	}
	parentUrlGo('',$error);
}else if($action=='getNoReadedEmail'){//获取未读取的内部邮件数量
	$row=getone("select count(*) as aCount from {$td_config['pre']}letter where forUserNick='{$td_online['userNick']}' and status=0",false);
	exit($row['aCount']);
}else if($action=="getCityByMap"){//城市地图使用
	!is_numeric($id)?exit("参数错误"):"";
	$areaList=readCache("area.php");
    $provice="";
    $cityList="";
    
    function threeSub($areaList,$id,$pre)
    {
    	$str="";
    	foreach($areaList as $t)
        {
        	if(is_numeric(strpos($t["areaName"],"区")))
            {
            	//continue;
            }
        	if($t["parentId"]==$id)
            {
            	$areaName=preg_replace('/[\(|（]+[0-9]+[\)|）]+/',"",$t["areaName"]);
            	$str.="&nbsp;&nbsp;<a href=\"javascript:void(0);\" onclick=\"setCityByMap('{$pre}->{$areaName}',{$t['areaId']});\">{$areaName}</a>";
            }
        }
        return $str."<br />";
    }
    
    foreach($areaList as $t)
    {
    	if($t["areaId"]==$id)
        {
        	$provice=$t["areaName"];
            if(is_numeric(strpos($t["areaName"],"北京")) || is_numeric(strpos($t["areaName"],"天津")) || is_numeric(strpos($t["areaName"],"上海")) || is_numeric(strpos($t["areaName"],"重庆")))
        	{
            	$cityList.="<a class=\"orange\" href=\"javascript:void(0);\" onclick=\"setCityByMap('{$provice}',{$t['areaId']});\">{$t['areaName']}</a><br />";
       		}
            break;
        }
    }
    foreach($areaList as $t)
    {
    	if($t["parentId"]==$id)
        {
        	
        	if(is_numeric(strpos($t["areaName"],"区")))
            {
            	//continue;
            }
            $areaName=preg_replace('/[\(|（]+[0-9]+[\)|）]+/',"",$t["areaName"]);
        	$pre="{$provice}->{$areaName}";
        	$cityList.="<a class=\"orange\" href=\"javascript:void(0);\" onclick=\"setCityByMap('{$pre}',{$t['areaId']});\">{$areaName}</a>";
            $cityList.=threeSub($areaList,$t["areaId"],$pre);
        }
    }
	if(!isNull($webUrl))
	{
		$webUrl=str_replace("?&","?",preg_replace('/[&]*(areaId=)[0-9]*/',"",$webUrl)."&areaId=");
		$webUrl=str_replace(".php&areaId",".php?areaId",$webUrl);
	}
	echo $cityList;
	echo'<script type="text/javascript">';
    echo<<<html
    	function setCityByMap(v,vId)
        {
			if("{$webUrl}"=="" || !isNull($("#inId").val()))
			{
				if(!isNull($("#areaLabel").val()))
				{
					$("#"+($("#areaLabel").val())).html(v);
				}
				$("#"+($("#inId").val())).val(vId);
			}
			else
			{
				window.location.href="{$webUrl}"+vId;
			}
            jQuery('#mapCity').html('');
            jQuery("#areaMap").hide();
            clearInterval(DingWeiMap);
        }
html;
	echo'</script>';
	exit();
}else if($action=='searchStuByName'){//由学生的姓名输出学生的学号、年级、班级下拉列表框
	if(isNull($v)){
		$error=$td_msg[0];
	}else if(!is_numeric($id) || (int)($id)<0){//如果不传递学校的ID，则返回错误
		$error='请选择学校';
	}else{
		$query->query("select * from {$td_config['pre']}student where schoolId={$id} and sName='{$v}' order by gradeId desc",1,true);
		if($query->recordCount==0){
			$error='查无此学生';
		}else{
			$select='<select name="stuSelect" id="stuSelect" onchange="setStuNo(this.value);"><option value="-1">---请选择---</option>';
			foreach($query->row as $q){
				$select.="<option value=\"{$q['sNo']}\">{$q['sNo']}&nbsp;&nbsp;{$q['sex']}&nbsp;&nbsp;{$q['gradeId']}.{$q['classId']}班</option>";
			}
			$select.="</select>";
		}
	}
	echo isNull($error)?$select:$error;
}else if($action=='getTeacherNameByUserNick'){//由职工的工号输出职工的姓名
	if(isNull($v)){
		$error="工号错误";
	}else{
		$row=$userObj->queryTeacher($v,true,1,20);
		if(!is_array($row) || count($row)!=count($row,true)){
			$error="此工号不存在";
		}else{
			$error='姓名：'.$row['userName'];
		}
	}
	exit($error);
}else if($action=='checkIdCardForAddPersonnelEditPersonnel'){
	if(isNull($v)){
		$error="请输入身份证号";
	}else{
		$sql="select * from {$td_config['pre']}teachers where idCard='{$v}'";
		$row=getone($sql,false);
		if(is_array($row) && count($row)>0){
			$error="身份证号已经存在，姓名：{$row['userName']}，工号：{$row['userNick']}";
		}else{
			$error="身份证号可用";
		}
	}
	exit($error);
}
?>