<?php
$thisDir=str_replace('\\','/',dirname(__FILE__));
header("content-type:text/html; charset=utf-8");
$moduleId=3;
require("{$thisDir}/../common.inc.php");
extract($_GET);

$error='';
$teacherStatus=array('待审','在职','离职','休假','请假','重新上岗');
$ypStatus=array('报名','技能面试通过','技能面试未通过','面试通过','面试未通过');//应聘者的报名状态
$lzReason=array('','违约','辞退','合同到期未续签');//离职原因
if(!isNull($action) && !$userObj->checkModuleOperation($td_online['userNick'],$moduleId,$action)){
	exit("你没有指定模块指定管理方式{$action}的管理权限");
}
if($action=='contractList' && $toExcel=='1'){
	$where=$userObj->kxAdmin()?" where 1":" where schoolId={$td_online['schoolId']} and unitId={$td_online['unitId']}";
	if(isset($endDay) && is_numeric($endDay) && $endDay!='-1'){
		$endDay=(int)($endDay);
		$endDay=$endDay<1?30:$endDay;
		$where.=" and date_sub(endTime,interval {$endDay} DAY)<date_format(now(),'%Y-%m-%d')";
	}
	$where.=(isset($schoolId) && is_numeric($schoolId) && $schoolId>0)?" and schoolId={$schoolId}":'';
	$where.=(isset($preUnit) && is_numeric($preUnit) && $preUnit>0)?" and unitId={$preUnit}":'';
	$where.=(isset($htStatus) && is_numeric($htStatus) && $htStatus!='-1')?" and status={$htStatus}":'';
	$where.=(isset($userNick) && preg_match($zz_userNick,$userNick))?" and userNick='{$userNick}'":'';
	$where.=(isset($user) && preg_match($zz_userNick,$user))?" and userNick='{$user}'":'';
	if(isset($userName) && !isNull($userName)){
		$row=getone("select userNick from {$td_config['pre']}teachers where userName='{$userName}'",false);
		$where.=is_array($row)?" and userNick='{$row['userNick']}'":" and 0";
	}
	$startNo=(!is_numeric($startNo) || $startNo<1)?1:(int)($startNo);
	$endNo=(!is_numeric($endNo) || $endNo<1 || $endNo<=$startNo)?$startNo+1000:(int)($endNo);
	$endNo=$endNo-$startNo>1000?$startNo+1000:$endNo;
	$startNo--;
	$endNo--;
	$sql="select id as 合同ID,contractNo as 合同编号,forUserNick as 工号,status as 状态,schoolId as 学校,unitId as 部门,positionId as 职位,picUser as 负责人工号,startTime as 生效日期,endTime as 终止日期 from {$td_config['pre']}contract {$where} order by id desc limit {$startNo},{$endNo}";
	exportExcel($sql,"职工合同","");
	exit();
}else if($action=='searchPersonnel' && $toExcel=='1'){
	$where=$userObj->kxAdmin()?" where 1":" where schoolId={$td_online['schoolId']} and unitId={$td_online['unitId']}";
	$where.=(isset($schoolId) && (int)($schoolId)>0 && is_numeric($schoolId))?" and schoolId={$schoolId}":'';
	$where.=(isset($preUnit) && (int)($preUnit)>0 && is_numeric($preUnit))?" and unitId={$preUnit}":'';
	$where.=(isset($pStatus) && is_numeric($pStatus) && $pStatus!='-1')?" and status={$pStatus}":'';
	$where.=(isset($userNick) && preg_match($zz_userNick,$userNick))?" and userNick='{$userNick}'":'';
	$where.=(isset($userName) && !isNull($userName))?" and userName like '%{$userName}%'":'';
	$where.=(isset($eduBackground) && !isNull($eduBackground) && $eduBackground!='0')?" and (eduBackground='{$eduBackground}' or secondEdu='{$eduBackground}')":'';
	$where.=(isset($positionId) && is_numeric($positionId) && (int)($positionId)>-1)?" and positionId={$positionId}":'';
	
	$startNo=(!is_numeric($startNo) || $startNo<1)?1:(int)($startNo);
	$endNo=(!is_numeric($endNo) || $endNo<1 || $endNo<=$startNo)?$startNo+1000:(int)($endNo);
	$endNo=$endNo-$startNo>1000?$startNo+1000:$endNo;
	$startNo--;
	$endNo--;
	$sql="select userNick as 工号,status as 状态,schoolId as 学校,unitId as 部门,positionId as 职位,jobDate as 入职日期,userName as 姓名,country as 国家,idCard as 身份证,sex as 性别,birthday as 出生日期,hometown as 籍贯,ethnic as 民族,hkAreaId as 户口,zzmm as 政治面貌,height as 身高,telephone as 电话,mobile as 手机,email as 电子邮箱,address as 地址,postno as 邮编,titles as 职称,xwz as 学位证,eduBackground as 第一学历,school as 毕业学校,zy as 学习专业,rxsj as 入学时间,bysj as 毕业时间,secondEdu as 第二学历,school as 毕业学校,zy as 学习专业,rxsj as 入学时间,bysj as 毕业时间,memo as 备注 from {$td_config['pre']}teachers {$where} order by id desc limit {$startNo},{$endNo}";
	exportExcel($sql,"","");
	exit();
}else if($action=='listWorkerStatus' && $toExcel=='1'){
	$where=$userObj->kxAdmin()?" where 1":" where a.schoolId={$td_online['schoolId']} and a.unitId={$td_online['unitId']}";
	$where.=(isset($schoolId) && (int)($schoolId)>0 && is_numeric($schoolId))?" and a.schoolId={$schoolId}":'';
	$where.=(isset($preUnit) && (int)($preUnit)>0 && is_numeric($preUnit))?" and a.unitId={$preUnit}":'';
	$where.=(isset($userNick) && preg_match($zz_userNick,$userNick))?" and a.userNick='{$userNick}'":'';
	$where.=(isset($userName) && !isNull($userName))?" and a.userName like '%{$userName}%'":'';
	$where.=(isset($ssDate) && td_check_date($ssDate))?" and a.startDate>='{$ssDate}'":'';
	$where.=(isset($seDate) && td_check_date($seDate) && $seDate>=$ssDate)?" and a.startDate<='{$seDate}'":'';
	$where.=(isset($esDate) && td_check_date($esDate))?" and a.endDate>='{$esDate}'":'';
	$where.=(isset($eeDate) && td_check_date($eeDate) && $eeDate>=$esDate)?" and a.endDate<='{$eeDate}'":'';
	$pageObj->query("select count(*) as aCount from {$td_config['pre']}teachers as a right join {$td_config['pre']}qingjia as b on a.id=b.forId {$where}","{$page}",30,5,"a.id,a.status as trueStatus,a.userNick,a.jobDate,a.schoolId,a.unitId,a.userName,a.startDate,a.endDate,b.*",false);
	
	$startNo=(!is_numeric($startNo) || $startNo<1)?1:(int)($startNo);
	$endNo=(!is_numeric($endNo) || $endNo<1 || $endNo<=$startNo)?$startNo+1000:(int)($endNo);
	$endNo=$endNo-$startNo>1000?$startNo+1000:$endNo;
	$startNo--;
	$endNo--;
	$sql="select a.status as trueStatus,a.userNick,a.jobDate,a.schoolId,a.unitId,a.userName as 姓名,a.startDate,a.endDate,b.* from {$td_config['pre']}teachers as a right join {$td_config['pre']}qingjia as b on a.id=b.forId {$where} limit {$startNo},{$endNo}";
	exportExcel($sql,"","");
	exit();
}
td_require("header.htm");
if($action=='addPersonnel'){
	$actionTitle="添加新员工";
	td_require("/{$module['path']}/addpersonnel.htm");
}else if($action=='listPersonnel' || $action=='searchPersonnel'){//浏览职工
	$actionTitle='职工查询';
	$where=$userObj->kxAdmin()?" where 1":" where schoolId={$td_online['schoolId']} and unitId={$td_online['unitId']}";
	$where.=(isset($schoolId) && (int)($schoolId)>0 && is_numeric($schoolId))?" and schoolId={$schoolId}":'';
	$where.=(isset($preUnit) && (int)($preUnit)>0 && is_numeric($preUnit))?" and unitId={$preUnit}":'';
	$where.=(isset($pStatus) && is_numeric($pStatus) && $pStatus!='-1')?" and status={$pStatus}":'';
	$where.=(isset($userNick) && preg_match($zz_userNick,$userNick))?" and userNick='{$userNick}'":'';
	$where.=(isset($userName) && !isNull($userName))?" and userName like '%{$userName}%'":'';
	$where.=(isset($eduBackground) && !isNull($eduBackground) && $eduBackground!='0')?" and (eduBackground='{$eduBackground}' or secondEdu='{$eduBackground}')":'';
	$where.=(isset($positionId) && is_numeric($positionId) && (int)($positionId)>-1)?" and positionId={$positionId}":'';
	$pageObj->query("select count(*) as aCount from {$td_config['pre']}teachers {$where} order by id desc","{$page}",30,5,"*",false);
	td_require("/{$module['path']}/listpersonnel.htm");
}else if($action=='editPersonnel'){//编辑职工信息
	$actionTitle='编辑职工信息';
	if(!is_numeric($id)){
		$error=$td_msg[42];
	}else{
		$where=$userObj->kxAdmin()?" where 1":" where schoolId={$td_online['schoolId']} and unitId={$td_online['unitId']}";
		$where.=" and id={$id}";
		$row=getone("select * from {$td_config['pre']}teachers {$where}",false);
		if(is_array($row)){
			extract($row);
		}else{
			$error='指定的员工记录不存在';
		}
	}
	if(isNull($error)){
		td_require("/{$module['path']}/addpersonnel.htm");
	}else{
		echo $error;
	}
}else if($action=='noContractList'){//无合同员工查询
	$actionTitle="无合同员工查询";
	$where=" where status=1";
	if($userObj->kxAdmin()){
		$where.=(isset($schoolId) && $schoolId!='-1')?" and schoolId={$schoolId}":'';
		$where.=(isset($preUnit) && $preUnit!='-1')?" and unitId='{$preUnit}'":'';
	}
	$pageObj->query("select count(*) as aCount from {$td_config['pre']}teachers as a {$where} and !exists(select b.forUserNick from {$td_config['pre']}contract as b where b.forUserNick=a.userNick)","{$page}",40,4,'*',false);
	td_require("/{$module['path']}/nocontractlist.htm");
}else if($action=='contractList' || $action=='userContract'){//合同管理
	$actionTitle='员工合同管理';
	$where=$userObj->kxAdmin()?" where 1":" where schoolId={$td_online['schoolId']} and unitId={$td_online['unitId']}";
	if(isset($endDay) && is_numeric($endDay) && $endDay!='-1'){
		$endDay=(int)($endDay);
		$endDay=$endDay<1?30:$endDay;
		$where.=" and date_sub(endTime,interval {$endDay} DAY)<date_format(now(),'%Y-%m-%d')";
	}
	$where.=(isset($schoolId) && is_numeric($schoolId) && $schoolId>0)?" and schoolId={$schoolId}":'';
	$where.=(isset($preUnit) && is_numeric($preUnit) && $preUnit>0)?" and unitId={$preUnit}":'';
	$where.=(isset($htStatus) && is_numeric($htStatus) && $htStatus!='-1')?" and status={$htStatus}":'';
	$where.=(isset($userNick) && preg_match($zz_userNick,$userNick))?" and forUserNick='{$userNick}'":'';
	//$where.=(isset($user) && preg_match($zz_userNick,$user))?" and forUserNick='{$user}'":'';
	if(isset($userName) && !isNull($userName)){
		$row=getone("select userNick from {$td_config['pre']}teachers where userName='{$userName}'",false);
		$where.=is_array($row)?" and userNick='{$row['userNick']}'":" and 0";
	}
	$pageObj->query("select count(*) as aCount from {$td_config['pre']}contract {$where} order by id desc","{$page}",25,4,'*',false);
	td_require("/{$module['path']}/contractlist.htm");
}else if($action=='modifyKqNo'){//编辑职工的考勤号
	$actionTitle='员工考勤号管理';
	$where=$userObj->kxAdmin()?" where 1":" where schoolId={$td_online['schoolId']} and unitId={$td_online['unitId']}";
	$where.=(isset($schoolId) && is_numeric($schoolId) && $schoolId>0)?" and schoolId={$schoolId}":'';
	$where.=(isset($preUnit) && is_numeric($preUnit) && $preUnit>0)?" and unitId={$preUnit}":'';
	$where.=(isset($kqNo) && !isNull($kqNo))?" and no='{$kqNo}'":'';
	$where.=(isset($userName) && !isNull($userName))?" and userName='{$userName}'":'';
	td_require("/{$module['path']}/modifykqno.htm");
}else if($action=='zpxxAddUser'){//添加应聘人员的信息
	$actionTitle='添加应聘人员信息';
	td_require("/{$module['path']}/zpxxadduser.htm");
}else if($action=='zpxxList'){//列表应聘人员的信息
	$actionTitle='应聘人员信息列表';
	$where=" where 1";
	$where.=(isset($sName) && !isNull($sName))?" and userName='{$sName}'":'';
	$where.=(isset($sIdNo) && !isNull($sIdNo))?" and sfzh='{$sIdNo}'":'';
	/*
	$where.=(isset($schoolId) && is_numeric($schoolId) && (int)($schoolId)>-1)?" and ypSchool={$schoolId}":'';
	$where.=(isset($unitId) && is_numeric($unitId) && (int)($unitId)>-1)?" and ypUnit={$unitId}":'';
	*/
	$sql="select count(*) as aCount from {$td_config['pre']}ypxx {$where} order by id desc";
	$pageObj->query($sql,"{$page}",30,5,'*',false);
	td_require("/{$module['path']}/zpxxlist.htm");
}else if($action=='setVisa'){//配置签呈
	$actionTitle='配置签呈';
	$where=" where 1";
	$where.=(isset($kw) && !isNull($kw))?" and visa='{$kw}'":'';
	$pageObj->query("select count(*) as aCount from {$td_config['pre']}setvisa {$where} order by visa desc","{$page}",10,4,'*',false);
	td_require("/{$module['path']}/setvisa.htm");
}else if($action=='visaPage'){//执行签呈审核
	$actionTitle='执行签呈审核';
	$where=" where 1";
	$where.=(isset($kw) && !isNull($kw))?" and title like '%{$kw}%'":'';
	$where.=(isset($status) && $status>=0)?" and status={$status}":'';
	$pageObj->query("select count(*) as aCount from {$td_config['pre']}visa {$where} order by id desc","{$page}",15,4,'*',false);
	td_require("/{$module['path']}/visapage.htm");
}else if($action=='setNotice'){//发布通知
	$actionTitle="学校通知管理";
	$where=" where userNick='{$td_online['userNick']}'";
	$where.=($userObj->kxAdmin() && is_numeric($schoolId) && $schoolId>0)?" where and schoolId={$schoolId}":((is_numeric($schoolId) && $schoolId>0)?" and schoolId={$schoolId} and schoolId={$td_online['schoolId']}":'');
	$pageObj->query("select count(*) as aCount from {$td_config['pre']}notice {$where} order by id desc","{$page}",25,4,'*',false);
	td_require("/{$module['path']}/setnotice.htm");
}else if($action=='setNoticeUpdate'){//修改通知
	$actionTitle="学校通知管理";
	$where=" where userNick='{$td_online['userNick']}'";
	$where.=($userObj->kxAdmin() && is_numeric($schoolId) && $schoolId>0)?" where and schoolId={$schoolId}":((is_numeric($schoolId) && $schoolId>0)?" and schoolId={$schoolId} and schoolId={$td_online['schoolId']}":'');
	$pageObj->query("select count(*) as aCount from {$td_config['pre']}notice {$where} order by id desc","{$page}",25,4,'*',false);
	if(!is_numeric($id)){
		echo'无效操作';
	}else{
		$row=$userObj->kxAdmin()?getone("select * from {$td_config['pre']}notice where userNick='{$td_online['userNick']}' and id={$id}",false):getone("select * from {$td_config['pre']}notice where userNick='{$td_online['userNick']}' and id={$id} and schoolId={$td_online['schoolId']}",false);
		if(!is_array($row)){
			echo'指定的ID错误，或指定的通知不是你发布的。你不能编辑他人发布的通知！';
		}else{
			extract($row);
			$row=getone("select content from {$td_config['pre']}notice_data where id={$id}",false);
			extract($row);
		}
	}
	td_require("/{$module['path']}/setnotice.htm");
}else if($action=='showInfo'){//显示职工详细
	$actionTitle='职工详细信息';
	if(!is_numeric($id)){
		echo $td_msg[0];
	}else{
		$row=$userObj->kxAdmin()?getone("select * from {$td_config['pre']}teachers where id={$id}",false):getone("select * from {$td_config['pre']}teachers where id={$id} and schoolId={$td_online['schoolId']}",false);
		if(!is_array($row)){
			echo '指定的员工不存在';
		}else{
			extract($row);
			td_require("/{$module['path']}/showinfo.htm");
		}
	}
}else if($action=='listWorkerStatus'){//查询职工状态信息
	$actionTitle='职工状态信息';
	$where=$userObj->kxAdmin()?" where 1":" where a.schoolId={$td_online['schoolId']} and a.unitId={$td_online['unitId']}";
	$where.=(isset($schoolId) && (int)($schoolId)>0 && is_numeric($schoolId))?" and a.schoolId={$schoolId}":'';
	$where.=(isset($preUnit) && (int)($preUnit)>0 && is_numeric($preUnit))?" and a.unitId={$preUnit}":'';
	$where.=(isset($userNick) && preg_match($zz_userNick,$userNick))?" and a.userNick='{$userNick}'":'';
	$where.=(isset($userName) && !isNull($userName))?" and a.userName like '%{$userName}%'":'';
	$where.=(isset($ssDate) && td_check_date($ssDate))?" and a.startDate>='{$ssDate}'":'';
	$where.=(isset($seDate) && td_check_date($seDate) && $seDate>=$ssDate)?" and a.startDate<='{$seDate}'":'';
	$where.=(isset($esDate) && td_check_date($esDate))?" and a.endDate>='{$esDate}'":'';
	$where.=(isset($eeDate) && td_check_date($eeDate) && $eeDate>=$esDate)?" and a.endDate<='{$eeDate}'":'';
	$pageObj->query("select count(*) as aCount from {$td_config['pre']}teachers as a right join {$td_config['pre']}qingjia as b on a.id=b.forId {$where}","{$page}",30,5,"a.id,a.status as trueStatus,a.userNick,a.jobDate,a.schoolId,a.unitId,a.userName,a.startDate,a.endDate,b.*",false);
	td_require("/{$module['path']}/listworkerstatus.htm");
}else if($action=='rzsqAdminSet'){//人事入职申请配置
	$actionTitle='入职申请配置';
	$where=" where 1";
	$where.=(isset($rzsqName) && !isNull($rzsqName))?" and rzsq='{$rzsqName}'":'';
	$pageObj->query("select count(*) as aCount from {$td_config['pre']}setrzsq {$where}","{$page}",25,4,"*",false);
	td_require("/{$module['path']}/rzsqadminset.htm");
}else if($action=='rzsqAdminAppend'){//添加入职申请
	$actionTitle='添加入职申请';
	td_require("/{$module['path']}/rzsqadminappend.htm");
}else if($action=='rzsqConfirm'){//审核入职申请
	$actionTitle='审核入职申请';
	//先查询当前帐号可以审核的入职申请，相同名称的入职申请分类取ID最小的ID值
	$myAudit=query("select * from {$td_config['pre']}setrzsq where userList like '%,{$td_online['userNick']},%'",false);
	if(!is_array($myAudit) || count($myAudit)==0){
		echo "<body>没有给你分配入职申请的审核权限</body>";
	}else{
		$mayAudit=$myStep='';
		foreach($myAudit as $m){
			$myStep.=($m['step']-1).",";
			if($m['step']=='1'){
				$mayAudit.="{$m['id']},";
			}else{
				foreach($rzsqNameList as $r){
					if($r['rzsq']==$m['rzsq'] && $r['step']=='1'){
						$mayAudit.="{$r['id']},";
					}
				}
			}
		}
		$mayAudit=trim($mayAudit,',');
		$myStep=trim($myStep,',');
		$where=" where rzsqId in({$mayAudit}) and auditStep in({$myStep})";
		$where.=(isset($rzsqId) && is_numeric($rzsqId) && $rzsqId!='-1')?" and rzsqId={$rzsqId}":'';
		$where.=(isset($userName) && !isNull($userName))?" and userName='{$userName}'":'';
		$pageObj->query("select count(*) as aCount from {$td_config['pre']}rzsq {$where}","{$page}",10,4,"*",false);
		td_require("/{$module['path']}/rzsqconfirm.htm");
	}
}else if($action=='rzsqShow'){//显示指定入职申请的详细信息
	$actionTitle="入职申请详细";
	if(!isset($id) || !is_numeric($id)){
		$error=$td_msg[0];
	}else{
		$row=getone("select * from {$td_config['pre']}rzsq where id={$id}",false);
		if(!is_array($row)){
			$error='指定的入职申请不存在';
		}
	}
	td_require("/{$module['path']}/rzsqshow.htm");
}else if($action=='rzsqAdminMyRow'){//我的入职申请
	$actionTitle="我的入职申请";
	$where=" where inUser='{$td_online['userNick']}'";
	$pageObj->query("select count(*) as aCount from {$td_config['pre']}rzsq {$where} order by id desc","{$page}",25,5,"*",false);
	td_require("/{$module['path']}/rzsqadminmyrow.htm");
}else if($action=='kqAppend' || $action=='kqEdit'){//员工考勤管理
	$actionTitle="员工考勤管理";
	
	if($action=='kqEdit' && is_numeric($id)){
		$row=getone("select * from {$td_config['pre']}kq where id={$id}",false);
		if(is_array($row)){
			extract($row);
		}
	}
	td_require("/{$module['path']}/kqappend.htm");
}else if($action=='kqSearch'){//员工考勤查询
	$actionTitle="员工考勤查询";
	$schoolId=($userObj->kxAdmin() && is_numeric($schoolId) && $schoolId!='-1')?$schoolId:$td_online['schoolId'];
	$where=" where kqNo<>'0'";
	$where.=$schoolId=='-1'?'':" and schoolId={$schoolId}";
	$where.=($userObj->kxAdmin() && isset($unitId) && is_numeric($unitId) && $unitId!='-1')?" and unitId={$unitId}":'';
	$where.=(isset($userNick) && !isNull($userNick))?" and userNick='{$userNick}'":'';
	$where.=(isset($userName) && !isNull($userName))?" and userName='{$userName}'":'';
	if(isset($yearId) && $yearId!='-1'){
		$pageObj->query("select count(*) as aCount from {$td_config['pre']}teachers {$where}","{$page}",30,5,"*",false);
	}
	td_require("/{$module['path']}/kqsearch.htm");
}else{
	td_require("/{$module['path']}/index.htm");
}
td_require("footer.htm");
?>