<?php
header("content-type:text/html; charset=utf-8");
$thisDir=str_replace('\\','/',dirname(__FILE__));
$moduleId=4;
require("{$thisDir}/../common.inc.php");
extract($_POST);
$error='';
$stuStatus=array('预报名0','正常1','老生退学2','新生退学3','毕业4','休学5','调班6','转学7','退学后报到8','未交费进班9','已报到因病请长假10','改名11','插班生12','请假13');
if(!$userObj->checkModuleOperation($td_online['userNick'],$moduleId,$action)){
	exit("你没有指定模块指定管理方式{$action}的管理权限");
}else if($action==='checkIdCardForAddEdit'){
	if(isNull(v)){
		$error="请输入身份证号码";
	}else{
		$sql="select * from {$td_config['pre']}student where idCard='{$v}'";
		$row=getone($sql,false);
		if(is_array($row) && count($row)>0){
			$error="已经存在相同的身份证号码，姓名：{$row['sName']}，学号：{$row['sNo']}";
		}else{
			$error="身份证号码正确";
		}
	}
	exit($error);
}else if($action=='addStu' || $action=='editStu'){//添加、编辑学生
	if(isNull($sName)){
		$error="请填写学生的姓名后保存";
	}else if(!isNull($idCard) && !$userObj->validation_filter_id_card($idCard)){
		$error='身份证号码错误';
/*
	}else if(!is_numeric($hometown) || (int)($hometown)<1){
		$error='请选择学生的籍贯所在地';
	}else if(!is_numeric($hkd) || (int)($hkd)<1){
		$error='请选择学生的户口所在地';
*/
	}else if(!is_numeric($schoolId) || (int)($schoolId)<1){
		$error='请选择学生入学所在的学校';
	}else if(!is_numeric($gradeId) || (int)($gradeId)<1){
		$error='请选择学生入学的年级';
	}else{
		$photo=uploadImage("photo",'',"{$td_config['headerImage']}");
		$photo=is_array($photo)?$photo[0]:'';
		$gradeId=(is_numeric($gradeId) && $gradeId>0)?$gradeId:0;
		$classId=(is_numeric($classId) && $classId>0)?$classId:0;
		$siteBus=$siteBus=='0'?0:1;
		$areaId=(is_numeric($areaId) && $areaId>0)?$areaId:0;
		$zsGroupId=(!is_numeric($zsGroupId) || intval($zsGroupId)==0)?0:(int)$zsGroupId;
		$zsls=",{$zsls},";
		$zsls=preg_replace("/(，{1,})/",",",$zsls);
		$zsls=preg_replace("/(\,{2,})/",",",$zsls);
		//如果没有输入学号，则自动根据学校编码生成学号
		if(isNull($sNo)){
			$randNo=mt_rand(1,9999);
			$randNo=format_number($randNo,4,'0');
			$sNo=$schoolId.date("Y").$randNo;
		}
		$zsPro=getone("select * from {$td_config['pre']}zsgroup where id={$zsGroupId}",true);
		$proId=is_array($zsPro)?$zsPro['proId']:0;
		
		$row=getone("select id,sName,photo from {$td_config['pre']}{$module['tableName']} where sNo='{$sNo}'",false);
		if($action=='addStu'){//添加学生
			$sql="select * from {$td_config['pre']}student where idCard='{$idCard}'";
			$result=getone($sql,false);
			if(is_array($result) && count($result)>0){
				$error="已经存在相同身份证号的其他学生（{$result['sNo']}，{$result['sName']}）";
			}else if(is_array($row)){
				$error="指定的学号已经存在，保存被取消！";
			}else{
				$sql="insert into {$td_config['pre']}{$module['tableName']}(status,sNo,sName,fromSchool,zsProId,zsGroupId,zsls,idCard,sex,birthday,ethnic,zzmm,hometown,hkd,photo,rxrq,schoolId,gradeId,classId,ssFloor,ssRoomNo,address,telephone,mobile,siteBus,areaId,bus,father,fTel,mather,mTel,userNick,inTime,editUser,editTime,ip,memo) values(0,'{$sNo}','{$sName}','{$fromSchool}',{$proId},{$zsGroupId},'{$zsls}','{$idCard}','{$sex}','{$birthday}','{$ethnic}','{$zzmm}',{$hometown},{$hkd},'{$photo}','{$rxrq}',{$schoolId},{$gradeId},{$classId},'{$foorName}','{$roomNo}','{$address}','{$telephone}','{$mobile}',{$siteBus},{$areaId},'{$bus}','{$father}','{$fTel}','{$mather}','{$mTel}','{$td_online['userNick']}','{$td_config['dateTime']}','{$td_online['userNick']}','{$td_config['dateTime']}','{$td_config['ip']}','{$content}')";
				$id=myupdate($sql);
				if(mysql_errno()){
					$error=$td_msg[7];
				}else{
					if($isZBS=='1'){//如果是插班生，则写入状态记录表
						$sql="insert into {$td_config['pre']}stustatus(sNo,sName,schoolId,gradeId,classId,statusBefore,statusAfter,userNick,setDate,inTime,ip) values('{$sNo}','{$sName}',{$schoolId},{$gradeId},{$classId},-1,-1,'{$td_online['userNick']}','{$td_config['date']}','{$td_config['dateTime']}','{$td_config['ip']}')";
						myupdate($sql);
						if(mysql_errno()){
							myupdate("delete from {$td_config['pre']}{$module['tableName']} where id={$id}");
							$error=$td_msg[7];
						}else{
							$error=$td_msg[30];
						}
					}else{
						$error=$td_msg[30];
					}
					//更新学生人数变动上报数据
					if($error=$td_msg[30]){
						$sql="select count(sNo) as aCount,sex from {$td_config['pre']}student where schoolId={$schoolId} and gradeId={$gradeId} and classId={$classId} and (status=1 or status=6 or status=8 or status=9 or status=11 or status=12 or status=13) group by sex";
						$stuSum=query($sql,false);
						$sbSum=getone("select * from {$td_config['pre']}stucount where schoolId={$schoolId} and gradeId={$gradeId} and classId={$classId} and sbDate='{$td_config['date']}'",false);
						if(is_array($sbSum)){
							if($sex=='男'){
								$sql="update {$td_config['pre']}stucount set boySum=boySum+1,newSum=newSum+1 where schoolId={$schoolId} and gradeId={$gradeId} and classId={$classId} and sbDate='{$td_config['date']}'";
							}else{
								$sql="update {$td_config['pre']}stucount set girlSum=girlSum+1,newSum=newSum+1 where schoolId={$schoolId} and gradeId={$gradeId} and classId={$classId} and sbDate='{$td_config['date']}'";
							}
							myupdate($sql);
						}else{
							$boySum=$girlSum=$cbsBoySum=$cbsGirlSum=0;
							foreach($stuSum as $s){
								if($s['sex']=='男'){
									$boySum=is_numeric($s['aCount'])?$s['aCount']:0;
								}else{
									$girlSum=is_numeric($s['aCount'])?$s['aCount']:0;
								}
							}
							
							if($sex=='男'){
								$boySum++;
								$cbsBoySum=1;
							}else{
								$girlSum++;
								$cbsGirlSum=1;
							}
							$stuSum=$boySum+$girlSum;
							$sql="insert into {$td_config['pre']}stucount(schoolId,gradeId,classId,boySum,girlSum,stuSum,txBoySum,txGirlSum,cbsBoySum,cbsGirlSum,userNick,sbDate,inTime) values({$schoolId},{$gradeId},{$classId},{$boySum},{$girlSum},{$stuSum},0,0,{$cbsBoySum},{$cbsGirlSum},'{$td_online['userNick']}','{$td_config['date']}','{$td_config['dateTime']}')";
							myupdate($sql);
						}
					}
				}
				journalIn("添加学生{$sNo}，{$sName}，学校{$schoolId}。操作结果：{$error}");
			}
		}else if(!is_array($row)){
			$error='指定学号的学生不存在';
		}else{//编辑学生信息
			if(!is_numeric($id)){
				$error=$td_msg[42];
			}else{
				$sql="select * from {$td_config['pre']}student where sNo<>'{$sNo}' and idCard='{$idCard}'";
				$result=getone($sql,false);
				if(is_array($result) && count($result)>0){
					$error="已经存在相同身份证号的其他学生（{$result['sNo']}，{$result['sName']}）";
				}else{
					$photo=isNull($photo)?'':"photo='{$photo}',";
					if(!isNull($photo) && !isNull($row['photo']) && file_exists($td_config['webRoot'].$td_config['headerImage'].$row['photo'])){
						@chmod($td_config['webRoot'].$td_config['headerImage'].$row['photo']);
						@unlink($td_config['webRoot'].$td_config['headerImage'].$row['photo']);
					}
					$sql="update {$td_config['pre']}{$module['tableName']} set sName='{$sName}',idCard='{$idCard}',sex='{$sex}',birthday='{$birthday}',ethnic='{$ethnic}',zzmm='{$zzmm}',hometown={$hometown},hkd={$hkd},{$photo}rxrq='{$rxrq}',schoolId={$schoolId},zsProId={$proId},zsGroupId={$zsGroupId},zsls='{$zsls}',gradeId={$gradeId},classId={$classId},ssFloor='{$floorName}',ssRoomNo='{$roomNo}',address='{$address}',telephone='{$telephone}',mobile='{$mobile}',areaId={$areaId},bus='{$bus}',father='{$father}',fTel='{$fTel}',mather='{$mather}',mTel='{$mTel}',editUser='{$td_online['userNick']}',editTime='{$td_config['dateTime']}',memo='{$content}' where sNo='{$sNo}'";
					myupdate($sql);
					$error=mysql_errno()?$td_msg[7]:$td_msg[30];
					if($error==$td_msg[30] && $sex!=$row['sex']){
						//更新因学生性别发生变化而需要修改的数据
						if($sex=='男'){
							$sql="update {$td_config['pre']}hsf set sex='男' where stuNo='{$sNo}'";
							myupdate($sql);
						}else if($sex=='女'){
							$sql="update {$td_config['pre']}hsf set sex='女' where stuNo='{$sNo}'";
							myupdate($sql);
						}
					}
				}
			}
			journalIn("修改学号［{$sNo}］，姓名：{$sName}学生的基本信息。操作结果：{$error}");
		}
	}
	parentUrlGo('',$error);
}else if($action==='checkSnoForAddStu'){//查询学号是否重复
	if(isNull($v)){
		$error=$td_msg[0];
	}else{
		$sql="select * from {$td_config['pre']}student where sNo='{$v}' limit 1";
		$row=getone($sql,false);
		if(is_array($row) && count($row)){
			$error="<label class=\"red\">已经存在相同的学号</label>";
		}else{
			$error="学号可以使用";
		}
	}
	echo $error;
}else if($action=='checkyczStuName'){//添加学生时，查询同名的学生是否已经存在
	if(isNull($v)){
		$error=$td_msg[0];
	}else{
		$row=getone("select id,sName from {$td_config['pre']}student where sName='{$v}'",false);
		if(is_array($row)){
			$error='存在同名学生，但你仍然可以使用这个姓名作为新学生保存';
		}else{
			$error='不存在同名学生';
		}
	}
	exit($error);
}else if($action=='getZsGroupForName'){//添加学生时，由招生组的名称查询招生组
	if(isNull($v) || !is_numeric($id)){
		return false;
	}else{
		$sql="select * from {$td_config['pre']}zsgroup where schoolId={$id} and groupName like '%{$v}%' order by id";
		$query->query($sql,false);
		echo<<<html
		<select name="zsGroupId" id="zsGroupId"><option value="-1">---请选择---</option>
html;
		foreach($query->row as $q){
			$zsPro=getone("select * from {$td_config['pre']}zspro where id={$q['proId']}",true);
			echo<<<html
			<option value="{$q['id']}">（{$zsPro['proName']}）{$q['groupName']}</option>
html;
		}
		echo"</select>";
	}
}else if($action=='setStuStatus'){//输出学生状态配置界面
	if(!is_numeric($id)){
		$error=$td_msg[42];
	}else{
		$row=getone("select id,status,sNo,sName,schoolId,gradeId,classId from {$td_config['pre']}{$module['tableName']} where id={$id}",false);
		if(!is_array($row)){
			$error='指定的学生不存在';
		}else{
			$class=$teachObj->classSelect('classes','classes','',"{$row['classId']}",$row['schoolId'],$row['gradeId']);
			$select=<<<html
			<select name="statusSel" id="statusSel" onChange="setOther(this.value);">
html;
			foreach($stuStatus as $key=>$t){
				$select.="<option value=\"{$key}\">{$t}</option>";
			}
			$select.="</select>";
			echo<<<html
			<center><b>配置学生{$row['sNo']}&nbsp;{$row['sName']}&nbsp;的状态</b></center>
			<b>当前状态：</b>{$stuStatus[$row['status']]}<br />
			<b>修改状态为：</b>{$select}<br />
			<span id="classAfter" style="display:none;">调整后所在班级：{$class}<br /></span>
			<span id="schoolAfter" style="display:none;">调整后所在学校：<input type="text" name="school" id="school" size="20" maxlength="20" /><br /></span>
			<span id="sNameAfter" style="display:none;">新姓名：<input type="text" name="nsName" id="nsName" size="20" maxlength="20" /><br /></span>
			<span>变动日期：<input type="text" name="setDate" id="setDate" value="{$td_config['date']}" size="10" maxlength="10" onkeypress="return setMyTime(this,window.event);" onclick="laydate();" /><br /></span>
			<center><input type="button" name="saveStatus" id="saveStatus" value=" 保 存 " onclick="fastOperation('setStuStatusSave',{$id},$('#statusSel').val())" /></center>
html;
		}
	}
	exit($error);
}else if($action=='setStuStatusSave'){//保存学生的状态
	$v=jsonToArray($v);
	if(!is_numeric($id) || !is_array($v) || count($v)!=4 || !isset($v['v']) || !isset($v['class']) || !isset($v['setDate']) && !td_check_date($v['setDate'])){
		$error=$td_msg[0];
	}else if(!isset($stuStatus[$v['v']])){
		$error='指定的学生状态不存在';
	}else{
		$row=getone("select * from {$td_config['pre']}{$module['tableName']} where id={$id}",false);
		if(!is_array($row)){
			$error='指定的学生不存在，或其所处的状态不允许再编辑。';
		}else{
			$schoolId=is_numeric($row['schoolId'])?$row['schoolId']:0;
			$gradeId=is_numeric($row['gradeId'])?$row['gradeId']:0;
			$classId=is_numeric($row['classId'])?$row['classId']:0;
			$sName='';
			myupdate("insert into {$td_config['pre']}stustatus(sNo,sName,sNameAfter,schoolId,gradeId,classId,statusBefore,statusAfter,classAfter,userNick,setDate,inTime,ip) values('{$row['sNo']}','{$row['sName']}','{$v['sName']}',{$schoolId},{$gradeId},{$classId},{$row['status']},{$v['v']},'{$v['class']}','{$td_online['userNick']}','{$v['setDate']}','{$td_config['dateTime']}','{$td_config['ip']}')");
			if(mysql_errno()){
				$error=$td_msg[7];
			}else{
				$status=($v['v']=='6' || $v['v']=='8' || $v['v']=='9' || $v['v']=='11' || $v['v']=='12' || $v['v']=='13')?1:$v['v'];
				if(isset($v['class']) && is_numeric($v['class']) && $v['v']=='6'){
					myupdate("update {$td_config['pre']}{$module['tableName']} set status={$status},classId={$v['class']},setTime='{$td_config['date']}',editUser='{$td_online['userNick']}',editTime='{$td_config['dateTime']}' where id={$id}");
				}else if($v['v']=='11'){
					myupdate("update {$td_config['pre']}{$module['tableName']} set sName='{$v['sName']}',setTime='{$td_config['date']}',editUser='{$td_online['userNick']}',editTime='{$td_config['dateTime']}' where id={$id}");
				}else{
					myupdate("update {$td_config['pre']}{$module['tableName']} set status={$status},setTime='{$td_config['date']}',editUser='{$td_online['userNick']}',editTime='{$td_config['dateTime']}' where id={$id}");
				}
				$error=$td_msg[30];
			}
		}
	}
	journalIn("修改学号［{$row['sNo']}］，姓名：{$row['sName']}学生的学习状态由{$stuStatus[$row['status']]}为{$stuStatus[$v['v']]}。操作结果：{$error}");
	exit($error);
}else if($action=='checkStuNo'){//手动调班时检测学号
	$v=jsonToArray($v);
	extract($v);
	$sNo=$id;
	$sNo=str_replace(array('&nbsp','　','，'),array('','',','),$sNo);
	if(!is_numeric($schoolId)){
		$error='未选择学校';
	}else if(!is_numeric($gradeId)){
		$error='未选择旧的年级';
	}else if(isNull($sNo)){
		$error='未输入学生的学号';
	}else{
		if(sys::getSchool($schoolList,$schoolId,true)==false){
			$error='指定的学校不存在';
		}else if(!$teachObj->existsGrade($schoolId,$gradeId)){
			$error="指定的学校不存在指定的年级{$gId}";
		}else{
			$sNoArray=explode(',',$sNo);
			if(count($sNoArray)==0){
				$error='没有输入学生的学号';
			}else{
				$fail='指定学校、年级的学号不存在：';
				foreach($sNoArray as $s){
					$stu=getone("select * from {$td_config['pre']}student where schoolId={$schoolId} and gradeId={$gradeId} and sNo='{$s}'",false);
					if(!is_array($stu)){
						$fail.=$s.'，';
					}
				}
				if($fail=='指定学校、年级的学号不存在：'){
					exit("学号全部通过验证");
				}else{
					exit($fail);
				}
			}
		}
	}
	exit($error);
}else if($action=='stuTiaoBan'){//学生手动调班
	$sNo=str_replace(array('&nbsp','　','，'),array('','',','),$sNo);
	if(!is_numeric($schoolId) || !is_numeric($newSchool)){
		$error='未选择旧或新学校';
	}else if(!is_numeric($gradeId)){
		$error='未选择旧的年级';
	}else if(isNull($sNo)){
		$error='未输入学生的学号';
	}else if(!is_numeric($gId) || (int)($gId)<0){
		$error='没有选择新的年级';
	}else if(!is_numeric($cId) || (int)($cId)<0){
		$error='没有选择新的班级';
	}else{
		if(sys::getSchool($schoolList,$schoolId,true)==false){
			$error='指定的旧学校不存在';
		}else if(sys::getSchool($schoolList,$newSchool,true)==false){
			$error='指定的新学校不存在';
		}else if(!$teachObj->existsGrade($newSchool,$gId)){
			$error="指定的学校不存在指定的年级{$gId}";
		}else if($teachObj->getClassSum($newSchool,$gId)<(int)($cId)){
			$error="指定的学校，{$gId}年级没有开设班级{$cId}";
		}else{
			$sNoArray=explode(',',$sNo);
			if(count($sNoArray)==0){
				$error='没有输入学生的学号';
			}else{
				$success='以下指定的学生成功保存分班信息：';
				$fail='以下指定的学生未被成功保存，可能原因为指定学校、年级的学号不存在：';
				foreach($sNoArray as $s){
					$stu=getone("select * from {$td_config['pre']}student where schoolId={$schoolId} and gradeId={$gradeId} and sNo='{$s}'",false);
					if(is_array($stu)){
						$success.=$s.'，';
					}else{
						$fail.=$s.'，';
					}
				}
				$sql="update {$td_config['pre']}student set schoolId={$newSchool},gradeId={$gId},classId={$cId} where sNo in({$sNo})";
				myupdate($sql);
			}
		}
	}
	journalIn("批量修改学生就读学校、年级、班级，{$row['sNo']}。操作结果：{$error}，{$error}，{$success}，{$fail}");
	if(!isNull($error)){
		exit($error);
	}else{
		echo $success.'<br />'.$fail;
		exit();
	}
}else if($action=='manageBusResetStu'){//在学生查询界面修改学生乘坐的校车牌号
	if(!is_numeric($id)){
		$error=$td_msg[42];
	}else{
		$stu=getone("select * from {$td_config['pre']}{$module['tableName']} where id={$id}",false);
		if(!is_array($stu)){
			$error='指定的学生不存在';
		}else{
			if(!isNull($v)){
				$bus=getone("select id from {$td_config['pre']}bus where busNo='{$v}'",false);
				if(!is_array($bus)){
					$error='指定的校车不存在';
				}else if($stu['bus']==$v){
					$error='车牌号未变，数据未修改。';
				}else{
					myupdate("update {$td_config['pre']}{$module['tableName']} set bus='{$v}' where id={$id}");
					myupdate("update {$td_config['pre']}bus set sumAll=sumAll+1 where id={$bus['id']}");
					if(!isNull($str['bus'])){
						myupdate("update {$td_config['pre']}bus set sumAll=sumAll-1 where busNo='{$stu['bus']}'");
					}
					$error=mysql_errno()?$td_msg[7]:$td_msg[30];
				}
			}else{
				myupdate("update {$td_config['pre']}{$module['tableName']} set bus='' where id={$id}");
				if(!isNull($str['bus'])){
					myupdate("update {$td_config['pre']}bus set sumAll=sumAll-1 where busNo='{$stu['bus']}'");
				}
				$error=mysql_errno()?$td_msg[7]:$td_msg[30];
			}
		}
	}
	exit($error);
}else if($action=='getAreaList'){//输出校车路线选择界面
	$xian=$userObj->xxzc('xian','xian',0,"fastOperation('getXiangZhen',this.value,'')",'');
	echo<<<html
	<div style="width:100%; height:300px; overflow:scroll;">
	选择市/县/区：{$xian}&nbsp;&nbsp;<span id="newXiang"></span>&nbsp;&nbsp;<span id="newCun"></span><br /><center><input type="button" name="confirmBt" id="confirmBt" value=" 确 定 " onclick="setAreaList();" /></center>
	</div>
html;
}else if($action=='getXiangZhen'){//获取乡镇
	if(!is_numeric($id)){
		echo $td_msg[0];
	}else{
		$areaSmall=readCache("areasmall.php");
		foreach($areaSmall as $t){
			if($t['parentId']==$id){
				if(isNull(trim($t['subId'],','))){
					echo<<<html
					<input type="checkbox" name="area[]" id="area_{$t['areaId']}" value="{$t['areaId']}" />{$t['areaName']}&nbsp;&nbsp;
html;
				}else{
					echo<<<html
					<br /><b><a href="javascript:void(0);" onclick="fastOperation('getCun',{$t['areaId']},'cunDiv_{$t['areaId']}')">{$t['areaName']}</a></b>
					<div id="cunDiv_{$t['areaId']}"></div>
html;
				}
			}
		}
	}
}else if($action=='getCheckBusOderId'){//检测给出的校车分车序号是否已经被占用
	if(!is_numeric($v) || $v<0){
		$error='序号格式错误';
	}else{
		$row=getone("select id from {$td_config['pre']}bus where orderId={$v}",false);
		$error=is_array($row)?'已被占用':'可以使用';
	}
	exit($error);
}else if($action=="getCun"){//获取村
	if(!is_numeric($id)){
		echo $td_msg[0];
	}else{
		$areaSmall=readCache("areasmall.php");
		echo"<div id=\"cunDiv\" style=\"display:none;\">";
		foreach($areaSmall as $t){
			if($t['parentId']==$id){
				echo<<<html
				<input type="checkbox" name="area[]" id="area_{$t['areaId']}" value="{$t['areaId']}" />{$t['areaName']}&nbsp;&nbsp;
html;
			}
		}
		echo"</div><script type=\"text/javascript\">$('#{$v}').html($('#cunDiv').html());$('#cunDiv').remove();</script>";
	}
}else if($action=='manageBusNew' || $action=='manageBusEdit'){//保存校车配置
	if(isNull($newBusNo)){
		$error='车牌号错误';
	}else if(!preg_match($zz_number,$newSumMan) || (int)($newSumMan)<6){
		$error='请正确输入新车准乘人数';
	}else if(!preg_match($zz_number,$newOrderId)){
		$error='请正确输入新校车在学生分校车时的序号';
	}else{
		if($action=='saveNewBus'){//新增
			$row=getone("select id from {$td_config['pre']}bus where busNo='{$newBusNo}'",false);
			if(is_array($row)){
				$error="车牌号{$newBusNo}已经存在，不能重复使用。";
			}else{
				$row=getone("select orderId from {$td_config['pre']}bus where orderId={$newOrderId}",false);
				if(is_array($row)){
					$row=getone("select orderId from {$td_config['pre']}bus order by orderId desc",false);
					$newOrderId=$row['orderId']+1;
				}
				$newSumMan=(int)($newSumMan);
				$newAreaList=preg_replace("/[\,]{2,}/",",",$newAreaList);
				myupdate("insert into {$td_config['pre']}bus(busNo,sumMan,sumAll,areaList,orderId) values('{$newBusNo}',{$newSumMan},1,'{$newAreaList}',{$newOrderId})");
				$error=mysql_errno()?$td_msg[7]:$td_msg[30];
			}
		}else{//编辑
			if(!is_numeric($id)){
				$error=$td_msg[42];
			}else{
				$row=getone("select id from {$td_config['pre']}bus where id={$id}",false);
				if(!is_array($row)){
					$error='指定的校车不存在';
				}else{
					$row=getone("select id from {$td_config['pre']}bus where id<>{$id} and busNo='{$newBusNo}'",false);
					if(is_array($row)){
						$error='指定的车牌号已经被其它车辆使用';
					}else{
						$row=getone("select orderId from {$td_config['pre']}bus where orderId={$newOrderId}",false);
						if(is_array($row)){
							$row=getone("select orderId from {$td_config['pre']}bus order by orderId desc",false);
							$newOrderId=$row['orderId']+1;
						}
						$newSumMan=(int)($newSumMan);
						$newAreaList=preg_replace("/[\,]{2,}/",",",$newAreaList);
						myupdate("update {$td_config['pre']}bus set busNo='{$newBusNo}',sumMan={$newSumMan},areaList='{$newAreaList}',orderId={$newOrderId} where id={$id}");
						$error=mysql_errno()?$td_msg[7]:$td_msg[30];
					}
				}
			}
		}
	}
	parentUrlGo('',$error);
}else if($action=='manageBusRoad'){//显示指定校车的详细路线信息
	if(!is_numeric($id)){
		$error=$td_msg[42];
	}else{
		$row=getone("select * from {$td_config['pre']}bus where id={$id}",false);
		if(!is_array($row)){
			$error='指定的校车不存在';
		}else if(isNull(trim($row['areaList'],','))){
			$error="{$row['busNo']}校车的行车路线不存在，请配置此校车的行驶路线。";
		}else{
			$areaSmall=readCache("areasmall.php");
			$road=explode(',',trim($row['areaList'],','));
			echo<<<html
			<center><h3>{$row['busNo']}校车的详细行驶路线信息</h3></center>
html;
			foreach($road as $r){
				$str.=getAreaLevel($areaSmall,$r['id'],"").'，';
			}
		}
		echo $str;
	}
	exit($error);
}else if($action=='manageBusDelete'){//删除校车
	if(!is_numeric($id)){
		$error=$td_msg[42];
	}else{
		$row=getone("select busNo from {$td_config['pre']}bus where id={$id}",false);
		if(!is_array($row)){
			$error=$td_msg[0];
		}else{
			myupdate("delete from {$td_config['pre']}bus where id={$id}");
			//同时在学生信息表中删除该校车的分车信息
			myupdate("update {$td_config['pre']}{$module['tableName']} set bus='' where bus='{$row['busNo']}'");
			$error=mysql_errno()?$td_msg[7]:$td_msg[30];
		}
	}
	exit($error);
}else if($action=='manageBusSetOrderId'){//修改校车分车序号
	if(!is_numeric($id)){
		$error=$td_msg[42];
	}else if(!is_numeric($v) || (int)($v)<0){
		$error=$td_msg[0];
	}else{
		$v=(int)($v);
		myupdate("update {$td_config['pre']}bus set orderId={$v} where id={$id}");
		$error=mysql_errno()?$td_msg[7]:$td_msg[30];
	}
	exit($error);
}else if($action=='manageBusStu'){//分车
	set_time_limit(0);
	if(!is_numeric($schoolId) || $schoolId<1){
		$error='请正确选择学校';
	}else if(!isset($gradeId) || !is_numeric($gradeId) || $gradeId<1){
		$error='请正确选择年级';
	}else{
		//学生查询条件
		$where=" where status=1 and siteBus=1 and schoolId={$schoolId} and gradeId={$gradeId}";
		$where.=$stu==2?" and (bus is null or bus='')":"";
		$where.=(isset($classId) && $classId>0)?" and classId={$classId}":'';
		//校车查询条件
		$busNo=str_replace($busNo,'，',',');
		$busNo=trim(preg_replace("/[\,]{2,}/",",",$busNo),',');
		$busWhere=" where (areaList is not null and areaList<>'')";
		if(!isNull($busNo)){
			$busNo=explode(',',$busNo);
			$busWhere.=" and(";
			foreach($busNo as $b){
				$busWhere.=" busNo='{$b}' or";
			}
			$busWhere=trim($busWhere,' or').')';
		}
		$bus=query("select * from {$td_config['pre']}bus {$busWhere} order by orderId asc,id desc",false);
		if(is_array($bus)){
			//如果是对符合条件的所有学生分车，则，将符合条件的所有学生的车牌号码字段清空
			if($stu=='1'){
				myupdate("update {$td_config['pre']}student set bus='' {$where}");
			}
			foreach($bus as $t){
				$areaSmallList=explode(',',trim($t['areaList'],','));
				$temp=$t['sumMan']-$t['sumAll'];
				if($temp>0){
					foreach($areaSmallList as $area){
						$tempWhere=$where." and areaId={$area}";
						$stuCount=getone("select count(*) as aCount from {$td_config['pre']}student {$tempWhere}",false);
						if($stuCount['aCount']==0){
							continue;
						}else if($stuCount['aCount']>$temp){
							$stuList=query("select id,sNo,sName,bus from {$td_config['pre']}student {$tempWhere} limit 0,{$temp}",false);
							$idList='';
							foreach($stuList as $s){
								$idList.=",{$s['id']}";
							}
							$idList=trim($idList,',');
							myupdate("update {$td_config['pre']}student set bus='{$t['busNo']}' where id in({$idList})");
						}else{
							myupdate("update {$td_config['pre']}student set bus='{$t['busNo']}' {$tempWhere}");
						}
					}
					$stuCount=getone("select count(*) as aCount from {$td_config['pre']}student where bus='{$t['busNo']}'",false);
					$stuCount=$stuCount['aCount']+1;
					myupdate("update {$td_config['pre']}bus set sumAll={$stuCount} where busNo='{$t['busNo']}'");
				}
			}
			$error="系统自动分车操作已经完成";
		}else{
			$error="没有满足条件的校车";
		}
	}
	parentUrlGo('',$error);
}else if($action=='addStuImport'){//导入学生
	if($_FILES['importFile']['error']){
		$error='文件上传失败';
	}else if(mb_substr($_FILES['importFile']['name'],mb_strlen($_FILES['importFile']['name'],$td_config['charset'])-3,3,$td_config['charset'])!='xls'){
		$error='导入数据只能使用xls格式的EXCEL文件';
	}else{
		$fileName=fileName(8).'.xls';
		$filePath=$td_config['webRoot'].'/temp/'.$fileName;
		if(move_uploaded_file($_FILES['importFile']['tmp_name'],$filePath)){
			$xlsConn=new COM("ADODB.connection");
			$str="Driver={Microsoft Excel Driver (*.xls)}; dbq={$filePath}";
			$xlsConn->Open($str);
			$sql="select * from [Sheet1$]";
			$rst=new COM("Adodb.Recordset");
			$rst=$xlsConn->Execute($sql);
			$fields=array('学号','姓名','身份证','性别','出生日期','民族','政治面貌','籍贯','户口地','入学日期','学校','年级','班级','宿舍楼','宿舍','联系地址','电话','手机','乘坐校车','居住地','校车','父亲','父亲联系电话','母亲','母亲联系电话','备注');
			$birthday=isNull($v[4])?'':date("Y-m-d",strtotime($v[4]));
			$rxrq=isNull($v[9])?'':date('Y-m-d',strtotime($v[9]));
			
			if($rst->Fields->count!=count($fields)){
				$error="EXCEL文件中字段数量不够，请严格按照示例中的格式整理学生数据。";
			}else{
				for($i=0; $i<count($fields); $i++){
					if(iconv("gbk","utf-8",$rst->Fields[$i]->name)!=$fields[$i]){
						$error="EXCEL文件中字段名称有错误，请严格按照示例中的格式整理学生数据。";
						break;
					}
				}
				if(isNull($error)){
					$errId='';
					$lId=1;
					$v=array();
					while(!$rst->Eof){
						$lId++;
						for($i=0; $i<$rst->Fields->count; $i++){
							$v[$i]=iconv("gbk",$td_config['charset'],$rst->Fields[$i]->value);
						}
						$v[1]=str_replace(" ","",$v[1]);
						$v[1]=str_replace("　","",$v[1]);
						//if(preg_match("/^[a-z0-9_]{1,20}$/i",$v[0]) && !isNull($v[1]) && $userObj->validation_filter_id_card($v[2]) && !isNull($v[5]) && is_numeric($v[7]) && is_numeric($v[8]) && is_numeric($v[10]) && !isNull($v[11]) && is_numeric($v[12])){//带身份证条件判断
						if(preg_match("/^[a-z0-9_]{1,20}$/i",$v[0]) && !isNull($v[1]) && !isNull($v[5]) && is_numeric($v[7]) && is_numeric($v[8]) && is_numeric($v[10]) && !isNull($v[11]) && is_numeric($v[12])){
							$row=getone("select sNo from {$td_config['pre']}{$module['tableName']} where sNo='{$v[0]}'",false);
							if(!is_array($row)){
								$hometown=$v[8];
								$hkd=$v[9];
								$schoolId=$v[10];
								$grade=$v[11];
								$class=$v[12];
								$siteBus=$v[18];
								$areaId=$v[19];
								$hometown=(!is_numeric($hometown))?0:(int)($hometown);
								$hkd=(!is_numeric($hkd))?0:(int)($hkd);
								$schoolId=(!is_numeric($schoolId))?0:(int)($schoolId);
								$siteBus=(is_numeric($siteBus) && ($siteBus=='0' || $siteBus=='否'))?0:1;
								$areaId=(!is_numeric($areaId))?0:(int)($areaId);
								$sql="insert into {$td_config['pre']}{$module['tableName']}(status,sNo,sName,idCard,sex,birthday,ethnic,zzmm,hometown,hkd,rxrq,schoolId,gradeId,classId,ssFloor,ssRoomNo,address,telephone,mobile,siteBus,areaId,bus,father,fTel,mather,mTel,userNick,inTime,ip,memo) values(1,'{$v[0]}','{$v[1]}','{$v[2]}','{$v[3]}','{$birthday}','{$v[5]}','{$v[6]}',{$v[7]},{$v[8]},'{$rxrq}',{$schoolId},{$grade},{$class},'{$v[13]}','{$v[14]}','{$v[15]}','{$v[16]}','{$v[17]}',{$siteBus},{$areaId},'{$v[20]}','{$v[21]}','{$v[22]}','{$v[23]}','{$v[24]}','{$td_online['userNick']}','{$td_config['dateTime']}','{$td_config['ip']}','{$v[25]}')";
								myupdate($sql);
								$stuSum=query("select count(sNo) as aCount,sex from {$td_config['pre']}student where schoolId={$schoolId} and gradeId={$grade} and classId={$class} and (status=1 or status=8 or status=13) group by sex",false);
								$sbSum=getone("select * from {$td_config['pre']}stucount where schoolId={$schoolId} and gradeId={$grade} and classId={$class} and sbDate='{$td_config['date']}'",false);
								if(is_array($sbSum)){
									if($v[3]=='男'){
										$sql="update {$td_config['pre']}stucount set boySum=boySum+1,newSum=newSum+1 where schoolId={$schoolId} and gradeId={$grade} and classId={$class} and sbDate='{$td_config['date']}'";
									}else{
										$sql="update {$td_config['pre']}stucount set girlSum=girlSum+1,newSum=newSum+1 where schoolId={$schoolId} and gradeId={$grade} and classId={$class} and sbDate='{$td_config['date']}'";
									}
									myupdate($sql);
								}else{
									foreach($stuSum as $s){
										if($s['sex']=='男'){
											$boySum=$s['aCount'];
										}else{
											$girlSum=$s['aCount'];
										}
									}
									$sql="insert into {$td_config['pre']}stucount(schoolId,gradeId,classId,boySum,girlSum,txSum,newSum,userNick,sbDate,inTime) values({$schoolId},{$grade},{$class},{$boySum},{$girlSum},0,1,'{$td_online['userNick']}','{$td_config['date']}','{$td_config['dateTime']}')";
									myupdate($sql);
								}
							}else{
								$errId.=",{$lId}";
							}
						}else{
							$errId.=",{$lId}";
						}
						$rst->Movenext();
					}
					$rst->Close();
					$xlsConn->Close();
				}
			}
			@chmod($filePath,0777);
			@unlink($filePath);
		}else{
			$error='文件上传失败2';
		}
	}
	if(!isNull($errId)){
		$error='下列列出的行号由于数据错误，未被导入到数据库中，请给予检查后重新导入未被成功导入的数据。'.trim($errId,',')."<br />";
	}
	echo '<script type="text/javascript">';
	echo<<<html
		parent.document.getElementById('resultDiv').innerHTML='{$td_msg[30]}<br />{$error}';
		parent.document.getElementById('importSubmit').value=" 导 入 ";
html;
	echo'</script>';
	exit();
}else if($action=='listStuSumto'){//保存学生人数变动上报
	$error=$teachObj->stuSumChange($school,$grade,$class,$boySum,$girlSum,$txBoySum,$txGirlSum,$cbsBoySum,$cbsGirlSum,$sbDate);
	parentUrlGo('',$error);
}else if($action=='setStufenBan'){//给选中的学生分班
	if(isNull(trim($v,','))){
		$error=$td_msg[0];
	}else{
		echo'<center><strong>请选择需要分配到的班级</strong></center>';
		echo '年级：',$teachObj->gradeSelect($id,'gId','gId',"fastOperation('getClassSelect',{$id},this.id+'#'+this.value+'#cId')",""),'&nbsp;&nbsp;';
		echo '<span id="classSpan_2"></span>';
		echo<<<html
			<center><input type="button" name="saveFenBan" id="saveFenBan" value="保存分班" onclick="fastOperation('execSetStufenBan','{$v}',$('#gId').val()+','+$('#cId').val());" /></center>
html;
	}
	exit($error);
}else if($action=='execSetStufenBan'){//保存手动分班操作
	if(isNull($id) || isNull($v)){
		$error=$td_msg[0];
	}else{
		$v=explode(',',$v);
		if(count($id)==0 || count($v)!=2){
			$error=$td_msg[0].'#2';
		}else{
			if($userObj->kxAdmin()){
				$where=" where (status=1 or status=6 or status=8) and id in({$id})";
			}else{
				$where="where schoolId={$td_online['schoolId']} and (status=1 or status=13) and id in({$id})";
			}
			myupdate("update {$td_config['pre']}student set gradeId={$v[0]},classId={$v[1]} {$where}");
			$error=mysql_errno()?$td_msg[7]:$td_msg[30];
		}
	}
	exit($error);
}else if($action=='setStuBiYe'){//执行九或六年级学生全体毕业
	if($id!='9' && $id!='6' || !is_numeric($v)){
		$error=$td_msg[0];
	}else{
		myupdate("update {$td_config['pre']}student set status=4 where schoolId={$v} and gradeId={$id} and (status=1 or status=13)");
		$error=mysql_errno()?$td_msg[7]:$td_msg[30];
	}
	exit($error);
}else if($action=='listStuShengJi'){//执行指定学校中的全部学生升级
	if($id!=$td_online['schoolId'] && !$userObj->kxAdmin()){
		$error='您指定的学校不是您工作所在的学校，但您没有跨学校管理的权限';
	}else if(!is_numeric($v)){
		$error=$td_msg[0];
	}else{
		//获取指定学校最大的年级
		$grade=$teachObj->getGradeList($id);
		if(!is_array($grade)){
			$error='指定的学校还没有配置开设的年级';
		}else{
			$maxGrade=0;
			foreach($grade as $g){
				$maxGrade=$maxGrade<$g['gradeId']?$g['gradeId']:$maxGrade;
			}
			$maxGrade=$maxGrade+1;
			myupdate("update {$td_config['pre']}student set gradeId=gradeId+1 where schoolId={$id} and gradeId={$v} and gradeId<>0 and (status=1 or status=13)");
			myupdate("update {$td_config['pre']}student set status=4 where schoolId={$id} and gradeId={$maxGrade}");
			$error=mysql_errno()?$td_msg[7]:$td_msg[30];
		}
	}
	exit($error);
}else if($action=='showqrStuTx'){//输出学生退学确认界面
	if(!is_numeric($id)){
		$error=$td_msg[0];
	}else{
		$row=getone("select * from {$td_config['pre']}stustatus where id={$id}");
		if(!is_array($row)){
			$error='指定的学生状态不存在';
		}else{
			$row=getone("select * from {$td_config['pre']}student where sNo='{$row['sNo']}' and (status=2 or status=3 or status=5) and schoolId={$td_online['schoolId']}",false);
			if(!is_array($row)){
				$error='指定的学生不存在，或指定的状态不需要确认，或此学生不在你所在的学校里。';
			}else{
				echo<<<html
				<center><strong>确认&nbsp;{$row['sName']}&nbsp;学生的离校状态</strong></center>
				请选择您的职位：<input type="radio" name="zw" value="1" />校长&nbsp;&nbsp;<input type="radio" name="zw" value="2" />主任&nbsp;<input type="radio" name="zw" value="3" />生活老师<br />
				请输入签章密码：<input type="password" name="badge" id="badge" size="20" maxlength="20" /><br />
				<center><input type="button" name="execqrStuTx" id="qrStuTx" value=" 提 交 " onclick="fastOperation('qrStuTx',{$id},'');" /></center>
html;
			}
		}
	}
	exit($error);
}else if($action=='qrStuTx'){//保存学生退学确认
	if(!is_numeric($id) || isNull($v)){
		$error=$td_msg[0];
	}else{
		$v=jsonToArray($v);
		if(count($v)!=2 || !isset($v['zw']) || !isset($v['badge'])){
			$error='您的操作不完整';
		}else if(!preg_match($zz_password,$v['badge'])){
			$error=$td_msg[15];
		}else{
			$rowStatus=getone("select * from {$td_config['pre']}stustatus where id={$id}");
			if(!is_array($rowStatus)){
				$error='指定的学生状态不存在';
			}else{
				$row=getone("select * from {$td_config['pre']}student where sNo='{$rowStatus['sNo']}' and schoolId={$td_online['schoolId']}",false);
				$user=getone("select badge,privateKey from {$td_config['pre']}user where userNick='{$td_online['userNick']}'",false);
				if(!is_array($row)){
					$error='指定的学生不存在，或状态不对，或此学生不在你所在的学校里。';
				}else if($v['zw']=='1' && !isNull($rowStatus['txxz'])){
					$error='此学生的离校确认中，校长已经确认过了，请不要重复操作！';
				}else if($v['zw']=='2' && !isNull($rowStatus['txzr'])){
					$error='此学生的离校确认中，主任已经确认过了，请不要重复操作！';
				}else if($v['zw']=='3' && !isNull($rowStatus['txshls'])){
					$error='此学生的离校确认中，生活老师已经确认过了，请不要重复操作！';
				}else if($v['zw']!='1' && $v['zw']!='2' && $rowStatus['zw']!='3'){
					$error='您选择的职位错误';
				}else if($user['badge']!=md5($v['badge'].$user['privateKey'])){
					$error=$td_msg[15].'#2';
				}else{
					$zw=$v['zw']=='1'?'txxz':($v['zw']=='2'?'txzr':'txshls');//zw===职位
					$badge=md5($v['badge'].$td_config['dateTime']);
					myupdate("update {$td_config['pre']}stustatus set {$zw}='{$badge}' where sNo='{$id}'");
					if(mysql_errno()){
						$error=$td_msg[7];
					}else{
						$error=$td_msg[30];
						journalIn("确认学生离校，学生ID&nbsp;{$row['id']}，姓名：{$row['sName']}，{$row['gradeId']}年级{$row['classId']}班，状态：{$stuStatus[$row['status']]}。操作结果：{$error}");
					}
				}
			}
		}
	}
	exit($error);
}else if($action=='setStuGoSchoolDate'){//输出配置学生的到校日期界面
	$school=sys::getSchool($schoolList,$id,true);
	$grade=$teachObj->gradeSelect($id,'grade','grade',"",'');
	echo<<<html
	<iframe name="submitFrame_2" src="" style="display:none;"></iframe>
	<form name="form2" action="{$td_config['webPath']}{$td_config['webUrl']}" target="submitFrame_2" method="post">
	<input type="hidden" name="action" value="setStuGoSchoolDateSave" />
	<center><strong>配置学生本学期的到校日期</strong></center><br />
	学校：{$school}<input type="hidden" name="school" value="{$id}" />&nbsp;&nbsp;年级：{$grade}&nbsp;&nbsp<br />
	到校日期：<input type="text" name="goSchool" id="goSchool" value="" size="10" maxlength="10" onkeypress="return  setMyTime(this,event);" /><br />
	<center><input type="submit" name="saveSetStu" id="saveSetStu" name=" 提 交 " /></center>
	</form>
html;
	exit();
}else if($action=='setStuGoSchoolDateSave'){//保存配置学生到校日期
	if(!is_numeric($school) || !is_numeric($grade) || !preg_match($zz_date,$goSchool)){
		$error=$td_msg[0];
	}else{
		$school=(int)($school);
		$grade=(int)($grade);
		if($school<1 || $school>3 || $grade<0 || $grade>9){
			$error=$td_msg[0];
		}else if(!td_check_date($goSchool)){
			$error='您输入的日期错误';
		}else{
			myupdate("update {$td_config['pre']}student set dxrq='{$goSchool}' where schoolId={$school} and gradeId={$grade}");
			$error=mysql_errno()?$td_msg[7]:$td_msg[30];
		}
	}
	parentUrlGo('',$error);
}else if($action=='ssManageNewFn'){//保存新的宿舍楼
	if(isNull($v)){
		$error=$td_msg[0];
	}else{
		$row=getone("select * from {$td_config['pre']}ssfloor where floorName='{$v}'",false);
		if(is_array($row)){
			$error='此宿舍楼的名称已经存在';
		}else{
			myupdate("insert into {$td_config['pre']}ssfloor(floorName) values('{$v}')");
			$error=mysql_errno()?$td_msg[7]:$td_msg[30];
		}
	}
	exit($error);
}else if($action=='ssManageAdd' || $action=='ssManageEdit'){//保存添加新宿舍或编辑宿舍
	if(isNull($floorName) || isNull(roomNo) || !preg_match("/^[1-9]{1}[0-9]*$/",$sumAll) || !preg_match("/^[0-9]{1,}$/",$stuSum)){
		$error=$td_msg[0];
	}else{
		$schoolId=(!is_numeric($schoolId) || (int)($schoolId)<0)?0:(int)($schoolId);
		$gradeId=(!is_numeric($gradeId) || (int)($gradeId)<0)?0:(int)($gradeId);
		$classId=(!is_numeric($classId) || (int)($classId)<0)?0:(int)($classId);
		if($action=='ssManageAdd'){
			$row=getone("select * from {$td_config['pre']}ss where schoolId={$schoolId} and gradeId={$gradeId} and classId={$classId} and floorName='{$floorName}' and roomNo='{$roomNo}'",false);
			if(is_array($row)){
				$error='指定的宿舍已经存在';
			}else{
				$sql="insert into {$td_config['pre']}ss(schoolId,gradeId,classId,floorName,roomNo,sex,sumAll,stuSum,shls) values({$schoolId},{$gradeId},{$classId},'{$floorName}','{$roomNo}','{$sex}',{$sumAll},{$stuSum},'{$shls}')";
				myupdate($sql);
				$error=mysql_errno()?$td_msg[7]:$td_msg[30];
			}
		}else{
			$row=getone("select * from {$td_config['pre']}ss where id={$id}",false);
			if(!is_array($row)){
				$error='指定的宿舍不存在';
			}else{
				$row=getone("select * from {$td_config['pre']}ss where id<>{$id} and schoolId={$schoolId} and gradeId={$gradeId} and classId={$classId} and floorName='{$floorName}' and roomNo='{$roomNo}'",false);
				if(isNull($row)){
					$error='指定的宿舍信息已经存在';
				}else{
					myupdate("update {$td_config['pre']}ss set schoolId={$schoolId},gradeId={$gradeId},classId={$classId},floorName='{$floorName}',roomNo='{$roomNo}',sex='{$sex}',sumAll={$sumAll},stuSum={$stuSum},shls='{$shls}' where id={$id}");
					$error=mysql_errno()?$td_msg[7]:$td_msg[30];
				}
			}
		}
	}
	parentUrlGo('',$error);
}else if($action=='ssManageAddImport'){//导入宿舍
	if($_FILES['importFile']['error']){
		$error='文件上传失败';
	}else if(mb_substr($_FILES['importFile']['name'],mb_strlen($_FILES['importFile']['name'],$td_config['charset'])-3,3,$td_config['charset'])!='xls'){
		$error='导入数据只能使用xls格式的EXCEL文件';
	}else{
		$fileName=fileName(8).'.xls';
		$filePath=$td_config['webRoot'].'/temp/'.$fileName;
		if(move_uploaded_file($_FILES['importFile']['tmp_name'],$filePath)){
			$xlsConn=new COM("ADODB.connection");
			$str="Driver={Microsoft Excel Driver (*.xls)}; dbq={$filePath}";
			$xlsConn->Open($str);
			$sql="select * from [Sheet1$]";
			$rst=new COM("Adodb.Recordset");
			$rst=$xlsConn->Execute($sql);
			$fields=array('学校','年级','班级','楼名称','房间号','男女宿舍','容纳人数','已入住人数','宿管负责人');
			
			if($rst->Fields->count!=count($fields)){
				$error="EXCEL文件中字段数量不够，请严格按照示例中的格式整理宿舍数据。";
			}else{
				for($i=0; $i<count($fields); $i++){
					if(iconv("gbk","utf-8",$rst->Fields[$i]->name)!=$fields[$i]){
						$error="EXCEL文件中字段名称有错误，请严格按照示例中的格式整理宿舍数据。";
						break;
					}
				}
				if(isNull($error)){
					$v=array();
					while(!$rst->Eof){
						$lId++;
						for($i=0; $i<$rst->Fields->count; $i++){
							$v[$i]=iconv("gbk",$td_config['charset'],$rst->Fields[$i]->value);
						}
						$schoolId=is_numeric($v[0])?$v[0]:0;
						$gradeId=is_numeric($v[1])?$v[1]:0;
						$classId=is_numeric($v[2])?$v[2]:0;
						if(!isNull($v[3]) && !isNull($v[4]) && is_numeric($v[5]) && is_numeric($v[6])){
							$row=getone("select * from {$td_config['pre']}ss where schoolId={$v[0]} and gradeId={$v[1]} and classId={$v[2]} and floorName='{$v[3]}' and roomNo='{$v[4]}'",false);
							if(!is_array($row)){
								$sql="insert into {$td_config['pre']}ss(schoolId,gradeId,classId,floorName,roomNo,sex,sumAll,stuSum,shls) values({$schoolId},{$gradeId},{$classId},'{$v[3]}','{$v[4]}','{$v[5]}',{$v[6]},{$v[7]},{$v[8]})";
								myupdate($sql);
								$error=mysql_errno()?$td_msg[7]:$td_msg[30];
							}else{
								$errId.=",{$lId}";
							}
						}else{
							$errId.=",{$lId}";
						}
						$rst->Movenext();
					}
					$rst->Close();
					$xlsConn->Close();
				}
			}
			@chmod($filePath,0777);
			@unlink($filePath);
		}else{
			$error='文件上传失败2';
		}
	}
	if(!isNull($errId)){
		$error='下列列出的行号由于数据错误，未被导入到数据库中，请给予检查后重新导入未被成功导入的数据。'.trim($errId,',')."<br />";
	}
	echo '<script type="text/javascript">';
	echo<<<html
		parent.document.getElementById('resultDiv').innerHTML='{$td_msg[30]}<br />{$error}';
		parent.document.getElementById('importSubmit').value=" 导 入 ";
html;
	echo'</script>';
	exit();
	
}else if($action=='ssManageDeleteSS'){//删除指定的宿舍
	if(!is_numeric($id)){
		$error=$td_msg[42];
	}else{
		myupdate("delete from {$td_config['pre']}ss where id={$id}");
		$error=mysql_errno()?$td_msg[7]:$td_msg[30];
	}
	exit($error);
}else if($action=='getSS'){//给出宿舍楼名称，输出此宿舍对应的房间号
	if(isNull($v) || $v=='0'){
		$error=$td_msg[0];
	}else{
		echo $teachObj->ssSelect('room','room',"$('#roomNo').val(this.value);",$v,'');
	}
	exit($error);
}else if($action=='addStuSearchTeacherNo'){//由老师的姓名查询工号
	if(isNull($v)){
		$error=$td_msg[0];
	}else{
		$row=query("select id,userNick,userName,schoolId,sex,unitId from {$td_config['pre']}teachers where userName like '%{$v}%'",false);
		if(count($row)==0){
			$error='指定姓名的老师不存在';
		}else{
			echo<<<html
			<select name="zslsSelect" id="zslsSelect" onchange="setZsls(this.value);"><option value="-1">---请选择---</option>
html;
			foreach($row as $t){
				$school=sys::getSchool($schoolList,$t['schoolId'],true);
				echo <<<html
				<option value="{$t['userNick']}">{$t['userName']} {$t['userNick']} {$t['sex']} {$school}</option>
html;
			}
			echo "</select>";
			echo '<script type="text/javascript">';
			echo<<<html
			function setZsls(v){
				var zsls=$("#zsls").val();
				if(v=='-1'){
					$("#zsls").val('');
				}else{
					v=isNull(zsls)?v:","+v;
					$("#zsls").val(zsls+v);
				}
				$("#zsls").focus();
			}
html;
			echo"</script>";
		}
	}
	exit($error);
}else if($action=='addStuSearchZsGroup'){//根据选择的老师工号自动配置招生组
	if(!isNull($v)){
		$v=",".$v.",";
		$v=preg_replace("/(,){2,}/",",",$v);
		if(!isNull($v)){
			$v=explode(",",trim($v,","));
			$row=getone("select * from {$td_config['pre']}zsgroup where groupMain='{$v[0]}' or groupMan like '%,{$v[0]},%' order by id desc",false);
			if(!is_numeric($row)){
				echo '<script type="text/javascript">';
				echo<<<html
					function setZsGroup(){
						$("#zsGs").attr("value","{$row['id']}#{$row['groupMain']}");
						$("#zsGroupId").val("{$row['id']}");
					}
					setZsGroup();
html;
				echo"</script>";
			}
        }
	}
	exit();
}else if($action=='jszstjMore'){//查看小组招生的详细
	if(isNull($v) || isNull($id)){
		$error=$td_msg[0];
	}else{
		$v=explode(",",$v);
		if(count($v)!=2 || !td_check_date($v[0]) || !td_check_date($v[1])){
			$error=$td_msg[0];
		}else{
			$sql="select * from {$td_config['pre']}student where status in(1,6,8,11,12) and zsGroupId='{$id}' and rxrq>='{$v[0]}' and rxrq<='{$v[1]}'";
			$query->query($sql,1,false);
			$areaList=readCache("area.php");
			echo<<<html
			<table class="listTable" width="95%" align="center" border="0" cellpadding="3" cellspacing="0">
			  <tr>
			    <th>教师工号</th><th>学号</th><th>姓名</th><th>学校</th><th>班级</th><th>性别</th><th>籍贯</th><th>建档日期</th>
			  </tr>
html;
			foreach($query->row as $q){
				$hometown=getAreaLevel($areaList,$q['hometown'],' ');
				$school=sys::getSchool($schoolList,$q['schoolId'],true);
				$teacher='';
				$tea=explode(',',trim($q['zsls'],','));
				foreach($tea as $t){
					$temp=$userObj->queryTeacher($t,false,1,0);
					$temp=!is_array($temp)?'不存在':$temp['userName'];
					$teacher.="{$t}（{$temp}）";
				}
				echo<<<html
				<tr>
				  <td>{$teacher}</td><td>{$q['sNo']}</td><td>{$q['sName']}</td><td>{$school}</td><td>{$td_config['chNumber'][$q['gradeId']]}（{$q['classId']}）</td><td>{$q['sex']}</td><td>{$hometown}</td><td>{$q['rxrq']}</td>
				</tr>
html;
			}
			echo"</table>";
		}
	}
	exit($error);
}else if($action=='jszstjMoreForNick'){//查看教师招生的详细
	if(isNull($v) || isNull($id)){
		$error=$td_msg[0];
	}else{
		$id=explode(",",$id);
		$v=explode(",",$v);
		if(count($v)!=2 || !td_check_date($v[0]) || !td_check_date($v[1])){
			$error=$td_msg[0];
		}else{
			$sql="select * from {$td_config['pre']}student where status in(1,6,8,11,12) and zsProId={$id[1]} and zsls like'%,{$id[0]},%' and rxrq>='{$v[0]}' and rxrq<='{$v[1]}'";
			$query->query($sql,1,false);
			$areaList=readCache("area.php");
			echo<<<html
			<table class="listTable" width="95%" align="center" border="0" cellpadding="3" cellspacing="0">
			  <tr>
			    <th>教师工号</th><th>学号</th><th>姓名</th><th>学校</th><th>班级</th><th>性别</th><th>籍贯</th><th>建档日期</th>
			  </tr>
html;
			foreach($query->row as $q){
				$hometown=getAreaLevel($areaList,$q['hometown'],' ');
				$school=sys::getSchool($schoolList,$q['schoolId'],true);
				$teacher='';
				$tea=explode(',',trim($q['zsls'],','));
				foreach($tea as $t){
					$temp=$userObj->queryTeacher($t,false,1,0);
					$temp=!is_array($temp)?'不存在':$temp['userName'];
					$teacher.="{$t}（{$temp}）";
				}
				echo<<<html
				<tr>
				  <td>{$teacher}</td><td>{$q['sNo']}</td><td>{$q['sName']}</td><td>{$school}</td><td>{$td_config['chNumber'][$q['gradeId']]}（{$q['classId']}）</td><td>{$q['sex']}</td><td>{$hometown}</td><td>{$q['rxrq']}</td>
				</tr>
html;
			}
			echo"</table>";
		}
	}
	exit($error);
}else if($action=='listStuSumtoGetSumByClassId'){//由学校，年级，班级，获取此班级最近一次人数上报的数量到人数上报界面
	$v=jsonToArray($v);
	extract($v);
	if(!is_numeric($schoolId) || !is_numeric($gradeId) || !is_numeric($classId)){
		$error=$td_msg[0];
	}else{
		$row=getone("select * from {$td_config['pre']}stucount where schoolId={$schoolId} and gradeId={$gradeId} and classId={$classId} order by sbDate desc",false);
		if(is_array($row)){
			echo"<script type=\"text/javascript\">";
			echo<<<html
			$("#boySum").val("{$row['boySum']}");
			$("#girlSum").val("{$row['girlSum']}");
			$("#cbsBoySum").val("0");
			$("#cbsGirlSum").val("0");
html;
			echo"</script>";
		}
	}
	exit($error);
}else if($action=='jszstjEditPro'){//输出编辑招生项目界面
	if(!is_numeric($id)){
		$error=$td_msg[42];
	}else{
		$sql="select * from {$td_config['pre']}zspro where id={$id}";
		$row=getone($sql,false);
		if(!is_array($row)){
			$error="指定的招生项目不存在";
		}else{
			$schoolSelect=sys::schoolSelect($schoolList,'schoolId2','schoolId2','',$row['schoolId']);
			echo<<<html
  <table class="listTable" width="400" border="0" cellpadding="3" cellspacing="0" align="center">
    <tr>
      <td width="160" align="right">招生项目名称：</td><td><input type="text" name="proName2" id="proName2" value="{$row['proName']}" size="30" maxlength="50" /></td>
    </tr>
    <tr>
      <td align="right">所属学校：</td><td>{$schoolSelect}</td>
    </tr>
    <tr>
      <td align="right">招生开始日期：</td><td><input type="text" name="startDate2" value="{$row['startDate']}" id="startDate2" size="20" maxlength="20" onfocus="return setMytime(this);" onclick="return laydate();" /></td>
    </tr>
    <tr>
      <td align="right">招生结束日期：</td><td><input type="text" name="endDate2" value="{$row['endDate']}" id="endDate2" size="20" maxlength="20" onfocus="return setMytime(this);" onclick="return laydate();" /></td>
    </tr>
  </table>
  <center><input type="button" name="saveZsPro" value="保存编辑招生项目" onclick="fastOperation('jszstjSaveEditPro','{$row['id']}','');" /></center>
html;
		}
	}
}else if($action=='jszstjSavePro' || $action=='jszstjSaveEditPro'){//保存新增或编辑招生项目
	$v=jsonToArray($v);
	extract($v);
	if(isNull($proName) || $schoolId=='-1' || !td_check_date($startDate) || !td_check_date($endDate)){
		$error=$td_msg[0];
	}else if($startDate>$endDate){
		$error=$td_msg[37];
	}else{
		if($action=='jszstjSavePro'){
			$sql="select * from {$td_config['pre']}zspro where proName='{$proName}' and schoolId={$schoolId}";
			$row=getone($sql,false);
			if(is_array($row)){
				$error='指定的招生项目已经存在，请检查相同学校是否已经存在相同名称的招生项目';
			}else{
				$sql="insert into {$td_config['pre']}zspro(proName,schoolId,startDate,endDate,userNick,inTime) values('{$proName}',{$schoolId},'{$startDate}','{$endDate}','{$td_online['userNick']}','{$td_config['dateTime']}')";
				$n=myupdate($sql);
				$error=$n>0?$td_msg[30]:$td_msg[7];
			}
		}else{
			if(!is_numeric($id) || $id<1){
				$error=$td_msg[42];
			}else{
				$sql="update {$td_config['pre']}zspro set proName='{$proName}',schoolId={$schoolId},startDate='{$startDate}',userNick='{$td_online['userNick']}',endDate='{$endDate}' where id={$id}";
				myupdate($sql);
				$error=mysql_errno()?$td_msg[7]:$td_msg[30];
			}
		}
	}
	exit($error);
}else if($action=='jszstjDeletePro'){//删除招生项目
	$sql="delete from {$td_config['pre']}zspro where id={$id}";
	myupdate($sql);
	$error=mysql_errno()?$td_msg[7]:$td_msg[30];
	exit($error);
}else if($action=='jszstjChangePro' || $action=='jszstjChangeProForEditZsGroup'){//创建招生分组时由学校查询招生项目列表
	if(!is_numeric($id)){
		$error=$td_msg[37];
	}else{
		$sql="select * from {$td_config['pre']}zspro where schoolId='{$id}' order by id desc";
		$query->query($sql,1,false);
		$name=$action=="jszstjChangePro"?"pro":"pro2";
		$select="<select name='{$name}' id='{$name}'><option value='-1'>---请选择---</option>";
		foreach($query->row as $p){
			$select.="<option value='{$p['id']}'>{$p['proName']}</option>";
		}
		$select.="</select>";
		echo $select;
	}
	exit($error);
}else if($action=='jszstjSearchNoForName'){//添加/编辑招生分组时由姓名找工号
	if(!isNull($v)){
		$sql="select * from {$td_config['pre']}teachers where status=1 and userName like '%{$v}%'";
		$query->query($sql,1,false);
		echo<<<html
		<select name="noSelect" id="noSelect" onchange="setTNo(this.value)"><option value="-1">---请选择---</option>
html;
		foreach($query->row as $q){
			$school=sys::getSchool($schoolList,$q['schoolId'],true);
			echo<<<html
			<option value="{$q['userNick']}">{$q['userName']} {$q['userNick']} {$q['mobile']} {$school}</option>
html;
		}
		echo<<<html
			</select>
html;
	}
}else if($action=='jszstjSaveZsGroup' || $action=='jszstjSaveEditZsGroup'){//保存新的招生分组和保存编辑招生分组
	$v=jsonToArray($v);
	extract($v);
	$groupName=str_replace(array("&nbsp;","　","&nbsp;"),array("","",""),$groupName);
	$groupMain=str_replace(array(" ","　","&nbsp;",";","；","#","，"),",",$groupMain);
	$groupMan=str_replace(array(" ","　","&nbsp;",";","；","#","，"),",",$groupMan);
	$groupMain=preg_replace("/(\,){2,}/",",",$groupMain);
	$groupMan=preg_replace("/(\,){2,}/",",",$groupMan);
	$groupMain=trim($groupMain,",");
	$groupMan=trim($groupMan);
	$groupMan=",{$groupMan},";
	if(isNull($groupName) || $schoolId=='-1' || isNull($groupMain) || isNull($groupMan) || !preg_match($zz_number,$zrws) || !preg_match($zz_number,$proId)){
		$error=$td_msg[0];
	}else if($action=='jszstjSaveZsGroup'){
		$row=getone("select * from {$td_config['pre']}zsgroup where groupName='{$groupName}' and schoolId={$schoolId} and proId={$proId}",false);
		if(is_array($row)){
			$error="指定的招生分组已经存在，本次保存被取消。";
		}else{
			$sql="insert into {$td_config['pre']}zsgroup(groupName,schoolId,proId,groupMain,groupMan,zrws,userNick,inTime) values('{$groupName}',{$schoolId},{$proId},'{$groupMain}','{$groupMan}',{$zrws},'{$td_online['userNick']}','{$td_config['dateTime']}')";
			$n=myupdate($sql);
			$error=mysql_errno()?$td_msg[7]:$td_msg[30];
		}
	}else if(!is_numeric($id)){
		$error=$td_msg[37];
	}else{
		$row=getone("select * from {$td_config['pre']}zsgroup where id={$id}",false);
		if(!is_array($row)){
			$error="指定的招生分组不存在，本次保存操作被取消。";
		}else{
			$sql="update {$td_config['pre']}zsgroup set groupName='{$groupName}',schoolId={$schoolId},proId={$proId},groupMain='{$groupMain}',groupMan='{$groupMan}',zrws={$zrws},userNick='{$td_online['userNick']}',inTime='{$td_config['dateTime']}' where id={$id}";
			$n=myupdate($sql);
			$error=mysql_errno()?$td_msg[7]:$td_msg[30];
		}
	}
	exit($error);
}else if($action=='jszstjEditZsGroup'){//输出招生组编辑界面
	if(!is_numeric($id) ){
		$error=$td_msg[37];
	}else{
		$row=getone("select * from {$td_config['pre']}zsgroup where id={$id}",false);
		if(!is_array($row)){
			$error="指定的招生小组不存在";
		}else{
			$schoolSelect=sys::schoolSelect($schoolList,'schoolId4','schoolId4',"fastOperation('jszstjChangeProForEditZsGroup',this.value,'')",$row['schoolId']);
			$school=sys::getSchool($schoolList,$row['schoolId'],true);
			$proSelect=<<<html
			<select name="pro2" id="pro2"><option value="-1">---请选择---</option>
html;
			$query->query("select * from {$td_config['pre']}zspro where schoolId={$row['schoolId']} order by id desc",1,false);
			foreach($query->row as $p){
				$selected=$p['id']==$row['proId']?" selected":"";
				$proSelect.="<option value=\"{$p['id']}\" {$selected}>{$p['proName']}</option>";
			}
			$proSelect.="</select>";
			echo<<<html
  <table class="listTable" width="95%" border="0" cellpadding="3" cellspacing="0" align="center">
	<tr>
      <td width="120" align="right">招生组名称：</td><td><input type="text" name="groupName2" id="groupName2" value="{$row['groupName']}" size="30" maxlength="50" /></td>
    </tr>
    <tr>
      <td align="right">所属学校：</td><td>{$schoolSelect}</td>
    </tr>
    <tr>
      <td align="right">所属项目：</td><td id="proCont2">{$proSelect}</td>
    </tr>
    <tr>
      <td align="right">组负责人工号：</td><td><input type="text" name="groupMain2" id="groupMain2" value="{$row['groupMain']}" size="20" maxlength="20" /></td>
    </tr>
    <tr>
      <td align="right">组成员姓名：</td><td><input type="text" name="groupMan2" id="groupMan2" value="{$row['groupMan']}" size="50" maxlength="200" />&nbsp;多个成员之间用英文的逗号隔开</td>
    </tr>
    <tr>
      <td align="right">招生任务数量：</td><td><input type="text" name="zrws2" id="zrws2" size="3" maxlength="3" value="{$row['zrws']}" /></td>
    </tr>
  </table>
  <center><input type="button" name="saveEditZsPro" value="保存编辑招生分组" onclick="fastOperation('jszstjSaveEditZsGroup','{$id}','');" /></center>
html;
		}
	}
}else if($action=='jszstjDeleteZsGroup'){//删除招生分组
	if(!is_numeric($id)){
		$error=$td_msg[37];
	}else{
		myupdate("delete from {$td_config['pre']}zsgroup where id={$id}");
		$error=mysql_errno()?$td_msg[7]:$td_msg[30];
	}
	exit($error);
}else if($action=='getZsGroupForAddStu'){//新增加学生时，根据学校的ID获取对应的招生小组
	if(!is_numeric($id) || $id=='-1'){
		$error="请选择入学的学校";
	}else{
		echo<<<html
	  <select name="zsGs" id="zsGs" onchange="setZsgs(this.value);"><option value="-1">---请选择---</option>
html;
	$zsGroup=query("select * from {$td_config['pre']}zsgroup where schoolId={$id} order by id desc",false);
	foreach($zsGroup as $p){
		$zsPro=getone("select * from {$td_config['pre']}zspro where id={$p['proId']}",false);
		echo<<<html
	    <option value="{$p['id']}#{$p['groupMain']}">（{$zsPro['proName']}）{$p['groupName']}</option>
html;
	}
		echo<<<html
	  </select>
html;
	}
	exit($error);
}else if($action=='getZsGroupForSearch'){//招生统计时由招生项目获取招生小组
	if(!is_numeric($id)){
		$error=$td_msg[37];
	}else{
		echo<<<html
	  <select name="zsGs" id="zsGs" onchange="setZsgs(this.value);"><option value="-1">---请选择---</option>
html;
	$zsGroup=query("select * from {$td_config['pre']}zsgroup where proId={$id} order by id desc",false);
	$i=0;
	foreach($zsGroup as $p){
		$i++;
		$zsgBg=$i%2==0?"background:#FFF;":"background:#CCC;";
		echo<<<html
	    <option value="{$p['id']}" style="{$zsgBg}">{$p['groupName']}</option>
html;
	}
		echo<<<html
	  </select>
html;
	}
}
?>