<?php
!defined("td_erp")?exit("Access Deiend"):'';
class financial{
/*
	学生收费项目相关
*/
	/*
	输出收费项目下拉列表框，如果指定学校的ID值，则只输针对本学校设置的收费项目到SELECT
	*/
	static function costSetSelect($name='',$id='',$js='',$df='',$schoolId=-1){
		global $td_config;
		$name=(!preg_match("/^[a-zA-Z]{1}[a-zA-Z0-9]{,19}$/",$name))?'financial':$name;
		$id=(!preg_match("/^[a-zA-Z]{1}[a-zA-Z0-9]{,19}$/",$id))?'financial':$id;
		$df=!is_numeric($df)?-1:(int)($df);
		$js=isNull($js)?'':" onchange=\"{$js}\"";
		$where=" where 1";
		$where.=(!is_numeric($schoolId) || intval($schoolId)<0)?'':" and schoolId={$schoolId}";
		$select=<<<html
		<select name="{$name}" id="{$id}" {$js}><option value="-1">---请选择---</option>
html;
		$row=query("select * from {$td_config['pre']}stucostset {$where} order by id desc",false);
		foreach($row as $r){
			$selected=$r['id']==$df?' selected':'';
			$select.=<<<html
			<option value="{$r['id']}" {$selected}>{$r['costName']}</option>
html;
		}
		$select.="</select>";
		return $select;
	}
	/*
		获取指定ID的收费项目
	*/
	static function getCostSet($id='',$onlyName=false){
		global $td_config;
		if(!is_numeric($id)){
			return false;
		}
		$row=getone("select * from {$td_config['pre']}stucostset where id={$id}",false);
		if(is_array($row)){
			return $onlyName?$row['costName']:$row;
		}else{
			return false;
		}
	}
	
/*
	职工收费项目相关
*/
	//返回职工收费项目列表框SELECT
	static function selectWorkerCost($schoolId=-1,$unitId=-1,$name='',$id='',$js='',$checked=''){
		global $td_config,$query;
		$where=" where 1";
		$where.=(!is_numeric($schoolId) || $schoolId<0)?'':" and schoolId={$schoolId}";
		$where.=(!is_numeric($unitId) || $unitId<0)?'':" and unitId={$unitId}";
		$name=(!preg_match("/^[a-zA-Z]{1}[a-zA-Z0-9]{,19}$/",$name))?"workerCost":$name;
		$id=(!preg_match("/^[a-zA-Z]{1}[a-zA-Z0-9]{,19}$/",$id))?"workerCost":$id;
		$js=isNull($js)?'':" onchange=\"{$js}\"";
		$query->query("select * from {$td_config['pre']}workercostset {$where} order by id desc",1,false);
		$select=<<<html
		<select name="{$name}" id="{$id}" {$js}><option value="-1">---请选择---</option>
html;
		foreach($query->row as $q){
			$selected=$q['id']==$checked?' selected':'';
			$select.=<<<html
			<option value="{$q['id']}" {$selected}>{$q['costName']}</option>
html;
		}
		$select.="</select>";
		return $select;
	}
	//获取指定ID的职工收费项目
	static function getWorkerCost($id='',$onlyName=false){
		global $td_config;
		if(!is_numeric($id)){
			return false;
		}
		$row=getone("select * from {$td_config['pre']}workercostset where id={$id}",false);
		if(!is_array($row)){
			return false;
		}
		return $onlyName?$row['costName']:$row;
	}
}
?>