<?php
!defined("td_erp")?exit("Access Deiend"):'';
class teach extends sys{
	private $config;
	function __construct($config){
		$this->config=$config;
	}
	
	//给出班级，得出此班级开设的课程，只取名称时返回一维数组，否则返回二维数组
	function getCourseByClass($classId,$onlyName=false){
		if(!is_numeric($classId)){
			return false;
		}
		$row=query("select * from {$this->config['pre']}course where classId={$classId}",false);
		if(count($row)>0){
			if($onlyName){
				$result=array();
				foreach($row as $q){
					$result[]=$q['courseName'];
				}
				return $result;
			}else{
				return $row;
			}
		}else{
			return false;
		}
	}
	
	//返回年级SELECT
	function gradeSelect($schoolId=-1,$name='',$id='',$js='',$checkedId=-1){
		global $gradeList;
		$schoolId=(!is_numeric($schoolId))?-1:intval($schoolId);
		$name=(isNull($name) || !preg_match("/[a-z]{1,20}/i",$name))?'gradeId':$name;
		$id=(isNull($id) || !preg_match("/[a-z]{1,20}/i",$id))?'gradeId':$id;
		$checkedId=is_numeric($checkedId)?$checkedId:-1;
		$onChange=isNull($js)?'':" onChange=\"{$js}\"";
		$select=<<<html
		<select name="{$name}" id="{$id}" {$onChange}><option value="-1">---请选择---</option>
html;
		if(is_numeric($schoolId) && (int)($schoolId)>=0){
			foreach($gradeList as $g){
				if($g['schoolId']==$schoolId){
					$checked=$g['gradeId']==$checkedId?' selected':'';
					$gradeName=!isNull($g['gradeName'])?$g['gradeName']:"{$g['gradeId']}年级";
					$select.=<<<html
					<option value="{$g['gradeId']}" {$checked}>{$gradeName}</option>
html;
				}
			}
		}else{
			for($i=0; $i<10; $i++){
				$checked=$i==$checkedId?' selected':'';
				$select.=<<<html
				<option value="{$i}" {$checked}>{$i}年级</option>
html;
			}
		}
		$select.="</select>";
		return $select;
	}
	//由学校查询开设年级，返回一维数组，升序排序。指定返回的年级，且年级符合条件时，返回一维数组； 不指定返回的年级时，或指定的年级不符合条件时，返回二维数组，即当前学校开设的所有年级。
	function getGradeList($schoolId='',$gradeId=-1){
		global $gradeList;
		$gradeId=(is_numeric($gradeId) && intval($gradeId)>0)?intval($gradeId):-1;
		if(!is_numeric($schoolId)){
			return false;
		}
		$result=array();
		foreach($gradeList as $g){
			if((!is_numeric($gradeId) || (int)($gradeId)<0) && $g['schoolId']==$schoolId){
				$result[]=$g;
			}else if(is_numeric($gradeId) && (int)($gradeId)>=0 && $g['schoolId']==$schoolId && $g['gradeId']==$gradeId){
				$result=$g;
				break;
			}
		}
		return count($result)?$result:false;
	}
	//给出学校，年级，判断指定的年级是否存在
	function existsGrade($schoolId=-1,$gradeId=-1){
		global $gradeList;
		if(!is_numeric($schoolId) || !is_numeric($gradeId)){
			return false;
		}
		foreach($gradeList as $g){
			if($g['schoolId']==$schoolId && $g['gradeId']==$gradeId){
				return true;
			}
		}
		return false;
	}
	
	//返回班级SELECT
	function classSelect($name='',$id='',$js='',$checkedId=-1,$schoolId=-1,$gradeId=-1){
		global $td_config,$query;
		$schoolId=(!is_numeric($schoolId))?-1:intval($schoolId);
		$name=(isNull($name) || !preg_match("/[a-z]{1,20}/i",$name))?'classId':$name;
		$id=(isNull($id) || !preg_match("/[a-z]{1,20}/i",$id))?'classId':$id;
		$gradeId=!is_numeric($gradeId)?-1:intval($gradeId);
		$checkedId=is_numeric($checkedId)?$checkedId:-1;
		$onChange=isNull($js)?'':" onChange=\"{$js}\"";
		$class=getone("select * from {$td_config['pre']}class where schoolId={$schoolId} and gradeId={$gradeId}",false);
		$checked=$checkedId=='0'?' selected':'';
		$select=<<<html
			<select name="{$name}" id="{$id}" {$onChange}><option value="-1">---请选择---</option><option value="0" {$checked}>未分班</option>
html;
		for($i=1; $i<=$class['classSum']; $i++){
			$checked=$i==$checkedId?' selected':'';
			$select.=<<<html
			<option value="{$i}" {$checked}>{$i}班</option>
html;
		}
		$select.="</select>";
		return $select;
	}
	
	//给出学校、年级，返回开设的班级的数量，不给出年级则返回当前学校每个年级开设的班级数量（二维数组)
	function getClassSum($schoolId=-1,$gradeId=-1){
		global $td_config,$query;
		if(!is_numeric($schoolId) || (int)($schoolId)<0){
			return 0;
		}else{
			if(!is_numeric($gradeId) || intval($gradeId)<0){
				$sql="select * from {$td_config['pre']}class where schoolId={$schoolId}";
				$row=$query->query($sql,false);
			}else{
				$row=getone("select * from {$td_config['pre']}class where schoolId={$schoolId} and gradeId={$gradeId}",false);
			}
		}
		return (is_array($row) && count($row)>0)?$row['classSum']:0;
	}
	
	//给出年级值，返回此年级所开设课程的下拉列表框，不给出年级ID，返回当前学校开设的所有课程
	function courseSelect($schoolId=0,$gradeId='',$name='',$id='',$js='',$checkedName=''){
		global $td_config,$query;
		if(!is_numeric($schoolId)){
			return false;
		}
		$name=(isNull($name) || !preg_match("/[a-z]{1,20}/i",$name))?'courseName':$name;
		$id=(isNull($id) || !preg_match("/[a-z]{1,20}/i",$id))?'courseName':$id;
		$checkedName=!isNull($checkedName)?$checkedName:'';
		$onChange=isNull($js)?'':" onChange=\"{$js}\"";
		$where.="where schoolId={$schoolId}";
		$where.=is_numeric($gradeId)?" and gradeId={$gradeId}":'';
		$row=query("select id,courseName,schoolId,gradeId from {$this->config['pre']}course {$where} group by courseName",true);
		if(is_array($row)){
			$select=<<<html
			<select name="{$name}" id="{$id}" {$onChange}><option value="-1">---请选择---</option>
html;
			foreach($row as $q){
				if($q['classId']==$classId){
					$checked=$q['courseName']==$checkedName?' selected':'';
					$select.=<<<html
					<option value="{$q['courseName']}" {$checked}>{$q['courseName']}</option>
html;
				}
			}
			$select.="</select>";
			return $select;
		}else{
			return false;
		}
	}
	
/*
	宿舍相关
*/
	//输出宿舍楼名称下拉列表框
	function ssFloorSelect($name='',$id='',$js='',$checkedName=''){
		global $td_config,$query;
		$name=(isNull($name) || !preg_match("/[a-z]{1,20}/i",$name))?'floorName':$name;
		$id=(isNull($id) || !preg_match("/[a-z]{1,20}/i",$id))?'floorName':$id;
		$checkedName=!isNull($checkedName)?$checkedName:'';
		$onChange=isNull($js)?'':" onChange=\"{$js}\"";
		$row=query("select * from {$td_config['pre']}ssfloor",true);
		if(is_array($row)){
			$select=<<<html
			<select name="{$name}" id="{$id}" {$onChange}><option value="-1">---请选择---</option>
html;
			foreach($row as $q){
				$checked=$q['floorName']==$checkedName?' selected':'';
				$select.=<<<html
					<option value="{$q['floorName']}" {$checked}>{$q['floorName']}</option>
html;
			}
			$select.="</select>";
			return $select;
		}else{
			return false;
		}
	}
	
	//输出给出宿舍楼名称的宿舍房间号下拉列表框
	function ssSelect($name='',$id='',$js='',$floorName='',$checkedName=''){
		global $td_config,$query;
		if(isNull($floorName)){
			return false;
		}
		$name=(isNull($name) || !preg_match("/[a-z]{1,20}/i",$name))?'roomNo':$name;
		$id=(isNull($id) || !preg_match("/[a-z]{1,20}/i",$id))?'roomNo':$id;
		$checkedName=!isNull($checkedName)?$checkedName:'';
		$onChange=isNull($js)?'':" onChange=\"{$js}\"";
		$row=getone("select * from {$td_config['pre']}ssfloor where floorName='{$floorName}'",true);
		if(!is_array($row)){
			return false;
		}else{
			$queryRow=query("select * from {$td_config['pre']}ss where floorName='{$floorName}'",true);
			$select=<<<html
			<select name="{$name}" id="{$id}" {$onChange}><option value="-1">---请选择---</option>
html;
			foreach($queryRow as $q){
				$checked=$q['floorName']==$checkedName?' selected':'';
				$select.=<<<html
					<option value="{$q['roomNo']}" {$checked}>{$q['roomNo']}</option>
html;
			}
			$select.="</select>";
			return $select;
		}
	}
	
	//给出宿舍的ID，获取宿舍信息
	function getSS($roomNo='',$onlyName=false){
		global $td_config;
		if(!is_numeric($roomNo)){
			return false;
		}
		$row=getone("select * from {$td_config['pre']}ss where id={$roomNo}",true);
		if(!is_array($row)){
			return false;
		}else{
			return $onlyName?$row['roomNo']:$row;
		}
	}
	
	//给出学校、年级、班级的ID，输出开设的课程下拉列表框，如果不给出班级，则输出当前年级开设的全部课程，$valueObj用来传递选项中的值是取课程的ID还是名称，默认1取课程的ID，2取课程的名称
	function getCourseSelect($schoolId='',$gradeId='',$classId='',$name='',$id='',$js='',$checked='',$valueObj=1){
		global $td_config,$td_online,$userObj;
		$name=(isNull($name) || !preg_match("/[a-z]{1,20}/i",$name))?"courseName":$name;
		$id=(isNull($id) || !preg_match("/[a-z]{1,20}/i",$id))?"id":$id;
		if(!is_numeric($schoolId) || !is_numeric($gradeId)){
			return false;
		}
		$where=" where schoolId={$schoolId} and gradeId={$gradeId}";
		$where.=(isNull($classId) || !is_numeric($classId))?"":" classId={$classId}";
		$where.=$userObj->kxAdmin()?"":" and schoolId={$td_online['schoolId']}";
		$row=query("select * from {$td_config['pre']}course {$where}",true);
		if(count($row)==0){
			return false;
		}else{
			echo<<<html
			<select name="{$name}" id="{$id}" onChange="{$js}"><option value="-1">---请选择---</option>
html;
			foreach($row as $p){
				$value=$valueObj===1?$p['id']:$p['courseName'];
				$selected=$checked==$value?" selected":'';
				echo<<<html
				<option value="{$value}" {$selected}>{$p['courseName']}</option>
html;
			}
			echo<<<html
			</select>
html;
		}
	}
	
	//给出老师的工号，返回此教师所担任的课程
	function getCourseByTeacher($schoolId='',$gradeId='',$classId='',$userNick=''){
		global $td_config;
		if(!is_numeric($schoolId) || isNull($userNick)){
			return false;
		}
		$where=" where schoolId={$schoolId} and userNick='{$userNick}' and status=1";
		$where.=(is_numeric($gradeId) && (int)($gradeId)>=0)?" and gradeId={$gradeId}":'';
		$where.=(is_numeric($classId) && (int)($classId)>=0)?" and classId={$classId}":'';
		$sql="select distinct(courseName) as courseName from {$td_config['pre']}teacher {$where}";
		$result=query($sql,false);
		if(count($result)==0){
			return false;
		}
		return $result;
	}
	
	//保存学生人数变动上报数据
	function stuSumChange($schoolId=-1,$gradeId=-1,$classId=-1,$boySum=0,$girlSum=0,$txBoySum=0,$txGirlSum=0,$cbsBoySum=0,$cbsGirlSum=0,$sbDate=''){
		global $td_config,$userObj,$td_online,$td_msg,$schoolList,$zz_number;
		$error='';
		if(!is_numeric($schoolId) || sys::getSchool($schoolList,$schoolId,true)==false || ($schoolId!=$td_online['schoolId'] && !$userObj->kxAdmin())){
			$error="学校选择错误，或者你没有跨学校管理的权限。";
		}else if(!is_numeric($gradeId) || !$this->existsGrade($schoolId,$gradeId)){
			$error="指定的学校没有找到&nbsp;{$gradeId}&nbsp;年级";
		}else if(!is_numeric($classId) || (int)($classId)<0){
			$error="指定的班级错误";
		}else if(!preg_match($zz_number,$girlSum) || !preg_match($zz_number,$boySum) || !preg_match($zz_number,$txBoySum) || !preg_match($zz_number,$txGirlSum) || !preg_match($zz_number,$cbsBoySum) || !preg_match($zz_number,$cbsGirlSum)){
			$error="请把学生变动后的数据填写完整".$schoolId.'*'.$gradeId.'*'.$classId.'*'.$boySum.'*'.$girlSum.'*'.$txBoySum.'*'.$txGirlSum.'*'.$cbsBoySum.'*'.$cbsGirlSum.'*'.$sbDate;
		}else if(!td_check_date($sbDate) || $sbDate>$td_config['date']){
			$error="上报日期错误";
		}else{
			$sql="select * from {$td_config['pre']}stucount where schoolId={$schoolId} and gradeId={$gradeId} and classId={$classId} and sbDate='{$sbDate}'";
			$row=getone($sql,false);
			if(is_array($row)){//如果指定日期当前班级的人数变动已经存在了，则在原有的基础上求和
				$sql="update {$td_config['pre']}stucount set boySum={$boySum},girlSum={$girlSum},stuSum={$boySum}+{$girlSum},txBoySum={$txBoySum},txGirlSum={$txGirlSum},cbsBoySum={$cbsBoySum},cbsGirlSum={$cbsGirlSum},userNick='{$td_online['userNick']}',sbDate='{$sbDate}',inTime='{$td_config['dateTime']}' where schoolId={$schoolId} and gradeId={$gradeId} and classId={$classId} and sbDate='{$sbDate}'";
				myupdate($sql);
				$error=mysql_errno()?$td_msg[7]:$td_msg[30];
			}else{
				$stuSum=$boySum+$girlSum;
				$sql="insert into {$td_config['pre']}stucount(schoolId,gradeId,classId,boySum,girlSum,stuSum,txBoySum,txGirlSum,cbsBoySum,cbsGirlSum,userNick,sbDate,inTime) values({$schoolId},{$gradeId},{$classId},{$boySum},{$girlSum},{$stuSum},{$txBoySum},{$txGirlSum},{$cbsBoySum},{$cbsGirlSum},'{$td_online['userNick']}','{$sbDate}','{$td_config['dateTime']}')";
				myupdate($sql);
				$error=mysql_errno()?$td_msg[7]:$td_msg[30];
			}
		}
		return $error;
	}
}
?>